------------------------------------------------------------------------
r33129 | gerald | 2010-06-07 08:22:03 -0700 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   A /trunk-1.4 (from /trunk:33128)

Create the 1.4 trunk.

------------------------------------------------------------------------
r33128 | etxrab | 2010-06-07 07:29:03 -0700 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

ECI (E-UTRAN Cell Identifier) wrongly decoded.
Spotted by Tamás Regõs.
------------------------------------------------------------------------
r33126 | etxrab | 2010-06-07 05:29:04 -0700 (Mon, 07 Jun 2010) | 2 lines
Changed paths:
   M /trunk/diameter/TGPPGmb.xml

From Tamás Regõs:
updated TGPPGmb.xml to version 9.2.0.
------------------------------------------------------------------------
r33125 | guy | 2010-06-07 02:43:32 -0700 (Mon, 07 Jun 2010) | 4 lines
Changed paths:
   M /trunk/tshark.c

Alas, the stuff to see whether the standard output and error are the
same works only on UN*X; note that, and don't bother compiling it on
Windows.

------------------------------------------------------------------------
r33124 | guy | 2010-06-07 01:42:29 -0700 (Mon, 07 Jun 2010) | 12 lines
Changed paths:
   M /trunk/tshark.c

If we get an error reading the capture file, don't give up - run the
taps, etc., so we at least print the statistics for the packets we
*could* read.

Also, if we're printing packet data, and the standard output and
standard error are going to the same place, before printing the error
message for that error, flush the standard output and print a newline to
the standard error, so the error appears after all the packet data, and
has a newline separating it from the packet data.

This fixes bug 4845.

------------------------------------------------------------------------
r33118 | guy | 2010-06-06 15:35:33 -0700 (Sun, 06 Jun 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.h

Clean up indentation.

------------------------------------------------------------------------
r33117 | guy | 2010-06-06 15:24:48 -0700 (Sun, 06 Jun 2010) | 4 lines
Changed paths:
   M /trunk/wiretap/file_wrappers.h

Get rid of file_write(); nobody uses it, and file writers should use
wtap_dump_file_write() (it does the right error checking for you, and
returns FALSE on failure and gives you the right error code).

------------------------------------------------------------------------
r33116 | guy | 2010-06-06 15:19:30 -0700 (Sun, 06 Jun 2010) | 5 lines
Changed paths:
   M /trunk/wiretap/5views.c
   M /trunk/wiretap/catapult_dct2000.c
   M /trunk/wiretap/commview.c
   M /trunk/wiretap/k12.c
   M /trunk/wiretap/k12text.l
   M /trunk/wiretap/lanalyzer.c
   M /trunk/wiretap/netmon.c
   M /trunk/wiretap/netscaler.c
   M /trunk/wiretap/nettl.c
   M /trunk/wiretap/network_instruments.c
   M /trunk/wiretap/netxray.c
   M /trunk/wiretap/ngsniffer.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/snoop.c
   M /trunk/wiretap/visual.c

Don't use fwrite directly when writing a dump file; call it through
wtap_dump_file_write().  Replace various wrappers around fwrite() with
wtap_dump_file_write(), or at least make the wrappers call
wtap_dump_file_write().

------------------------------------------------------------------------
r33114 | guy | 2010-06-06 12:37:49 -0700 (Sun, 06 Jun 2010) | 11 lines
Changed paths:
   M /trunk/wiretap/eyesdn.c
   M /trunk/wiretap/wtap-int.h

Move the seekback stuff out of esc_read() to the one place where it's
done.

Use the wtap_dump_file_ routines to write out capture files, and check
for errors.

Use the phton macros, when available, to translate to big-endian byte
order.  Add a new phton24() macro.

Clean up indentation.

------------------------------------------------------------------------
r33113 | guy | 2010-06-06 12:14:32 -0700 (Sun, 06 Jun 2010) | 10 lines
Changed paths:
   M /trunk/wiretap/btsnoop.c
   M /trunk/wiretap/file_access.c
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/pcapng.c
   M /trunk/wiretap/wtap-int.h

Rename wtap_dump_file_write_all() to wtap_dump_file_write(), and have
everybody use it; the places using the old wtap_dump_file_write() were
using it in the same way the old wtap_dump_file_write_all() did.

That also lets us get rid of wtap_dump_file_ferror().

Also, have the new wtap_dump_file_write() check for errors from
gzwrite() and fwrite() differently - the former returns 0 on error, the
latter can return a short write on error.

------------------------------------------------------------------------
r33112 | etxrab | 2010-06-06 09:25:41 -0700 (Sun, 06 Jun 2010) | 4 lines
Changed paths:
   M /trunk/gtk/gui_utils.c

From Jim Young:
Remove unneeded "gtk_tree_path_free(path);" from case
"GDK_Return:" in tree_view_key_pressed_cb() that was reverted in r32957 to restore X11 functionality lost in refactored code from r32323.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4847
------------------------------------------------------------------------
r33109 | gerald | 2010-06-06 08:03:33 -0700 (Sun, 06 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-06-06]
------------------------------------------------------------------------
r33108 | krj | 2010-06-05 23:09:26 -0700 (Sat, 05 Jun 2010) | 1 line
Changed paths:
   M /trunk/README.cmake

Add 32bit Ubuntu 10.04 to supported platforms
------------------------------------------------------------------------
r33107 | guy | 2010-06-05 15:59:20 -0700 (Sat, 05 Jun 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/wiretap/eyesdn.c
   M /trunk/wiretap/eyesdn.h
   M /trunk/wiretap/file_access.c

From Rolf Fiedler: support for writing EyeSDN trace files.

------------------------------------------------------------------------
r33106 | guy | 2010-06-05 15:04:28 -0700 (Sat, 05 Jun 2010) | 8 lines
Changed paths:
   M /trunk/acinclude.m4

First check for the new GTK+/OS X integration functions, then the old
ones; it appears that at least one user's -ligemacintegration has both
(see bug 4823), and we should choose the new ones in that case.

Also, always set have_ige_mac if we have the functions.

Fix tpyoes while we're at it.

------------------------------------------------------------------------
r33105 | jake | 2010-06-05 02:22:45 -0700 (Sat, 05 Jun 2010) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c

From John Fitzgibbon:
When specifying SA keys for AES-CTR, Wireshark expects a key length of 160, 224
or 288 bits, (i.e. 128, 192 or 256 bits, followed by the 32 bit nonce value),
but gcry_cipher_setkey() in packet_ipsec.c fails, as it expects 128, 192 or 256
bits.

Omitting the nonce won't work -- even if Wireshark liked those key lengths,
gcrypt wouldn't be able to decrypt without it.

------------------------------------------------------------------------
r33104 | guy | 2010-06-04 19:19:45 -0700 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/test/suite-capture.sh

Clean up indentation.

------------------------------------------------------------------------
r33103 | guy | 2010-06-04 18:55:06 -0700 (Fri, 04 Jun 2010) | 4 lines
Changed paths:
   M /trunk/tshark.c

Clarify an error message (and the corresponding comment).

Fix the no-libpcap build.

------------------------------------------------------------------------
r33102 | gerald | 2010-06-04 17:29:31 -0700 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.in
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake
   D /trunk/plugins/llrp

Back out r33088 for now.

------------------------------------------------------------------------
r33101 | morriss | 2010-06-04 17:25:46 -0700 (Fri, 04 Jun 2010) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Cal Turney via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4831 :

Add the data read/write length to the NFS tree so it is filterable.

From me: don't bother incrementing the offset just to decrement it again.
Change the hf info a bit.

(Ideally the RPC dissector would add the length to the tree not as a text
item; that is left for future work.)

------------------------------------------------------------------------
r33100 | guy | 2010-06-04 17:08:37 -0700 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/tshark.c

Catch some cases that don't currently work.

------------------------------------------------------------------------
r33099 | gerald | 2010-06-04 16:16:31 -0700 (Fri, 04 Jun 2010) | 4 lines
Changed paths:
   M /trunk/gtk/stats_tree_stat.c

From Chris Maynard via bug 1546:

Add units to the rate.

------------------------------------------------------------------------
r33098 | guy | 2010-06-04 16:08:08 -0700 (Fri, 04 Jun 2010) | 4 lines
Changed paths:
   M /trunk/tap-sv.c

Thou shalt not have a tap whose listener is always active; that means,
for example, that, if it's a TShark tap, TShark can never be run with
"-w -", as it means that TShark will always have to dissect the packets.

------------------------------------------------------------------------
r33097 | morriss | 2010-06-04 13:52:02 -0700 (Fri, 04 Jun 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Add a preference that allows the user to decide if they want the calling and
called GTs (if RI=GT) put in the (pinfo) source and destination (and thus into
the source and destination columns).

This may help (if the PCs change but the GT does not) or hurt (if the GT or RI
change but the PCs do not) TCAP's ability to identify which messages belong to
which TCAP "session."

------------------------------------------------------------------------
r33096 | morriss | 2010-06-04 13:48:45 -0700 (Fri, 04 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sua.c

Use a gboolean to store a boolean and change the plurality on the preference name
------------------------------------------------------------------------
r33095 | jake | 2010-06-04 13:37:23 -0700 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/plugins/llrp

Set props on llrp directory.

------------------------------------------------------------------------
r33094 | morriss | 2010-06-04 13:36:43 -0700 (Fri, 04 Jun 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sua.c

Add a preference that allows the user to decide if they want the source and
destination address PC or GT (depending on the RI) put in the (pinfo) source and
destination (and thus into the source and destination columns).

This may help (if the IP addresses change but the PC or GT do not) or hurt (if
the PC, GT, or RI change but the IP addresses do not) TCAP's ability to identify
which messages belong to which TCAP "session."

------------------------------------------------------------------------
r33093 | morriss | 2010-06-04 12:57:11 -0700 (Fri, 04 Jun 2010) | 1 line
Changed paths:
   M /trunk/tools/test-fuzzed-cap.sh

Add BIN_DIR.  If it is '.' then set WIRESHARK_RUN_FROM_BUILD_DIRECTORY so that we test plugins
------------------------------------------------------------------------
r33092 | gerald | 2010-06-04 12:49:12 -0700 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/plugins/llrp/Makefile.nmake

Add a checkapis target.

------------------------------------------------------------------------
r33091 | morriss | 2010-06-04 12:37:31 -0700 (Fri, 04 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/tcap-persistentdata.h

Increase LENGTH_OID a bit to give us more room for ACNs (probably more than will ever be used).
------------------------------------------------------------------------
r33090 | guy | 2010-06-04 12:29:26 -0700 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/sigcomp-udvm.c

Fix comments.

------------------------------------------------------------------------
r33089 | morriss | 2010-06-04 12:28:39 -0700 (Fri, 04 Jun 2010) | 1 line
Changed paths:
   M /trunk/asn1/ansi_tcap/packet-ansi_tcap-template.c
   M /trunk/asn1/tcap/packet-tcap-template.c
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-tcap.c

tcaphash_context_t.oid is of size LENGTH_OID+1, not LENGTH_OID.  Just use sizeof(tcaphash_context_t.oid) instead of LENGTH_OID so we can use that last byte.  This allows us to retrieve the whole ACN when the ACN is LENGTH_OID bytes long.
------------------------------------------------------------------------
r33088 | gerald | 2010-06-04 11:45:02 -0700 (Fri, 04 Jun 2010) | 6 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.in
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/plugins/Makefile.am
   M /trunk/plugins/Makefile.nmake
   A /trunk/plugins/llrp
   A /trunk/plugins/llrp/AUTHORS
   A /trunk/plugins/llrp/ChangeLog
   A /trunk/plugins/llrp/Makefile.am
   A /trunk/plugins/llrp/Makefile.common
   A /trunk/plugins/llrp/Makefile.nmake
   A /trunk/plugins/llrp/llrp-1x0-def.c
   A /trunk/plugins/llrp/llrp-1x0-def.h
   A /trunk/plugins/llrp/llrp-Intermec.c
   A /trunk/plugins/llrp/llrp-Intermec.h
   A /trunk/plugins/llrp/llrpparse.c
   A /trunk/plugins/llrp/llrpparse.h
   A /trunk/plugins/llrp/llrpparsehelp.c
   A /trunk/plugins/llrp/llrpparsehelp.h
   A /trunk/plugins/llrp/llrpparseinc.h
   A /trunk/plugins/llrp/llrpparsetypes.c
   A /trunk/plugins/llrp/llrpparsetypes.h
   A /trunk/plugins/llrp/moduleinfo.h
   A /trunk/plugins/llrp/moduleinfo.nmake
   A /trunk/plugins/llrp/packet-llrp.c
   A /trunk/plugins/llrp/plugin.rc.in

From Matt Poduska via bug 1957 (with minor changes):

New dissector (plugin) to support decode of the EPCglobal Low-Level Reader
protocol (see llrp.org for more information). This dissector has passed fuzz
testing.

------------------------------------------------------------------------
r33087 | gerald | 2010-06-04 11:28:02 -0700 (Fri, 04 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/sigcomp-udvm.c

According to RFC 3220 section 7 the max UDVM message size is 65536,
not 65535. Hopefully fixes bug 4837.

------------------------------------------------------------------------
r33086 | wmeier | 2010-06-04 10:59:53 -0700 (Fri, 04 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-hip.c

From  Samu Varjonen: Whitespace cleanup

Tabs converted to 8 spaces and trailing whitespaces removed, etc.

------------------------------------------------------------------------
r33085 | gerald | 2010-06-04 09:59:49 -0700 (Fri, 04 Jun 2010) | 3 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh

If BIN_DIR is ".", set WIRESHARK_RUN_FROM_BUILD_DIRECTORY so that we
test plugins.

------------------------------------------------------------------------
r33084 | gal | 2010-06-04 08:07:17 -0700 (Fri, 04 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/ns_cert_exts/NETSCAPE-CERT-EXTS.asn
   M /trunk/epan/dissectors/packet-ns_cert_exts.c

Description for netscape-cert-type bit 4 (e.g. see http://docs.sun.com/source/816-5531-10/poli_ext.htm#1078885)


------------------------------------------------------------------------
r33083 | gal | 2010-06-04 07:36:53 -0700 (Fri, 04 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/pkix1implicit/PKIX1IMPLICIT93.asn
   M /trunk/epan/dissectors/packet-pkix1implicit.c

RCS 3280, which obsoletes RFC 2459, allows an IA5String CHOICE in the DisplayText of a UserNotice.

------------------------------------------------------------------------
r33082 | stig | 2010-06-04 05:14:18 -0700 (Fri, 04 Jun 2010) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-nwmtp.c

From Holger Freyther via bug 4841:
Add a new dissector for the NexusWare C7 MTP over UDP/TCP protocol. One of
NexusWare's example applications provide a way to forward MTP Level 3 messages
via UDP/TCP. This is a dissector for this protocol (which is lacking an IANA
assigned port).

------------------------------------------------------------------------
r33081 | jake | 2010-06-03 22:57:05 -0700 (Thu, 03 Jun 2010) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_graphics/ws-stats-compare.png

Set the right DPI for PDF production.

------------------------------------------------------------------------
r33080 | wmeier | 2010-06-03 18:32:21 -0700 (Thu, 03 Jun 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bat.c

From  Sven Eckelmann: Remove recursion for aggregated packets in batman dissector
"Different developers wanted to have the recursive dissector for aggregated
 packets changed to a iterative approach."

See Bug #4836: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4836

------------------------------------------------------------------------
r33079 | wmeier | 2010-06-03 17:45:37 -0700 (Thu, 03 Jun 2010) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Cal Turney: The NFS FH hash (nfs.fh.hash) incorrectly matches multiple filehandles.
"The method used in packet-nfs.c to calculate a 32-bit hash representing the 
 32-byte filehandle is faulty in that the hash often matches multiple
 filehandles."

"This patch uses CRC-32 to calculate the hash.
 We (EMC GNS) have tested this patch for the past two years and we have not
 found a single case where the hash matched more than one filehandle."

See Bug #4839: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4839


------------------------------------------------------------------------
r33078 | jake | 2010-06-03 14:39:38 -0700 (Thu, 03 Jun 2010) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_build_install.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_capture.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_introduction.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_io.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_work.xml

Bring more texts and examples up to date.

------------------------------------------------------------------------
r33077 | wmeier | 2010-06-03 12:14:18 -0700 (Thu, 03 Jun 2010) | 2 lines
Changed paths:
   M /trunk/editcap.c

Fix a gcc -Wshadow warning

------------------------------------------------------------------------
r33076 | morriss | 2010-06-03 11:57:25 -0700 (Thu, 03 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sua.c

Set the (pinfo) address if a PC is present (for now: regardless of whether routing is on GT or not).
------------------------------------------------------------------------
r33075 | wmeier | 2010-06-03 11:56:39 -0700 (Thu, 03 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

From  Sven Eckelmann: Change recursion for aggregated packets to iteration.
See Bug #2631: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2631

------------------------------------------------------------------------
r33074 | stig | 2010-06-03 06:53:03 -0700 (Thu, 03 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/column-utils.c

Improved readability when displaying seconds with hours and minutes.

------------------------------------------------------------------------
r33073 | jmayer | 2010-06-03 06:04:22 -0700 (Thu, 03 Jun 2010) | 5 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/README.cmake
   M /trunk/epan/CMakeLists.txt

- Add tap-sv.c and packet-sv.c to the list of files to build
- Whitespace fixes
- Add Fedora 64 bit to the list of platforms where cmake should
  work

------------------------------------------------------------------------
r33072 | etxrab | 2010-06-03 01:22:08 -0700 (Thu, 03 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/sigcomp_state_hdlr.c

Use g_hash_table_new_full().
------------------------------------------------------------------------
r33071 | etxrab | 2010-06-03 00:47:07 -0700 (Thu, 03 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

From Pascal Quantin:
Avoid triggering a malformed packet error when decoding a simple UE terminated Detach Request when the EMM cause IE is not present:
------------------------------------------------------------------------
r33070 | jake | 2010-06-03 00:38:27 -0700 (Thu, 03 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/gcp.c
   M /trunk/epan/gcp.h

Whitespace/indentation/code style cleanup.

------------------------------------------------------------------------
r33069 | morriss | 2010-06-02 19:23:36 -0700 (Wed, 02 Jun 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Cal Turney via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4832 :

Add field 'nfs.ops.count' in the detail pane of NFSv4 calls and replies that
displays the number of operations in NFSv4 COMPOUND requests/replies.

From me: change the blurb wording a bit.

------------------------------------------------------------------------
r33068 | morriss | 2010-06-02 19:15:32 -0700 (Wed, 02 Jun 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Cal Turney via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4830 :

Display the fsid (filesystem ID) in decimal as well as hex in the "attributes"
section of the header in NFSv3/v4 replies.

------------------------------------------------------------------------
r33067 | morriss | 2010-06-02 19:05:52 -0700 (Wed, 02 Jun 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/x11-declarations.h
   M /trunk/epan/dissectors/x11-enum.h
   M /trunk/epan/dissectors/x11-extension-errors.h
   M /trunk/epan/dissectors/x11-extension-implementation.h
   M /trunk/epan/dissectors/x11-glx-render-enum.h
   M /trunk/epan/dissectors/x11-register-info.h
   M /trunk/tools/process-x11-xcb.pl

From Peter Harris via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4820 :

Mesa moved its API description file again.

Also, while I'm here, I noticed that they stopped using signed tags, so add
--tags to "git describe" for a better description of the mesa version used to
build the X11 dissector.

------------------------------------------------------------------------
r33066 | wmeier | 2010-06-02 19:03:32 -0700 (Wed, 02 Jun 2010) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

From:  Sven Eckelmann:Add support for v10 packet format
 "v10 of the packet format was added recently and could be added
  to the wireshark dissector"
See: Bug #4833: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4833

From me:
- Fix a compile error: ...version=tvb_get_ntohs...
- Fix a missing = NULL.

------------------------------------------------------------------------
r33065 | guy | 2010-06-02 18:22:18 -0700 (Wed, 02 Jun 2010) | 20 lines
Changed paths:
   M /trunk/epan/sigcomp-udvm.c

Sorry, I forgot that 8.6. UDVM Cycles says

	Note that the number of UDVM cycles MUST NOT be increased if a
	request for additional compressed data fails.

so we *shouldn't* increase the cycle count further when
SIGCOMP_INSTR_INPUT_BYTES fails.  That does *NOT* of course, mean that
we shouldn't increase the cycle count by 1 for a failed INPUT-BYTES
instruction - that would leave UDVM vulnerable to infinite loops (as per
bug 4826), and I *really* doubt that was their intent; presumably, it
means it should not be increased *by the number of cycles for the
additional data*:

	Additionally, if the UDVM successfully requests n bits of
	compressed data using one of the INPUT instructions then the
	number of available UDVM cycles is increased by n *
	cycles_per_bit once the instruction has been executed.

if the attempt to get that additional data fails.

------------------------------------------------------------------------
r33064 | wmeier | 2010-06-02 17:52:08 -0700 (Wed, 02 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

Add back a few 'if (check_col()...' removed by me in a previous commit.
Possibly it's better to use an 'if (checkcol()' if the enclosed call to
'col_...' has "complex" arguments.

------------------------------------------------------------------------
r33063 | gerald | 2010-06-02 17:42:21 -0700 (Wed, 02 Jun 2010) | 17 lines
Changed paths:
   M /trunk/doc/rawshark.pod

From Reinhard Speyerer via bug 4779:

From reading the rawshark(1) manpage my assumption was that rawshark
could be used like
$ /usr/bml/bin/rawshark -s -r test.pcap -d encap:EN10MB ...

However rawshark either expects the -r argument to be -
(read from stdin) or a pipe which results in the following error
message:

rawshark: ".../test.pcap" is neither an interface nor a pipe

The proposed rawshark.pod patch updates the -r description to
the implemented rawshark functionality.

The patch also applies to the current SVN version.

------------------------------------------------------------------------
r33062 | wmeier | 2010-06-02 17:26:27 -0700 (Wed, 02 Jun 2010) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-bat.c
   D /trunk/epan/dissectors/packet-bat.h

From Sven Eckelmann: Synchronize bat dissector with batadv dissector
 "Different people made changes to enhance the batman-adv dissector. It seems
 that the batman dissector wasn't touched and misses those changes. Following
 patchset should improve the dissector the same way Gerald Combs, Guy Harris and
 Bill Meier improved batman-adv."
See Bug #4384: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4834

From me: Add back a few 'if (check_col()) ...';
 I probably went just a bit too far in changes I made in packet-batadv.c

------------------------------------------------------------------------
r33061 | gerald | 2010-06-02 15:16:49 -0700 (Wed, 02 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/sigcomp-udvm.c

Increment the cycle count no matter what. Increase the cycle count
further when SIGCOMP_INSTR_INPUT_BYTES fails. Fixes the infinite loop
found in bug 4826.

------------------------------------------------------------------------
r33060 | wmeier | 2010-06-02 14:36:24 -0700 (Wed, 02 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

From  Sven Eckelmann:  Fix endless recursive loop
See Bug #2631: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2631

------------------------------------------------------------------------
r33059 | etxrab | 2010-06-02 12:29:14 -0700 (Wed, 02 Jun 2010) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isis.c
   M /trunk/epan/dissectors/packet-trill.c
   M /trunk/epan/epan.c
   M /trunk/epan/etypes.h

From  David Bond:
Added the IEEE defined ether types for TRILL and Layer 2 ISIS. Also had ISIS
register itself with the ethertype dissector.

References:
http://www.postel.org/pipermail/rbridge/2010-May/003998.html
http://tools.ietf.org/html/draft-ietf-isis-layer2-05
http://tools.ietf.org/html/draft-ietf-trill-rbridge-protocol-16

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4825
------------------------------------------------------------------------
r33058 | jake | 2010-06-02 12:01:16 -0700 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/sv/Makefile.am
   M /trunk/asn1/sv/Makefile.common
   M /trunk/asn1/sv/Makefile.nmake
   M /trunk/asn1/sv/packet-sv-template.c
   M /trunk/asn1/sv/packet-sv-template.h
   M /trunk/asn1/sv/sv.asn
   M /trunk/asn1/sv/sv.cnf

Set Subversion properties right.

------------------------------------------------------------------------
r33057 | wmeier | 2010-06-02 12:00:20 -0700 (Wed, 02 Jun 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

Misc changes:
- Clear info col before beginning dissection;
- Remove some uneeded forward declarations;
- Remove some ... = NULL initializers;
- Display protocol as BATADV_??? if unknown type;
- '(gwflags & 0x7C) >> 3'  ==> '(gwflags & 0x78) >> 3'

------------------------------------------------------------------------
r33056 | gerald | 2010-06-02 11:13:00 -0700 (Wed, 02 Jun 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-icmp.c
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/packet_info.h

From Chris Maynard via bug 4014:

This trivial patch merely displays the ICMP ID and sequence # in the Info
column.

------------------------------------------------------------------------
r33055 | wmeier | 2010-06-02 11:11:17 -0700 (Wed, 02 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

check_col() no longer required;
Use col_add_fstr() instead of col_clear()/col_append_fstr() combo.

------------------------------------------------------------------------
r33054 | stig | 2010-06-02 10:59:18 -0700 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt

Added packet-batadv.c

------------------------------------------------------------------------
r33053 | guy | 2010-06-02 10:33:45 -0700 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-batadv.c

Fix incorrect fetch of version field.

------------------------------------------------------------------------
r33052 | gerald | 2010-06-02 10:10:55 -0700 (Wed, 02 Jun 2010) | 21 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-batadv.c

From Sven Eckelmann via but 2631:

The wireless meshing protocol B.A.T.M.A.N. Advanced changed their packet format
in such a way that now versions can be identified and so correct dissection of
the packets can be supported by wireshark.
Since it is a ever moving target it is very possible that the packet format is
changing slightly. The dissector was written in such a way that new version can
be supported relative easy.
I hope that it sufficient for the inclusion in wireshark.

I tried to fuzzing it some hours and no error was reported.


From me:

Initialize our dissector handles.

Merge packet-batadv.h into packet-batadv.c. It isn't included anywhere else.

Fuzz 500 passes using attached capture files.

------------------------------------------------------------------------
r33051 | morriss | 2010-06-02 09:01:51 -0700 (Wed, 02 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Initialize no_vs_avps_ext with a pointer to a valid 'match' function so we don't crash in val_to_str_ext() if an AVP from an unknown vendor is encountered.
------------------------------------------------------------------------
r33050 | gal | 2010-06-02 08:09:11 -0700 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/x509ce/x509ce.cnf
   M /trunk/epan/dissectors/packet-x509ce.c

Definition of certificatePolicies certificate extension and removal of warnings

------------------------------------------------------------------------
r33049 | gal | 2010-06-02 07:58:42 -0700 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/x509sat/x509sat.cnf
   M /trunk/epan/dissectors/packet-x509sat.c

CA Version certificate extension

------------------------------------------------------------------------
r33048 | gal | 2010-06-02 07:42:57 -0700 (Wed, 02 Jun 2010) | 9 lines
Changed paths:
   M /trunk/asn1/pres/pres.cnf
   M /trunk/epan/dissectors/packet-ber.c
   M /trunk/epan/dissectors/packet-pres.c

Bug 3597 - implicit octet string that is constructed causes PRES/FTAM dissect failure

Introduced some state to remember last dissected Tag/Length so that they can be recalled if an IMPLICIT tag is encountered and stripped. This allows its to be determined if the value has a constructed value - and so can be reassembled.

In this case, it is a IMPLICIT constructed OCTET STRING at the presentation layer.

Many thanks to Fred Gruman for identifying - and apologies for the delay in commiting.


------------------------------------------------------------------------
r33047 | gal | 2010-06-02 06:36:10 -0700 (Wed, 02 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/ftam/ftam.cnf
   M /trunk/epan/dissectors/packet-ftam.c

Minor change to remember the object identifier.


------------------------------------------------------------------------
r33046 | gal | 2010-06-02 06:33:37 -0700 (Wed, 02 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Updated get_ber_length to handle multiple nested indefinite length encodings.


------------------------------------------------------------------------
r33045 | etxrab | 2010-06-02 03:50:39 -0700 (Wed, 02 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-icmpv6.c
   M /trunk/epan/dissectors/packet-ipv6.h

Clean up a bit, fix indent.
------------------------------------------------------------------------
r33044 | stig | 2010-06-02 00:47:12 -0700 (Wed, 02 Jun 2010) | 2 lines
Changed paths:
   M /trunk/asn1/sv

Set default ignore targets.

------------------------------------------------------------------------
r33043 | etxrab | 2010-06-01 23:17:02 -0700 (Tue, 01 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Update value_strings with IE names.
------------------------------------------------------------------------
r33042 | gerald | 2010-06-01 17:30:25 -0700 (Tue, 01 Jun 2010) | 12 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/doc/editcap.pod
   M /trunk/docbook/release-notes.xml
   M /trunk/editcap.c

From Jim Young via bug 4331:

This patch adds a new '-S' option to editcap that will rewrite timestamps of
packets to insure that the new capture file is in strict chronological order.

This option's primary use case is to fixup the occasional timestamps that have
a negative delta time relative to previous packet.

This feature is related to (but does not depend on) capinfos enhancement
submitted in bug #4315 which helps identify tracefiles with "out-of-order"
packets.

------------------------------------------------------------------------
r33041 | gerald | 2010-06-01 17:24:03 -0700 (Tue, 01 Jun 2010) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/capinfos.c
   M /trunk/doc/capinfos.pod
   M /trunk/docbook/release-notes.xml

From Jim Young via bug 4049:

This patch adds a new '-o' option to capinfos (enabled by default) to report if
the packets within a particular capture file are in strict chronological time
order or not.

------------------------------------------------------------------------
r33040 | gerald | 2010-06-01 17:20:12 -0700 (Tue, 01 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sv.c
   M /trunk/epan/dissectors/packet-sv.h

Rebuild the IEC 61850 dissector.

------------------------------------------------------------------------
r33039 | gerald | 2010-06-01 16:27:16 -0700 (Tue, 01 Jun 2010) | 17 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile.common
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/Makefile.nmake
   A /trunk/asn1/sv
   A /trunk/asn1/sv/Makefile.am
   A /trunk/asn1/sv/Makefile.common
   A /trunk/asn1/sv/Makefile.nmake
   A /trunk/asn1/sv/packet-sv-template.c
   A /trunk/asn1/sv/packet-sv-template.h
   A /trunk/asn1/sv/sv.asn
   A /trunk/asn1/sv/sv.cnf
   M /trunk/configure.in
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-sv.c
   A /trunk/epan/dissectors/packet-sv.h
   A /trunk/tap-sv.c

From Michael Bernhard via bug 3398 with minor fixups:

I've created a ASN.1 dissector for the IEC 61850 Sampled Values protocol. It
dissects ethernet frames of the IEC 61850-9-2LE specification form the UCA
International User Group.

There is also a new TAP for tshark (-R sv) which extracts the important
information of the frame and allows to create plots (with external tools) of
the sampled values.

I've developed under Linux (Ubuntu 8.10) but everything should be in place for
successful compilation under Windows.

It would be great if this dissector could be included in wireshark. I'm looking
forward for your comments.


------------------------------------------------------------------------
r33038 | etxrab | 2010-06-01 15:23:22 -0700 (Tue, 01 Jun 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

Remove the now unused value_strings.
------------------------------------------------------------------------
r33037 | etxrab | 2010-06-01 15:22:09 -0700 (Tue, 01 Jun 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gtpv2.c

- Traffic flow template miss dissected, use de_sm_tflow_temp()
  insted.
- Dissect vendor id of private message.
------------------------------------------------------------------------
r33036 | gerald | 2010-06-01 15:20:15 -0700 (Tue, 01 Jun 2010) | 16 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/libwireshark.def
   M /trunk/epan/wspython/wspy_register.c

From Kovarththanan Rajaratnam via bug 3500:

Sébastien's initial commit [1] didn't contain support for embedding Python on
Windows.

[1] http://anonsvn.wireshark.org/viewvc?view=rev&revision=28529


From me:

Comment out PYTHON_EMBED for now.

Start a list of known Python+CRT versions.

Add get_wspython_dir to libwireshark.def.

------------------------------------------------------------------------
r33035 | sfisher | 2010-06-01 11:33:16 -0700 (Tue, 01 Jun 2010) | 6 lines
Changed paths:
   M /trunk/gtk/main.c


Per Jaap's suggestion on -dev list: remove "with new_packet_list" from
version output since it has been the default for a while now and show
"with old_packet_list" if compiled as such. 


------------------------------------------------------------------------
r33034 | sfisher | 2010-06-01 11:32:03 -0700 (Tue, 01 Jun 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-exec.c


There's no need to assign numerical values to the enum values.


------------------------------------------------------------------------
r33033 | jake | 2010-06-01 11:10:21 -0700 (Tue, 01 Jun 2010) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

From Herbert Lischka:
Lori made a simple change to the bacapp.c file for segmentation parsing. 
Basically all fragments have some common data in the APDU which is useful to
see parsed in the tree.

I added support for vendor numbers bigger than 255. 

Corrected Info column for "message fragment" and "message reassembled"

------------------------------------------------------------------------
r33032 | gal | 2010-06-01 02:25:51 -0700 (Tue, 01 Jun 2010) | 3 lines
Changed paths:
   M /trunk/asn1/x420/x420.cnf

The Permitted-Actions-Attribute is exported from ftam-exp.cnf as DISPLAY = BASE_HEX. This causes a runtime error and so we override the definition here until we can find the correct fix. 


------------------------------------------------------------------------
r33031 | stig | 2010-06-01 00:31:10 -0700 (Tue, 01 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

Fixed a comment.

------------------------------------------------------------------------
r33030 | etxrab | 2010-06-01 00:26:08 -0700 (Tue, 01 Jun 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

From Pascal Quantin:
Decode the EIA0 (null integrity algorithm) bit in EMM messages. This was introduced in 3GPP 24.301 CR-0422 (Release 9.2) and is also used by the LTSI (LTE/SAE Trial Initiative) for interoperability tests between constructors (with Release 8 equipments). I also updated the description of EEA0 as stated in 24.302 release 9.2.
------------------------------------------------------------------------
r33029 | guy | 2010-05-31 20:37:51 -0700 (Mon, 31 May 2010) | 6 lines
Changed paths:
   M /trunk/test/suite-clopts.sh
   M /trunk/tshark.c

capture() can, in some cases, return FALSE when the capture succeeds;
back out the change to check its return value until we fix that.

Also back out the test suite changes to look for an error exit for
invalid capture filters and interfaces.

------------------------------------------------------------------------
r33028 | guy | 2010-05-31 12:37:26 -0700 (Mon, 31 May 2010) | 13 lines
Changed paths:
   M /trunk/Makefile.am

Wireshark requires routines from libm, such as ceil(), so link with it;
we shouldn't rely on getting it pulled in by other shared libraries, as

	1) there's no guarantee that the other shared libraries we use
	   are linked with it or will continue to be linked with it;

	2) there's no guarantee that we're even linking dynamically;

	3) it fails on Fedora 13 as part of a change to catch programs
	   that implicitly (or explicitly) assume, in their build
	   procedures, that they'll get libraries linked in as a result
	   of linking with other libraries.

------------------------------------------------------------------------
r33027 | etxrab | 2010-05-30 22:13:27 -0700 (Sun, 30 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nfs.c

From Ian Schorr:
NFS Dissector needs FH support for EMC Celerra.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4813
------------------------------------------------------------------------
r33026 | jake | 2010-05-30 14:39:41 -0700 (Sun, 30 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

From Chris Maynard:
Fix for bug 4810 so PPP/USB dissector registers for IF_CLASS_CDC_DATA
- in addition to IF_CLASS_UNKNOWN and IF_CLASS_VENDOR_SPECIFIC, for those rare 
occasions that the right set of circumstances arise where PPP traffic will be 
(correctly) encapsulated in a USB frame of that interface class.

------------------------------------------------------------------------
r33023 | gerald | 2010-05-30 08:03:31 -0700 (Sun, 30 May 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-05-30]
------------------------------------------------------------------------
r33022 | jake | 2010-05-30 03:51:44 -0700 (Sun, 30 May 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

From Matteo Valdina
There are two typos in the RTCP TMMBR packets:
1. In the dissector of RTCP TMMBR is written "messured" instead of measured.
2. In the text title field is written TMMBN instead on TMMBR and vice-versa.

------------------------------------------------------------------------
r33021 | jake | 2010-05-30 03:28:21 -0700 (Sun, 30 May 2010) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

From Chris Maynard:
Fix for bug 4807 to handle compressed (NULL) address and control bytes.

The problem seems to be that the address and control bytes are missing,
presumably because they are compressed per section 3.2 of
http://tools.ietf.org/html/rfc1662.  The attached patch tries to account for
that.

The patch also fixes another bug.  If the hdlc framing character, 0x7e, is not
present, but the address and control fields are, then the offset might need to
be 3 bytes instead of only 2 bytes if the control field is escaped.  Sometimes
it is escaped and sometimes it isn't, so we need to handle both cases.

------------------------------------------------------------------------
r33020 | etxrab | 2010-05-29 15:29:09 -0700 (Sat, 29 May 2010) | 1 line
Changed paths:
   M /trunk/epan/proto.c

Increase the base size to 100 000 we are using more than that.
------------------------------------------------------------------------
r33019 | morriss | 2010-05-28 20:35:32 -0700 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/wsutil/strerror.c

Include glib.h (for g_snprintf).
------------------------------------------------------------------------
r33018 | morriss | 2010-05-28 20:34:05 -0700 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/wsutil/strptime.c

Add braces to avoid an ambiguous else
------------------------------------------------------------------------
r33017 | morriss | 2010-05-28 20:33:28 -0700 (Fri, 28 May 2010) | 8 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/wsutil/CMakeLists.txt
   M /trunk/wsutil/Makefile.am

Put the optional objects in EXTRA..SOURCES instead of EXTRA_DIST.

Put the optional objects in a _DEPENDENCIES rule so they actually get built
when needed.

Use libtool to make these objects.  Remove AC variables that are no longer
needed.

------------------------------------------------------------------------
r33016 | morriss | 2010-05-28 18:00:52 -0700 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/wsutil/Makefile.am
   M /trunk/wsutil/Makefile.common
   M /trunk/wsutil/Makefile.nmake

Make inet_aton an optional object on *NIX again
------------------------------------------------------------------------
r33015 | morriss | 2010-05-28 17:34:08 -0700 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/Makefile.am

Remove a couple more references to the optional objects (that are now in wsutil)
------------------------------------------------------------------------
r33014 | gerald | 2010-05-28 16:00:29 -0700 (Fri, 28 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

From Karl Heinz Wolf via bug 3571 (with minor changes):

Patch for the SIP dissector: the raw SIP message can be shown with our without
the "\r\n". User may want to remove the \r\n for clarity (by selecting a
checkbox).

------------------------------------------------------------------------
r33013 | morriss | 2010-05-28 13:37:18 -0700 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/wsutil/libwsutil.def

Add a missing variable from wsgetopt
------------------------------------------------------------------------
r33012 | morriss | 2010-05-28 13:19:55 -0700 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/Makefile.am
   M /trunk/Makefile.common
   M /trunk/Makefile.nmake
   M /trunk/capinfos.c
   M /trunk/capture_ifinfo.c
   M /trunk/dftest.c
   M /trunk/dumpcap.c
   M /trunk/editcap.c
   M /trunk/epan
   M /trunk/epan/Makefile.am
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/address_to_str.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-tacacs.c
   M /trunk/epan/ftypes/ftype-time.c
   D /trunk/epan/inet_aton.c
   D /trunk/epan/inet_aton.h
   M /trunk/gtk/main.c
   D /trunk/inet_ntop.c
   D /trunk/inet_pton.c
   D /trunk/inet_v6defs.h
   M /trunk/mergecap.c
   M /trunk/randpkt.c
   M /trunk/rawshark.c
   D /trunk/strerror.c
   D /trunk/strerror.h
   D /trunk/strncasecmp.c
   D /trunk/strptime.c
   D /trunk/strptime.h
   M /trunk/text2pcap.c
   M /trunk/tshark.c
   D /trunk/wsgetopt.c
   D /trunk/wsgetopt.h
   M /trunk/wsutil/CMakeLists.txt
   M /trunk/wsutil/Makefile.am
   M /trunk/wsutil/Makefile.common
   M /trunk/wsutil/Makefile.nmake
   A /trunk/wsutil/inet_aton.c (from /trunk/epan/inet_aton.c:33009)
   A /trunk/wsutil/inet_aton.h (from /trunk/epan/inet_aton.h:33009)
   A /trunk/wsutil/inet_ntop.c (from /trunk/inet_ntop.c:33009)
   A /trunk/wsutil/inet_pton.c (from /trunk/inet_pton.c:33009)
   A /trunk/wsutil/inet_v6defs.h (from /trunk/inet_v6defs.h:33009)
   M /trunk/wsutil/libwsutil.def
   A /trunk/wsutil/strerror.c (from /trunk/strerror.c:33009)
   A /trunk/wsutil/strerror.h (from /trunk/strerror.h:33009)
   A /trunk/wsutil/strncasecmp.c (from /trunk/strncasecmp.c:33009)
   A /trunk/wsutil/strptime.c (from /trunk/strptime.c:33009)
   A /trunk/wsutil/strptime.h (from /trunk/strptime.h:33009)
   A /trunk/wsutil/wsgetopt.c (from /trunk/wsgetopt.c:33009)
   A /trunk/wsutil/wsgetopt.h (from /trunk/wsgetopt.h:33009)

Move some code (including the optional objects) into libwsutil
------------------------------------------------------------------------
r33011 | gerald | 2010-05-28 11:04:56 -0700 (Fri, 28 May 2010) | 9 lines
Changed paths:
   M /trunk/gtk/packet_list_store.c

From Jakub Zawadzki via bug 4273:

After appending new record set packet_list->columnized to FALSE.

From me:

Use g_ptr_array_sort_with_data instead of g_qsort_with_data in case the
GPtrArray internals ever change.

------------------------------------------------------------------------
r33010 | morriss | 2010-05-28 06:09:12 -0700 (Fri, 28 May 2010) | 1 line
Changed paths:
   M /trunk/epan/wslua/Makefile.nmake

Fix the Windows build
------------------------------------------------------------------------
r33009 | jmayer | 2010-05-28 04:48:29 -0700 (Fri, 28 May 2010) | 7 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/wslua/CMakeLists.txt
   M /trunk/epan/wslua/Makefile.am
   M /trunk/epan/wslua/make-init-lua.pl
   M /trunk/epan/wspython/CMakeLists.txt

Remaining fixes for
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4788
- Compile the python code directly into epan - don't link it in as
  a static lib.
- Call make-init-lua.pl with the top level directory instead of the
  current directory. Change make-init-lua.pl accordingly.

------------------------------------------------------------------------
r33008 | jmayer | 2010-05-28 04:18:04 -0700 (Fri, 28 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/CMakeLists.txt

Add proto_help.c to the list of files.

------------------------------------------------------------------------
r33007 | wmeier | 2010-05-27 18:37:32 -0700 (Thu, 27 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/proto_help.c
   M /trunk/gtk/proto_help.h

Add svn:keywords & svn:eol-style properties

------------------------------------------------------------------------
r33006 | guy | 2010-05-27 18:09:28 -0700 (Thu, 27 May 2010) | 9 lines
Changed paths:
   M /trunk/test/suite-clopts.sh
   M /trunk/tshark.c

Use return rather than exit in main().

Return 2 for a capture error - we mainly use 1 for command-line syntax
errors (rather than, say, filter syntax errors or an invalid interface).

Now that TShark exits with an error status when given an invalid capture
filter or invalid interface, check for "error" rather than "success" as
an exit status.

------------------------------------------------------------------------
r33005 | gerald | 2010-05-27 16:55:04 -0700 (Thu, 27 May 2010) | 4 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/file.c
   M /trunk/file.h

Add cf_fake_continue_tail() which is called when real-time capture
updates are off and which sets the capture file state to a value that
won't cause an assertion when the user stops capturing. Fixes bug 4035.

------------------------------------------------------------------------
r33004 | wmeier | 2010-05-27 16:46:01 -0700 (Thu, 27 May 2010) | 3 lines
Changed paths:
   M /trunk/tshark.c

Fix bug #4735: tshark returns 0 on non-valid filter and interface.
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4735

------------------------------------------------------------------------
r33003 | jake | 2010-05-27 14:54:58 -0700 (Thu, 27 May 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pgm.c

From  Steven McCoy:
AFI fields are 2 bytes i.s.o. 1.

From me, several more size changes and decode cleanup.

------------------------------------------------------------------------
r33002 | gerald | 2010-05-27 14:17:55 -0700 (Thu, 27 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/proto_help.c

fopen -> ws_fopen

------------------------------------------------------------------------
r33001 | gerald | 2010-05-27 12:54:02 -0700 (Thu, 27 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c
   M /trunk/gtk/proto_help.c
   M /trunk/gtk/proto_help.h

Protocol Help requires GLib 2.6+. Add newlines. Fixup whitespace.

------------------------------------------------------------------------
r33000 | morriss | 2010-05-27 12:13:26 -0700 (Thu, 27 May 2010) | 1 line
Changed paths:
   M /trunk/doc/wireshark.pod.template

Copy the (no longer Win32-specific) description of the -B option to the Wireshark man page.
------------------------------------------------------------------------
r32999 | morriss | 2010-05-27 12:11:53 -0700 (Thu, 27 May 2010) | 1 line
Changed paths:
   M /trunk/doc/dumpcap.pod
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod.template

Document the maximum number of files in a ring buffer, including a warning about using large numbers of files.
------------------------------------------------------------------------
r32998 | gerald | 2010-05-27 11:00:46 -0700 (Thu, 27 May 2010) | 4 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/ringbuffer.c
   M /trunk/ringbuffer.h

Set RINGBUFFER_MAX_NUM_FILES to 100000. Use it to generate file names.
Add RINGBUFFER_WARN_NUM_FILES and use it to print a warning. Print
warnings when we change the number of ringbuffer files.

------------------------------------------------------------------------
r32997 | gerald | 2010-05-27 10:57:10 -0700 (Thu, 27 May 2010) | 3 lines
Changed paths:
   M /trunk/AUTHORS

Add .11s to Sam Leffler's entry. We haven't used Alain Magloire's
snprintf.c for almost four years. Remove the entry.

------------------------------------------------------------------------
r32996 | etxrab | 2010-05-27 09:24:44 -0700 (Thu, 27 May 2010) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Add string_replace to exported functions.
------------------------------------------------------------------------
r32995 | gerald | 2010-05-27 08:51:25 -0700 (Thu, 27 May 2010) | 42 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/docbook/wsug_src/WSUG_app_files.xml
   M /trunk/epan/strutil.c
   M /trunk/epan/strutil.h
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/main.c
   M /trunk/gtk/menus.c
   A /trunk/gtk/proto_help.c
   A /trunk/gtk/proto_help.h

From Edgar Gladkich:

This is an extension to the Wireshark context sensitive protocol help. Rows in
TreeView window are analyzed and suitable help file (as HTML) is opened in a
browser.

The help part (large file, 23 MB) of the Protocol Help can be downloaded under
www.inacon.com/dowload/stuff/protocol_help.tar.gz

This protocol help "light" provides descriptive content for the most frequently
used standard protocols, including IP, TCP or SMTP.

From me:

Changes:

Rename "ph_" in some function names to "proto_help_". Move the protocol
help code to its own module.

Make a bunch of functions static. Remove unused code.

Use browser_open_url() instead of a custom function.

Increase the logging levels. Don't clobber the normal log handler.

Update some Doxygen comments to match the format in the rest of the code
base.

Removed GTK version checks. We've been 2.x only for a while.

Move ph_replace_string to string_replace() in epan/strutil.[ch].

Fix a bunch of memory leaks.

Add a NULL pointer check.

Reformat the overview menu label.

Document the file format and locations.

Add Edgar to AUTHORS.

------------------------------------------------------------------------
r32994 | wmeier | 2010-05-27 08:47:34 -0700 (Thu, 27 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

Reword two error messages as per Bug #4518.
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4518

------------------------------------------------------------------------
r32993 | etxrab | 2010-05-27 07:05:20 -0700 (Thu, 27 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

From Pascal Quantin:
 Prettify decoding of EPS NAS messages.
------------------------------------------------------------------------
r32992 | jmayer | 2010-05-27 03:49:33 -0700 (Thu, 27 May 2010) | 8 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/wslua/CMakeLists.txt

Fix for the LUA part of bug
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4788

- Don't build the wslua stuff as a (static) library, build the
  stuff directly into epan instead.

The wspython remains to be done.

------------------------------------------------------------------------
r32991 | etxrab | 2010-05-27 01:12:58 -0700 (Thu, 27 May 2010) | 2 lines
Changed paths:
   M /trunk/diameter/dictionary.xml

From Tamás Regõs:
Updated Experimental-Result-Code AVP 298.
------------------------------------------------------------------------
r32990 | guy | 2010-05-26 23:11:28 -0700 (Wed, 26 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Data frames, not management frames, can have a mesh header.

------------------------------------------------------------------------
r32989 | gerald | 2010-05-26 20:24:04 -0700 (Wed, 26 May 2010) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Remove a couple of items from the "known bugs" list.

------------------------------------------------------------------------
r32988 | guy | 2010-05-26 18:13:49 -0700 (Wed, 26 May 2010) | 3 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/dumpcap.c
   M /trunk/tshark.c

Make -q not a capture option again - it's used by tshark even when not
capturing, and thus even when we build without pcap.

------------------------------------------------------------------------
r32987 | gerald | 2010-05-26 17:49:01 -0700 (Wed, 26 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/filter_autocomplete.c

Make sure our prefix length is > 0 before lopping off the last
character.  Fixes bug 4797.

------------------------------------------------------------------------
r32986 | guy | 2010-05-26 17:48:08 -0700 (Wed, 26 May 2010) | 9 lines
Changed paths:
   M /trunk/capture_sync.c
   M /trunk/tshark.c

Clean up the error reporting.  An EOF from the sync pipe when capturing
is just an indication that the capture child exited; don't treat it as
an error, unless the child process exits with an abnormal status.
 
As tshark sends a "stop capture" indication to the child when it's
^C'ed, the child will exit and we'll get an EOF from the capture pipe;
don't make SIGINT etc. interrupt system calls, so they don't cause reads
from the capture pipe to get EINTR errors.

------------------------------------------------------------------------
r32985 | gerald | 2010-05-26 16:29:56 -0700 (Wed, 26 May 2010) | 5 lines
Changed paths:
   M /trunk/file.c

Another attempt at bug 4669: Properly set the previous-displayed-packet
timestamp when we're recalculating reference times.

Remove an unused variable. Add whitespace & comment fixups.

------------------------------------------------------------------------
r32984 | etxrab | 2010-05-26 14:39:24 -0700 (Wed, 26 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

From Jakub Zawadzki:
One more change from wtap_seek_read to cf_read_frame.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4666
------------------------------------------------------------------------
r32983 | jake | 2010-05-26 14:23:45 -0700 (Wed, 26 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cigi.c

From Brian Woodard:
User Defined CIGI packets with a packet size greater than 127 bytes are
displayed as Malformed. Instead, treat size as unsigned integers.

------------------------------------------------------------------------
r32982 | jake | 2010-05-26 14:10:02 -0700 (Wed, 26 May 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

From Hadar Shoham:
Change DHCPv6 option 17.8 to be the same as BOOTP option 43.8 
CableLabs specs treat 43.8\17.8 inconsistently as either binary (3 byte) 
or string (6 byte)

Additional cleanup and extension of interface ID presentation by me.

------------------------------------------------------------------------
r32981 | gerald | 2010-05-26 12:44:40 -0700 (Wed, 26 May 2010) | 4 lines
Changed paths:
   M /trunk/gtk/new_packet_list.c

Have new_packet_list_queue_draw() redraw the packet detail as well. Call
new_packet_list_queue_draw() whenever we mark/unmark frames. Fixes bug
4669.

------------------------------------------------------------------------
r32980 | etxrab | 2010-05-26 12:11:23 -0700 (Wed, 26 May 2010) | 8 lines
Changed paths:
   M /trunk/file.c
   M /trunk/file.h
   M /trunk/gtk/iax2_analysis.c
   M /trunk/gtk/main.c
   M /trunk/gtk/packet_list_store.c
   M /trunk/gtk/packet_win.c
   M /trunk/gtk/rtp_analysis.c
   M /trunk/gtk/sctp_assoc_analyse.c
   M /trunk/gtk/tcp_graph.c
   M /trunk/proto_hier_stats.c

From Jakub Zawadzki:
New functions: cf_read_frame_r, cf_read_frame

It's much easier to write:
 cf_read_frame (cf, fdata, &err, &err_info)
Than:
 wtap_seek_read (cf->wth, fdata->file_off, &cf->pseudo_header, cf->pd,
fdata->cap_len, &err, &err_info)
------------------------------------------------------------------------
r32979 | jake | 2010-05-26 12:06:17 -0700 (Wed, 26 May 2010) | 1 line
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml

Update name resolving description.
------------------------------------------------------------------------
r32978 | wmeier | 2010-05-26 09:21:19 -0700 (Wed, 26 May 2010) | 4 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_dissection.xml

Reference the 'interlink' plugin dir as an example (rather than agentx
  which is no longer a plugin).
Fix a typo.

------------------------------------------------------------------------
r32977 | martinm | 2010-05-26 08:51:47 -0700 (Wed, 26 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/mac_lte_stat_dlg.c

Add a tooltip.

------------------------------------------------------------------------
r32976 | martinm | 2010-05-26 08:20:10 -0700 (Wed, 26 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/rlc_lte_stat_dlg.c

Add some tooltips.

------------------------------------------------------------------------
r32975 | wmeier | 2010-05-26 07:35:06 -0700 (Wed, 26 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

proto_registrar_dump_fields: output "" for blurb if blurb is a zero-length string.

------------------------------------------------------------------------
r32974 | martinm | 2010-05-26 06:53:17 -0700 (Wed, 26 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/proto.h

Expert severity was still overlapping with bits length, so separate them.

------------------------------------------------------------------------
r32973 | etxrab | 2010-05-26 04:51:41 -0700 (Wed, 26 May 2010) | 1 line
Changed paths:
   M /trunk/epan/req_resp_hdrs.c

Try to optimize a bit.
------------------------------------------------------------------------
r32972 | etxrab | 2010-05-26 04:51:07 -0700 (Wed, 26 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.h

Fix indentation.
------------------------------------------------------------------------
r32971 | kukosa | 2010-05-26 00:39:03 -0700 (Wed, 26 May 2010) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Export value_string_ext related functions
------------------------------------------------------------------------
r32970 | stig | 2010-05-26 00:19:42 -0700 (Wed, 26 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

Untabify.

------------------------------------------------------------------------
r32969 | guy | 2010-05-25 22:33:57 -0700 (Tue, 25 May 2010) | 4 lines
Changed paths:
   M /trunk/capture_sync.c

Don't report EINTR - it might be from a ^C.

Do report the error string for other read errors, though.

------------------------------------------------------------------------
r32968 | guy | 2010-05-25 21:29:36 -0700 (Tue, 25 May 2010) | 5 lines
Changed paths:
   M /trunk/dumpcap.c
   M /trunk/tshark.c

Don't send ^T output to the standard error if we're a capture child.

Make SIGINFO a restart-the-system-call signal, so reads etc. don't
return an error.

------------------------------------------------------------------------
r32967 | morriss | 2010-05-25 20:31:30 -0700 (Tue, 25 May 2010) | 12 lines
Changed paths:
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c

Remember the default value of each protocol preference.

If, when we're writing the preferences file, the current value of the
preference is the same as the default, write out the preference (since the
preference file is also the documentation for the preferences) but comment it
out (so that if, for example, you go back to an older version of Wireshark
you won't get warnings about non-existant preferences that you didn't
change--and thus probably don't care too much about).

It might be interesting to, in the future, add a UI to restore the default
values.

------------------------------------------------------------------------
r32966 | gerald | 2010-05-25 19:46:50 -0700 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

g_error -> expert_add_info_format. Fixup whitespace.

------------------------------------------------------------------------
r32965 | guy | 2010-05-25 19:34:12 -0700 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

Use the right system call name.

------------------------------------------------------------------------
r32964 | guy | 2010-05-25 19:32:19 -0700 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture.h
   M /trunk/capture_sync.c
   M /trunk/tshark.c

If dumpcap exits abnormally, report the error.

------------------------------------------------------------------------
r32963 | guy | 2010-05-25 19:25:13 -0700 (Tue, 25 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/dcerpc/idl2wrs.c
   M /trunk/epan/proto.c
   M /trunk/tools/lemon/lemon.c
   M /trunk/trigcap.c

More <stdarg.h> cleanup; some are real bugs, some are just "don't do
va_start and va_end unless you're actually going to use the va_list"
(those bring the va_start and va_end closer to the use point, which
makes it a little more obvious that we're using <stdarg.h> correctly and
makes it a little harder to use it incorrectly).

------------------------------------------------------------------------
r32962 | guy | 2010-05-25 19:21:23 -0700 (Tue, 25 May 2010) | 3 lines
Changed paths:
   M /trunk/doc/README.developer

Put in a warning about the <stdarg.h> problem that I just found and
fixed in one place (and am now fixing in some other places).

------------------------------------------------------------------------
r32961 | guy | 2010-05-25 19:01:49 -0700 (Tue, 25 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/column-utils.c

Once you've used a va_list, you can't use it again until you
reinitialize it with va_start().  (Yes, there are platforms where
reusing the va_arg fails, e.g. Mac OS X on x86-64.)

------------------------------------------------------------------------
r32960 | morriss | 2010-05-25 18:51:41 -0700 (Tue, 25 May 2010) | 1 line
Changed paths:
   M /trunk/epan/prefs.c

Reindent a bit
------------------------------------------------------------------------
r32959 | guy | 2010-05-25 18:32:00 -0700 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/tshark.c

Fix build without pcap.

------------------------------------------------------------------------
r32958 | guy | 2010-05-25 17:19:27 -0700 (Tue, 25 May 2010) | 4 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/doc/dumpcap.pod
   M /trunk/dumpcap.c
   M /trunk/tshark.c

Add a -q flag to dumpcap, to squelch its reporting of the packet count,
and add support for SIGINFO, so, if your OS supports SIGINFO, you can
get the packet count by typing ^T.

------------------------------------------------------------------------
r32957 | gerald | 2010-05-25 16:55:33 -0700 (Tue, 25 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/gui_utils.c

r32323 broke packet detail tree expansion using the left/right keys on
X11. Add back the removed code and add checks for expandable items.

------------------------------------------------------------------------
r32956 | wmeier | 2010-05-25 15:27:00 -0700 (Tue, 25 May 2010) | 4 lines
Changed paths:
   M /trunk/text2pcap-scanner.l

Handle lines ending in \r\n.
Fixes Bug #4780 
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4780

------------------------------------------------------------------------
r32955 | gerald | 2010-05-25 15:15:46 -0700 (Tue, 25 May 2010) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Sam Leffler and Javier Cardona via email & bug 4793:

Add 802.11s mesh support.

From me:

Merge all of the "#ifdef" and "#if 0" switches into "#ifdef
MESH_OVERRIDES"

Add Fast BSS Transition to the list of overridden tags.

Fix a couple of variable initialization errors.

------------------------------------------------------------------------
r32954 | gerald | 2010-05-25 15:11:00 -0700 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/README.bsd

Add a note about running autogen.sh.

------------------------------------------------------------------------
r32953 | morriss | 2010-05-25 14:12:43 -0700 (Tue, 25 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-m2pa.c

RFC 4165 uses the same message/parameter formats as draft-12 did so let's
call it RFC 4165.

------------------------------------------------------------------------
r32952 | etxrab | 2010-05-25 14:00:55 -0700 (Tue, 25 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Only try header reassembly for TCP.
------------------------------------------------------------------------
r32951 | morriss | 2010-05-25 13:57:51 -0700 (Tue, 25 May 2010) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

Remove find_val_for_string
------------------------------------------------------------------------
r32950 | morriss | 2010-05-25 13:57:14 -0700 (Tue, 25 May 2010) | 8 lines
Changed paths:
   M /trunk/epan/prefs-int.h
   M /trunk/epan/prefs.c

find_val_for_string() is only used in prefs.c so remove the prototype
and make it static.

When reading enum preferences, use the current value of the preference as the
default value of the preference instead of a hard-coded 1.  This way if we
couldn't find the appropriate value we'll don't end up changing the preference
to something that may or may not make sense.

------------------------------------------------------------------------
r32949 | guy | 2010-05-25 13:14:22 -0700 (Tue, 25 May 2010) | 4 lines
Changed paths:
   M /trunk/dumpcap.c

Pull the big pile of code that handles the
capture-stopping/file-switching operation into a routine.  Move a few
variables into the loop_data structure so that routine can get at them.

------------------------------------------------------------------------
r32948 | etxrab | 2010-05-25 12:29:23 -0700 (Tue, 25 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-per.c

From Neil Piercy:
Fix  misleading PER Bit string display.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4789
(I Added bits display)
------------------------------------------------------------------------
r32947 | jake | 2010-05-25 10:47:00 -0700 (Tue, 25 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bgp.h

Fix for bug 4782:
Use proper bitmask to test the "MATCH"-part.

------------------------------------------------------------------------
r32946 | martinm | 2010-05-25 07:02:17 -0700 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/gtk/rlc_lte_stat_dlg.c

Add a filter for DCT2000 error strings, and allow it be included in generated filters from RLC status window.

------------------------------------------------------------------------
r32945 | martinm | 2010-05-25 04:21:51 -0700 (Tue, 25 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/proto.h

Re-organise which FI bits are used to store expert severity and event info, in order to avoid clash with bit offset and length as added in 4413 (Improve bitview display).

The event info values were (mostly) done as though they were flags rather than values, but as it doesn't really make sense to combine events I changed them to use contiguous values.  They now use the 8 m.s. bits, so there are now 9 unused bits available for new uses.

------------------------------------------------------------------------
r32944 | kukosa | 2010-05-25 02:07:12 -0700 (Tue, 25 May 2010) | 2 lines
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/tools/asn2wrs.py

Support of value_string_ext in the asn2wrs using new directive #.USE_VALS_EXT
Example usage in NBAP
------------------------------------------------------------------------
r32943 | etxrab | 2010-05-25 01:42:24 -0700 (Tue, 25 May 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/diameter/eap.xml
   M /trunk/diameter/nasreq.xml
   M /trunk/diameter/sip.xml

Remove faulty vendor from SIP AVP:s, update comments.
------------------------------------------------------------------------
r32942 | etxrab | 2010-05-24 22:48:36 -0700 (Mon, 24 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-iax2.h

From Jakub Ruzicka:
Trunk packet support in IAX2 dissector 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4783
------------------------------------------------------------------------
r32941 | guy | 2010-05-24 17:35:44 -0700 (Mon, 24 May 2010) | 16 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/acinclude.m4
   M /trunk/configure.in
   M /trunk/epan/dissectors/packet-nbns.c
   M /trunk/epan/prefs.c
   M /trunk/gtk/main.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/prefs_gui.c
   M /trunk/version_info.c

From H.sivank: GtkOSXApplication support.

Call the various flavors of OS X integration just "OS X integration",
not anything with "IGE" in it - it appears that, in some places,
"ige-mac-integration" refers only to the older Carbon-based functions,
although the library still appears to be called -ligemacintegration.

Update the URLs for the information about the OS X integration
libraries.

Clean up help message for --with-pcap-remote.

Clean up white space a bit.

Speaking of white space, it's "Mac OS X", not "MacOS X".

------------------------------------------------------------------------
r32940 | wmeier | 2010-05-24 17:00:58 -0700 (Mon, 24 May 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Minor rewording; Also: add note to not use "" for a hf[] array blurb.

------------------------------------------------------------------------
r32939 | jmayer | 2010-05-24 16:41:21 -0700 (Mon, 24 May 2010) | 6 lines
Changed paths:
   M /trunk/cmake/modules/FindPCAP.cmake

Jose Pedro Oliveira <jpo@di.uminho.pt>
(via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4786)

Add missing +INCLUDE(CheckVariableExists) to make the previous
commit work.

------------------------------------------------------------------------
r32938 | guy | 2010-05-24 15:50:30 -0700 (Mon, 24 May 2010) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/cmake/modules/FindPCAP.cmake

At least according to the CMake 2.6 documentation,
CHECK_VARIABLE_EXISTS() can be used to check for C variables; use that
to check for pcap_version.

------------------------------------------------------------------------
r32937 | morriss | 2010-05-24 15:31:51 -0700 (Mon, 24 May 2010) | 1 line
Changed paths:
   M /trunk/tools/checkAPIs.pl

Fix the value_string regexp so it doesn't match value_string_ext (which we don't have to check for NULL termination and the like)
------------------------------------------------------------------------
r32936 | jmayer | 2010-05-24 14:59:29 -0700 (Mon, 24 May 2010) | 4 lines
Changed paths:
   M /trunk/CMakeLists.txt

- Add a comment about the magic in the FindXXX.cmake filenames.
- Fix for https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4786
  Define HAVE_PCAP_VERSION if HAVE_PCAP_LIB_VERSION is set.

------------------------------------------------------------------------
r32935 | guy | 2010-05-24 10:39:03 -0700 (Mon, 24 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/reassemble_test.c

Use the new name for the last argument to proto_tree_add_item().

------------------------------------------------------------------------
r32934 | martinm | 2010-05-24 09:28:34 -0700 (Mon, 24 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Check that the PDU isn't bigger than the reported grant size. Thought I was already doing this...

------------------------------------------------------------------------
r32933 | morriss | 2010-05-24 08:13:02 -0700 (Mon, 24 May 2010) | 7 lines
Changed paths:
   M /trunk/epan/reassemble.c
   M /trunk/epan/reassemble.h
   M /trunk/epan/reassemble_test.c

Fix reassemble_test's (copy of the) proto_tree_add_item() prototype to get it
compiling again.

fragment_add_seq_check(), fragment_add_seq_802_11(), and fragment_add_seq_next()
all call fragment_add_seq_check_work() so make their prototypes match each other
in const-ness.  This fixes a warning when compiling reassemble_test.

------------------------------------------------------------------------
r32932 | etxrab | 2010-05-24 07:20:53 -0700 (Mon, 24 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Use value_string_ext for AVP:s
------------------------------------------------------------------------
r32931 | etxrab | 2010-05-24 07:18:02 -0700 (Mon, 24 May 2010) | 2 lines
Changed paths:
   M /trunk/diameter/dictionary.xml
   M /trunk/diameter/nasreq.xml

From Tamás Regõs:
Diameter AVP clean up.
------------------------------------------------------------------------
r32930 | etxrab | 2010-05-24 02:01:22 -0700 (Mon, 24 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

From Pascal Quantin:
Try to decode the message when the direction is unknown (I dissect it as DL first as fake UL dissection could trigger a malformed packet error). Moreover the patch fixes a shift in the EMM IE strings list, leading to incorrect decoding.
------------------------------------------------------------------------
r32929 | guy | 2010-05-23 23:06:17 -0700 (Sun, 23 May 2010) | 7 lines
Changed paths:
   M /trunk/doc/README.developer
   M /trunk/epan/dissectors/packet-asap.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-dua.c
   M /trunk/epan/dissectors/packet-enrp.c
   M /trunk/epan/dissectors/packet-iua.c
   M /trunk/epan/dissectors/packet-m2pa.c
   M /trunk/epan/dissectors/packet-m2ua.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/ptvcursor.h
   M /trunk/epan/tvbuff.c
   M /trunk/epan/tvbuff.h
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c
   M /trunk/plugins/giop/packet-parlay.c
   M /trunk/plugins/giop/packet-tango.c
   M /trunk/tools/wireshark_gen.py

Refer to the endianness arguments as "encoding" rather than
"representation" - we already use "representation" to refer to the text
representation of fields.

Change some routines with an endianness argument to make it a
representation argument instead; 

------------------------------------------------------------------------
r32928 | etxrab | 2010-05-23 22:01:39 -0700 (Sun, 23 May 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add missing vendor atribute.
------------------------------------------------------------------------
r32927 | etxrab | 2010-05-23 21:09:03 -0700 (Sun, 23 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ethertype.c

Move VLAN and ARP closer to the top.
------------------------------------------------------------------------
r32926 | etxrab | 2010-05-23 21:03:45 -0700 (Sun, 23 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Fix a typo.
------------------------------------------------------------------------
r32925 | guy | 2010-05-23 20:05:19 -0700 (Sun, 23 May 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Use the new REP_ values for proto_tree_add_item().

------------------------------------------------------------------------
r32924 | guy | 2010-05-23 19:54:08 -0700 (Sun, 23 May 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c

Use REP_BIG_ENDIAN for integral data types not already using REP_
(they're one-byte, so the byte order is irrelevant, but it's probably a
bit cleaner to use REP_*_ENDIAN for all integral data types), and REP_NA
for the top-level protocol item.

------------------------------------------------------------------------
r32923 | guy | 2010-05-23 19:28:16 -0700 (Sun, 23 May 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bssgp.c

Get rid of private byte-order definition.  The definition didn't match
the name - a non-zero last argument to proto_tree_add_item(), such as
TRUE or REP_LITTLE_ENDIAN, means "little-endian", and a zero argument,
such as FALSE or REP_BIG_ENDIAN, means "big-endian"; at least as I read
the spec, little-endian is correct, but the wrong definition's been used
for a while, so we'll use REP_BIG_ENDIAN.

------------------------------------------------------------------------
r32922 | gerald | 2010-05-23 16:42:58 -0700 (Sun, 23 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Make get_ber_length() iterative instead of recursive so we don't overrun the
stack. Discovered by J. Oquendo.

------------------------------------------------------------------------
r32921 | sake | 2010-05-23 15:23:33 -0700 (Sun, 23 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-ssl.c

Fix for bug 4544 - Decrypted data for STARTLS session is not shown in packet list when using "starttls" SSL decryption preference

- make sure the SSL dissector knows how to reach the original dissector for the decrypted data
- make sure the SMTP dissector does not call the SSL dissector again with the decrypted data


------------------------------------------------------------------------
r32920 | stig | 2010-05-23 09:02:40 -0700 (Sun, 23 May 2010) | 2 lines
Changed paths:
   M /trunk/services

Update the services file from IANA's port-numbers.

------------------------------------------------------------------------
r32917 | gerald | 2010-05-23 08:03:35 -0700 (Sun, 23 May 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-05-23]
------------------------------------------------------------------------
r32916 | etxrab | 2010-05-23 03:00:50 -0700 (Sun, 23 May 2010) | 1 line
Changed paths:
   M /trunk/doc/README.developer

Describe values_string_ext.
------------------------------------------------------------------------
r32915 | guy | 2010-05-22 19:27:08 -0700 (Sat, 22 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/ipproto.h

Declare ipproto_val_ext as extern, in the hopes that will keep it from
being exported by epan/dissectors/packet-ip.c (imported, yes; exported,
no).

------------------------------------------------------------------------
r32914 | etxrab | 2010-05-22 15:04:18 -0700 (Sat, 22 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c
   M /trunk/epan/ipproto.c
   M /trunk/epan/ipproto.h

Use value_string_ext for ip protocol.
------------------------------------------------------------------------
r32913 | guy | 2010-05-20 23:33:25 -0700 (Thu, 20 May 2010) | 5 lines
Changed paths:
   M /trunk/asn1/goose/goose.cnf
   M /trunk/asn1/mms/mms.cnf
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-ccsds.c
   M /trunk/epan/dissectors/packet-collectd.c
   M /trunk/epan/dissectors/packet-dhcp-failover.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-dmp.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-dtn.c
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-ipmi.c
   M /trunk/epan/dissectors/packet-ipp.c
   M /trunk/epan/dissectors/packet-kink.c
   M /trunk/epan/dissectors/packet-kismet.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mmse.c
   M /trunk/epan/dissectors/packet-ncp2222.inc
   M /trunk/epan/dissectors/packet-pktc.c
   M /trunk/epan/dissectors/packet-radius.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-time.c
   M /trunk/epan/dissectors/packet-vcdu.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/ftypes/ftype-time.c
   M /trunk/epan/proto.c
   M /trunk/epan/to_str.c
   M /trunk/epan/to_str.h
   M /trunk/epan/wslua/wslua_util.c
   M /trunk/print.c

Have abs_time_to_str() and abs_time_to_str_secs() take an additional
argument indicating whether to include the time zone in the string.  If
we're constructing a display filter, don't include the time zone,
otherwise do.  Fixes bug 4756.

------------------------------------------------------------------------
r32912 | wmeier | 2010-05-20 16:49:57 -0700 (Thu, 20 May 2010) | 4 lines
Changed paths:
   M /trunk/gtk/dfilter_expr_dlg.c

Fix regression: unable to enter values in Filter Expression window unless value list present.
(Regression introduced in SVN #30918).
Code reworked slightly for clarification.

------------------------------------------------------------------------
r32911 | jake | 2010-05-20 12:03:13 -0700 (Thu, 20 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/gui_utils.c

Fix for bug 4778:
Check that the widget pointer is still present.

------------------------------------------------------------------------
r32910 | jake | 2010-05-20 11:34:38 -0700 (Thu, 20 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

From Hadar Shoham:
Add support to AP request option reserved bit.

------------------------------------------------------------------------
r32909 | stig | 2010-05-20 07:53:29 -0700 (Thu, 20 May 2010) | 2 lines
Changed paths:
   M /trunk/plugins/asn1/packet-asn1.c

Fixed warning "Field width should have type 'int'".

------------------------------------------------------------------------
r32908 | stig | 2010-05-20 04:56:58 -0700 (Thu, 20 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntp.c

Rewrote to avoid "More data arguments than '%' conversions" warning.

------------------------------------------------------------------------
r32907 | stig | 2010-05-20 04:51:24 -0700 (Thu, 20 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rdm.c

Rewrote to avoid "More data arguments than '%' conversions" warning.

------------------------------------------------------------------------
r32906 | guy | 2010-05-20 00:15:27 -0700 (Thu, 20 May 2010) | 4 lines
Changed paths:
   M /trunk/gtk/packet_list_store.c

Don't assume that certain address columns are always constant strings -
they're no more guaranteed to be constant strings than the columns we're
*not* assuming are constant strings.  Fixes bug 4771.

------------------------------------------------------------------------
r32905 | guy | 2010-05-19 16:39:45 -0700 (Wed, 19 May 2010) | 2 lines
Changed paths:
   M /trunk/version_info.c

Detect clang and llvm-gcc.

------------------------------------------------------------------------
r32904 | guy | 2010-05-19 16:27:35 -0700 (Wed, 19 May 2010) | 9 lines
Changed paths:
   M /trunk/doc/dumpcap.pod
   M /trunk/dumpcap.c

Don't have -M affect -v yet; if we end up, for example, having dumpcap
being the only program that needs to be linked with *pcap, that's when
we'd want to fetch that information, but there might be other libraries
(e.g., the POSIX capabilities library) that it might be linked with but
that programs that use it aren't linked with.

Don't commit to the output formats of -M, as they are, as noted, subject
to change from release to release.

------------------------------------------------------------------------
r32903 | dimeg | 2010-05-19 15:09:07 -0700 (Wed, 19 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/value_string.c

Remove debugging printf from match_strval_ext_init()

------------------------------------------------------------------------
r32902 | martinm | 2010-05-19 14:33:01 -0700 (Wed, 19 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q708.c

Remove VALS cast as discussed on dev mailing list.

------------------------------------------------------------------------
r32901 | morriss | 2010-05-19 13:42:53 -0700 (Wed, 19 May 2010) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_a.c

Followup to rev 23668: ansi_a_ios501_elem_1_strings[] and
ansi_a_ios401_elem_1_strings[] are different lengths so use 'ansi_a_elem_1_max'
to know how far we can look into the array (instead of ANSI_A_E_NONE).
Since that variable points to the end of the array--a NULL entry--and since we
don't want to pass a NULL string pointer to proto_tree_add*(), ensure that
we only look at the last valid entry.

Also remove check_col() calls and reindent a bit.

------------------------------------------------------------------------
r32900 | jake | 2010-05-19 11:09:33 -0700 (Wed, 19 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Lars Ruoff:
Updated and added some sanity checks to Alcatel-Lucent DHCP vendor specific options.

------------------------------------------------------------------------
r32899 | jmayer | 2010-05-19 06:05:35 -0700 (Wed, 19 May 2010) | 5 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/cmake/modules/FindZLIB.cmake

Commit 32350 replaced the self written FindZ.cmake by cmakes
FindZLIB.cmake. What it didn't do was do adapt the magic names
that are derived from the name of the FindXXX.cmake script.
Fix that. Also add $Id$ to the FindZLIB.cmake script.

------------------------------------------------------------------------
r32898 | wmeier | 2010-05-19 05:44:57 -0700 (Wed, 19 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c
   M /trunk/epan/dissectors/packet-btrfcomm.h

Add svn 'keywords' and 'eol-style' properties

------------------------------------------------------------------------
r32897 | krj | 2010-05-19 01:47:10 -0700 (Wed, 19 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Add and use BTOBEX_CODE_VALS_MASK to avoid hardcoding values
------------------------------------------------------------------------
r32896 | krj | 2010-05-19 01:37:29 -0700 (Wed, 19 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btl2cap.c

Remove a couple of check_col()
------------------------------------------------------------------------
r32895 | krj | 2010-05-19 01:23:53 -0700 (Wed, 19 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Use newly introduced BTOBEX_CODE_VALS_CONNECT define
------------------------------------------------------------------------
r32894 | krj | 2010-05-19 01:19:41 -0700 (Wed, 19 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Introduce defines to avoid hardcoding values
------------------------------------------------------------------------
r32893 | krj | 2010-05-19 01:13:26 -0700 (Wed, 19 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Tighten scope of code variable
------------------------------------------------------------------------
r32892 | stig | 2010-05-19 00:21:55 -0700 (Wed, 19 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-data.c

Added a preference to display data as text.
This fixes bug 4603.

------------------------------------------------------------------------
r32891 | krj | 2010-05-18 23:45:57 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btrfcomm.c

Remove superfluous NULL assignment
------------------------------------------------------------------------
r32890 | krj | 2010-05-18 23:28:48 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Remove weird assignment to pinfo->private_data
------------------------------------------------------------------------
r32889 | krj | 2010-05-18 23:27:37 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btrfcomm.c

Remove references to ppp_handle (unused)
------------------------------------------------------------------------
r32888 | krj | 2010-05-18 23:26:02 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-btrfcomm.c
   A /trunk/epan/dissectors/packet-btrfcomm.h

Pass along btrfcomm_data_t to higher layer protocols
------------------------------------------------------------------------
r32887 | krj | 2010-05-18 23:01:29 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btl2cap.h

Align defines
------------------------------------------------------------------------
r32886 | guy | 2010-05-18 20:50:09 -0700 (Tue, 18 May 2010) | 2 lines
Changed paths:
   M /trunk/tshark.c

Fix indentation.

------------------------------------------------------------------------
r32885 | guy | 2010-05-18 20:49:52 -0700 (Tue, 18 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

Fix comments.

------------------------------------------------------------------------
r32884 | guy | 2010-05-18 20:05:40 -0700 (Tue, 18 May 2010) | 4 lines
Changed paths:
   M /trunk/gtk/capture_if_dlg.c

If the user asks for the Capture -> Interfaces dialog, and there are no
network interfaces, pop up a dialog saying that, rather than popping up
an empty Interfaces dialog.

------------------------------------------------------------------------
r32883 | guy | 2010-05-18 19:55:05 -0700 (Tue, 18 May 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

-S doesn't require an interface, either.

------------------------------------------------------------------------
r32882 | guy | 2010-05-18 19:47:16 -0700 (Tue, 18 May 2010) | 7 lines
Changed paths:
   M /trunk/dumpcap.c

Regularize indentation a bit.

Let pcap_statustostr()'s result suffice for most PCAP_ERROR_ errors. 
Don't mention the capture device name multiple times in the error
message.  Treat positive returns from pcap_can_set_rfmon() other than 0
or 1 as weird returns, not error returns.

------------------------------------------------------------------------
r32881 | sahlberg | 2010-05-18 15:00:17 -0700 (Tue, 18 May 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

iscsi also has a system port (860) registered in addition to the more common
port (3260).

add knowledge about the registered system port for iscsi to the heuristics
so we automatically detect when iscsi is transported over this optional port.


------------------------------------------------------------------------
r32880 | morriss | 2010-05-18 09:05:37 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsmtap.c

Use val_to_str() instead of match_strval() to ensure we get a non-NULL result to pass to proto_tree_add*().
------------------------------------------------------------------------
r32879 | morriss | 2010-05-18 08:58:49 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/configure.in
   M /trunk/epan/dissectors/Makefile.am
   M /trunk/epan/dissectors/dcerpc
   A /trunk/epan/dissectors/dcerpc/Makefile.am
   M /trunk/epan/dissectors/pidl
   A /trunk/epan/dissectors/pidl/Makefile.am

Add epan/dissectors/dcerpc/ and epan/dissectors/pidl/ to the source distribution
------------------------------------------------------------------------
r32878 | morriss | 2010-05-18 07:17:11 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

Avoid passing a NULL pointer to a string to proto_tree_add_uint_format()
------------------------------------------------------------------------
r32877 | morriss | 2010-05-18 07:04:31 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c

Use val_to_str() instead of match_strval() to ensure we get a non-NULL result.
------------------------------------------------------------------------
r32876 | wmeier | 2010-05-18 07:01:59 -0700 (Tue, 18 May 2010) | 3 lines
Changed paths:
   M /trunk/AUTHORS

Restore blank line before "and by" removed in SVN #32864;
Also: Line up EMail address text for slava.

------------------------------------------------------------------------
r32875 | morriss | 2010-05-18 06:39:22 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Slava as per https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4741#c4
------------------------------------------------------------------------
r32874 | krj | 2010-05-18 04:44:32 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Add FIXME
------------------------------------------------------------------------
r32873 | krj | 2010-05-18 03:49:09 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Remove NULL pointer guard in defragment_init()
------------------------------------------------------------------------
r32872 | krj | 2010-05-18 03:45:39 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Remove a couple of superfluous NULL assignments
------------------------------------------------------------------------
r32871 | krj | 2010-05-18 03:43:36 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Remove a couple of check_col()
------------------------------------------------------------------------
r32870 | krj | 2010-05-18 03:39:12 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btrfcomm.c

Parse everything as OBEX (for now).
------------------------------------------------------------------------
r32869 | stig | 2010-05-18 02:01:08 -0700 (Tue, 18 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-user_encap.c

Add proper item for "User encapsulation not handled" to be able to
second-click the entry to edit preferences.

------------------------------------------------------------------------
r32868 | krj | 2010-05-18 01:29:19 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btrfcomm.c

Remove #if 0 code
------------------------------------------------------------------------
r32867 | krj | 2010-05-18 01:22:42 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/dcerpc/idl2wrs.c

Handle fgets() error path
------------------------------------------------------------------------
r32866 | krj | 2010-05-18 01:08:08 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Mark defragment_init() as an init routine
------------------------------------------------------------------------
r32865 | krj | 2010-05-18 00:49:55 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Fix several GCC build issues
------------------------------------------------------------------------
r32864 | krj | 2010-05-18 00:37:37 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Allan M. Madsen
------------------------------------------------------------------------
r32863 | krj | 2010-05-18 00:35:31 -0700 (Tue, 18 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-btobex.c

Include (local) packet-btl2cap.h properly
------------------------------------------------------------------------
r32862 | krj | 2010-05-18 00:32:04 -0700 (Tue, 18 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-btobex.c

From Allan M. Madsen:

Initial implementation of Bluetooth OBEX dissector. Work in progress.
------------------------------------------------------------------------
r32861 | jake | 2010-05-17 23:16:03 -0700 (Mon, 17 May 2010) | 1 line
Changed paths:
   M /trunk/docbook/developer-guide.xml
   M /trunk/docbook/user-guide.xml

Prepare the docbooks for the 1.4 branch.
------------------------------------------------------------------------
r32860 | krj | 2010-05-17 23:09:52 -0700 (Mon, 17 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bthci_cmd.c

Extract ogf from the opcode
------------------------------------------------------------------------
r32859 | jake | 2010-05-17 23:03:05 -0700 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.am

Add CPackConfig.txt to the tarball.

------------------------------------------------------------------------
r32858 | krj | 2010-05-17 22:46:44 -0700 (Mon, 17 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bthci_cmd.c

Dissect Synchronous Connection correctly
------------------------------------------------------------------------
r32857 | guy | 2010-05-17 22:32:29 -0700 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

Fix some errors.  Use FormatMessageA(), as we need the string in ASCII.

------------------------------------------------------------------------
r32856 | guy | 2010-05-17 20:35:20 -0700 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Squelch an unused-variable warning.

------------------------------------------------------------------------
r32855 | guy | 2010-05-17 20:29:45 -0700 (Mon, 17 May 2010) | 8 lines
Changed paths:
   M /trunk/capture_sync.c

Add a routine to convert Win32 error statuses into strings, and use it
when generating error messages.

The error code from CreatePipe() is gotten by calling GetLastError();
it's not in errno.

Clean up indentation a bit.

------------------------------------------------------------------------
r32854 | guy | 2010-05-17 19:48:51 -0700 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Move some routines around, fix and shuffle comments.

------------------------------------------------------------------------
r32853 | guy | 2010-05-17 19:36:02 -0700 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/capture-pcap-util.c
   M /trunk/capture-pcap-util.h
   M /trunk/dumpcap.c

Move get_pcap_linktype() into dumpcap - it's not used elsewhere.

------------------------------------------------------------------------
r32852 | guy | 2010-05-17 18:48:46 -0700 (Mon, 17 May 2010) | 5 lines
Changed paths:
   M /trunk/dumpcap.c

Only negative return values from pcap_activate() are errors; positive
return values are success-with-a-warning.

Report those errors with a string.

------------------------------------------------------------------------
r32851 | guy | 2010-05-17 17:20:30 -0700 (Mon, 17 May 2010) | 11 lines
Changed paths:
   M /trunk/doc/dumpcap.pod
   M /trunk/dumpcap.c

Don't write the SP_SUCCESS messages unless -Z was specified.

Add support for a machine-readable "-v" output, which prints only the
pcap version string.

Give a little more information about the machine-readable format, but
note that it's primarily intended for consumption by Wireshark and
TShark and is subject to change.

Properly hyphenate "pcap-ng".

------------------------------------------------------------------------
r32850 | guy | 2010-05-17 16:56:00 -0700 (Mon, 17 May 2010) | 4 lines
Changed paths:
   M /trunk/capture_sync.c
   M /trunk/dumpcap.c

Make -Z always generate machine-readable output, and don't bother
supplying -M along with -Z.  (We keep -M around for debugging use; it's
documented, unlike -Z.)

------------------------------------------------------------------------
r32849 | guy | 2010-05-17 16:13:24 -0700 (Mon, 17 May 2010) | 10 lines
Changed paths:
   M /trunk/dumpcap.c

If dumpcap is run with -D, don't select a default interface; it's not
necessary.

If it's run with -D and -M, and we found no interfaces, don't treat that
as an error; let the code that reads our output just indicate it as "no
interfaces available", so *its* caller can decide whether to report an
error or not (in some cases in Wireshark, it's obvious that there are no
interfaces, e.g. there aren't any listed on the welcome screen, so
popping up a dialog is pointless).

------------------------------------------------------------------------
r32848 | morriss | 2010-05-17 14:49:09 -0700 (Mon, 17 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-smb-pipe.c

Don't pass a NULL pointer to what is supposed to be (according to the format) a string: some implementations of vsnprintf() will core on that.  (Unfortunately it seems that g_vsnprintf() doesn't protect us from this...)
------------------------------------------------------------------------
r32847 | morriss | 2010-05-17 13:38:46 -0700 (Mon, 17 May 2010) | 1 line
Changed paths:
   M /trunk/tools/Makefile.am

Add a bunch of tools to the source distribution
------------------------------------------------------------------------
r32846 | stig | 2010-05-17 13:24:28 -0700 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Added some new features.

------------------------------------------------------------------------
r32845 | jake | 2010-05-17 11:48:44 -0700 (Mon, 17 May 2010) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Lars Ruoff:
Add some more robustness to Alcatel-Lucent vendor specific 
DHCP options and add some new option values.

It now supports all currently implemented option values, i.e.:
{Option Opcode Length (bytes) Content}
AVA 58 (0x3A) 2 Vlanid
IP Touch TFTP1 64 (0x40) 4 IPv4 address
IP Touch TFTP2 65 (0x41) 4 IPv4 address
APPLICATION_TYPE 66 (0x42) 1 0 (noe) / 1 (sip)
SIP URL 67 (0x43) x bytes url string
------------------------------------------------------------------------
r32844 | guy | 2010-05-17 11:41:48 -0700 (Mon, 17 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

Update a comment.

------------------------------------------------------------------------
r32843 | guy | 2010-05-17 11:40:23 -0700 (Mon, 17 May 2010) | 5 lines
Changed paths:
   M /trunk/capture.c
   M /trunk/capture_ifinfo.c
   M /trunk/capture_ifinfo.h
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c
   M /trunk/sync_pipe.h
   M /trunk/tshark.c

When dumpcap is run to get an interface list, interface capabilities, or
interface statistics, have its error messages come out as sync-pipe
errors, have it send a sync-pipe "success" message on success, and have
the callers get that message and display it.

------------------------------------------------------------------------
r32842 | morriss | 2010-05-17 08:07:08 -0700 (Mon, 17 May 2010) | 1 line
Changed paths:
   M /trunk/AUTHORS

Update Robert Hogan's entry to include TN5250
------------------------------------------------------------------------
r32841 | wmeier | 2010-05-16 21:08:08 -0700 (Sun, 16 May 2010) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ethertype.c
   A /trunk/epan/dissectors/packet-ieee1722.c
   M /trunk/epan/etypes.h

From Torrey Atcitty: IEEE 1722(AVB Transport Protocol) Dissector
See Bug #4764 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4764)

------------------------------------------------------------------------
r32840 | morriss | 2010-05-16 20:01:03 -0700 (Sun, 16 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-tn3270.h

Move most of the contents of the header file into the .c file.
------------------------------------------------------------------------
r32839 | morriss | 2010-05-16 20:00:37 -0700 (Sun, 16 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tn5250.c

Remove trailing white space
------------------------------------------------------------------------
r32838 | morriss | 2010-05-16 19:55:51 -0700 (Sun, 16 May 2010) | 20 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-telnet.c
   A /trunk/epan/dissectors/packet-tn5250.c
   A /trunk/epan/dissectors/packet-tn5250.h

From Robert Hogan via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3922 :

Add support for the IBM TN5250 data stream protocol.

http://wiki.wireshark.org/TN5250

From me:

Move most of the contents of the header file to the .c file.

Replace blurbs that match the hf name with NULL.
Replace empty-string blurbs with NULL.
Fix some abbreviations (hf_tn5220_xxx -> tn5220.xxx).
Make some functions static.
Cast some offset increments to unsigned to make sure we don't go backwards
(which could create a loop).  This includes making most of the subdissection
functions return an unsigned number.

Use find_or_create_conversation().

------------------------------------------------------------------------
r32837 | morriss | 2010-05-16 19:43:15 -0700 (Sun, 16 May 2010) | 1 line
Changed paths:
   M /trunk/Makefile.am

Add CMakeOptions.txt to the source distribution
------------------------------------------------------------------------
r32836 | jake | 2010-05-16 09:58:04 -0700 (Sun, 16 May 2010) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Some cleanup and adding one more new feature.

------------------------------------------------------------------------
r32835 | stig | 2010-05-16 08:44:43 -0700 (Sun, 16 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/prefs_capture.c

Ensure we update default link-layer list when toggeling monitor mode.

------------------------------------------------------------------------
r32832 | gerald | 2010-05-16 08:04:06 -0700 (Sun, 16 May 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-05-16]
------------------------------------------------------------------------
r32831 | jake | 2010-05-16 03:58:50 -0700 (Sun, 16 May 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-h264.c

From Chidambaram Arunachalam:
Currently, H.264 dissector in Wireshark allows only one value for the "H264 
dynamic payload type" preference value.
This patch allows users to specify a value range for this parameter (96-127) 
so that both streams can be decoded for a video call with asymmetric rtp 
payload types.

------------------------------------------------------------------------
r32830 | jake | 2010-05-16 03:28:14 -0700 (Sun, 16 May 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ymsg.c

From Robert Lickenbrock:
Wireshark does not extract the vendor identifier (i.e. the 7th and 8th bytes)
from the header of YMSG packets. The current implementations skips over these
bytes during dissection, presumably because they were believed to be padding.

------------------------------------------------------------------------
r32829 | guy | 2010-05-16 01:14:29 -0700 (Sun, 16 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/prefs_capture.c

If we don't know whether a device supports monitor mode, turn off
monitor mode in the checkbox before making the checkbox insensitive.

------------------------------------------------------------------------
r32828 | guy | 2010-05-15 20:19:40 -0700 (Sat, 15 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/epan/dissectors/packet-usb.h
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/wtap.h

Attempt to handle isochronous descriptors between the 64-byte header and
the payload.  Should fix bug 4401.

------------------------------------------------------------------------
r32827 | stig | 2010-05-15 16:25:53 -0700 (Sat, 15 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/prefs_capture.c

Also set sensitive on monitor and linktype label, as it's not clear that
the monitor mode is disabled when only the check box is disabled.

------------------------------------------------------------------------
r32826 | stig | 2010-05-15 15:54:44 -0700 (Sat, 15 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/prefs_capture.c

Set the correct "monitor mode" button state.

------------------------------------------------------------------------
r32825 | jmayer | 2010-05-15 14:40:25 -0700 (Sat, 15 May 2010) | 3 lines
Changed paths:
   M /trunk/CMakeLists.txt
   M /trunk/CMakeOptions.txt

text2pcap_scanner.l does not compile without warnings
on my system - add it to the non-clean file list.

------------------------------------------------------------------------
r32824 | jmayer | 2010-05-15 14:38:36 -0700 (Sat, 15 May 2010) | 10 lines
Changed paths:
   M /trunk/version_info.c

Bruno Matos <bruno.matos@gmail.com>

In version_info.c file, if we put the Python include in first place we
remove the warning/error "_POSIX_C_SOURCE redefined", as in this article:
http://bytes.com/topic/python/answers/30009-warning-_posix_c_source-redefined
.

I had problems with CMake build.


------------------------------------------------------------------------
r32823 | jmayer | 2010-05-15 13:41:53 -0700 (Sat, 15 May 2010) | 8 lines
Changed paths:
   M /trunk/CMakeLists.txt
   A /trunk/CMakeOptions.txt
   M /trunk/CPackConfig.txt
   M /trunk/configure.in

- Move cmake options into their own file, making it easier to
  use a locally modified version of the stuff
- Some (still preliminary) CPack changes
- Add -fexcess-precision=fast (configure.in and CmakeLists.txt)
  to the compileflags (new gcc-4.5 feature to maintain backward
  compatibility with gcc-4.4 and IMO we don't need the slower but
  more exact implementation gcc 4.5 offers.

------------------------------------------------------------------------
r32822 | dimeg | 2010-05-15 13:14:52 -0700 (Sat, 15 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q708.c

Use binary search when scanning the SANC and ISPC lists; correct a couple of
double entries in the ISPC lists.

------------------------------------------------------------------------
r32821 | guy | 2010-05-15 13:00:09 -0700 (Sat, 15 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Export prefs_capture_device_monitor_mode().

------------------------------------------------------------------------
r32820 | guy | 2010-05-15 12:38:13 -0700 (Sat, 15 May 2010) | 5 lines
Changed paths:
   M /trunk/epan/prefs.c
   M /trunk/epan/prefs.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_dlg.h
   M /trunk/gtk/main_welcome.c
   M /trunk/gtk/prefs_capture.c

Support monitor mode in the capture preferences.

Use prefs_is_capture_device_hidden() to find out whether a device should
be hidden - don't scan the list of hidden devices ourselves.

------------------------------------------------------------------------
r32819 | etxrab | 2010-05-15 03:27:45 -0700 (Sat, 15 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/nbap/NBAP-CommonDataTypes.asn
   M /trunk/asn1/nbap/NBAP-Constants.asn
   M /trunk/asn1/nbap/NBAP-Containers.asn
   M /trunk/asn1/nbap/NBAP-IEs.asn
   M /trunk/asn1/nbap/NBAP-PDU-Contents.asn
   M /trunk/asn1/nbap/NBAP-PDU-Descriptions.asn
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/epan/dissectors/packet-nbap.c

Update to V9.2.0 (2010-03)
------------------------------------------------------------------------
r32818 | etxrab | 2010-05-15 02:04:28 -0700 (Sat, 15 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/pcap/PCAP-CommonDataTypes.asn
   M /trunk/asn1/pcap/PCAP-Constants.asn
   M /trunk/asn1/pcap/PCAP-Containers.asn
   M /trunk/asn1/pcap/PCAP-IEs.asn
   M /trunk/asn1/pcap/PCAP-PDU-Contents.asn
   M /trunk/asn1/pcap/PCAP-PDU-Descriptions.asn
   M /trunk/asn1/pcap/pcap.cnf
   M /trunk/epan/dissectors/packet-pcap.c

Update to V9.1.0 (2010-03).
------------------------------------------------------------------------
r32817 | etxrab | 2010-05-15 01:49:39 -0700 (Sat, 15 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/ranap/RANAP-CommonDataTypes.asn
   M /trunk/asn1/ranap/RANAP-Constants.asn
   M /trunk/asn1/ranap/RANAP-Containers.asn
   M /trunk/asn1/ranap/RANAP-IEs.asn
   M /trunk/asn1/ranap/RANAP-PDU-Contents.asn
   M /trunk/asn1/ranap/RANAP-PDU-Descriptions.asn
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/epan/dissectors/packet-ranap.c

Update to V9.2.0 (2010-03).
------------------------------------------------------------------------
r32816 | wmeier | 2010-05-14 15:55:55 -0700 (Fri, 14 May 2010) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ethertype.c
   A /trunk/epan/dissectors/packet-mrp-msrp.c
   M /trunk/epan/etypes.h

From  Torrey Atcitty:  IEEE 802.1Qat (Multiple Stream Reservation Protocol) dissector
See: Bug #4757: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4757

------------------------------------------------------------------------
r32815 | morriss | 2010-05-14 14:54:48 -0700 (Fri, 14 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcm.c

From David Aggeler via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4762 :

- Fixed HF to separate signed & unsigned values and to have BASE_DEC all signed 
- Fixed private sequences with undefined length in ILE
- Fixed some spellings in comments

------------------------------------------------------------------------
r32814 | etxrab | 2010-05-14 14:50:23 -0700 (Fri, 14 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/rnsap/RNSAP-CommonDataTypes.asn
   M /trunk/asn1/rnsap/RNSAP-Constants.asn
   M /trunk/asn1/rnsap/RNSAP-Containers.asn
   M /trunk/asn1/rnsap/RNSAP-IEs.asn
   M /trunk/asn1/rnsap/RNSAP-PDU-Contents.asn
   M /trunk/asn1/rnsap/RNSAP-PDU-Descriptions.asn
   M /trunk/asn1/rnsap/rnsap.cnf
   M /trunk/epan/dissectors/packet-rnsap.c

Update to  V9.2.3 (2010-03)
------------------------------------------------------------------------
r32813 | dimeg | 2010-05-14 14:12:48 -0700 (Fri, 14 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c
   M /trunk/epan/dissectors/packet-q708.c

MNC, SANC and ISPC lists updated up to the latest OB, No 955

------------------------------------------------------------------------
r32812 | morriss | 2010-05-14 12:27:11 -0700 (Fri, 14 May 2010) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_sms.c

Rework SMS reassembly:

- Take out the if(tree) because for reassembly to work we need to do the
  reassembly on the first pass.
- Remove the (confusing) "try_dissect_message_fragment" preference (which
  caused us to dissect the message fragments) and replace it with a "reassembly"
  preference.  Dissect the message fragments regardless of whether reassembly is
  enabled or not (it's just SMS).  This solves the user confusion reported in
  https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4232 .
- Add the text of the SMS using proto_tree_add_string*() so that we an filter on
  the text.

------------------------------------------------------------------------
r32811 | wmeier | 2010-05-14 11:56:28 -0700 (Fri, 14 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c
   M /trunk/epan/dissectors/packet-ospf.c
   M /trunk/epan/dissectors/packet-pppoe.c

Fix a few usages of "" in the hfp] array 'blurb' field.

------------------------------------------------------------------------
r32810 | guy | 2010-05-14 10:36:17 -0700 (Fri, 14 May 2010) | 6 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Fix the tooltip for the "monitor mode" checkbox.

Speak of network adapters rather than network cards (most personal
computers these days have no network cards - the network adapters are on
the motherboard).

------------------------------------------------------------------------
r32809 | morriss | 2010-05-14 10:05:50 -0700 (Fri, 14 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/dcerpc/CMakeLists.txt
   M /trunk/epan/dissectors/dcerpc/Makefile.inc
   M /trunk/epan/dissectors/pidl/IDL_LICENSE.txt
   M /trunk/epan/dissectors/pidl/README
   M /trunk/epan/dissectors/pidl/atsvc.cnf
   M /trunk/epan/dissectors/pidl/atsvc.idl
   M /trunk/epan/dissectors/pidl/dnsserver.cnf
   M /trunk/epan/dissectors/pidl/dnsserver.idl
   M /trunk/epan/dissectors/pidl/dssetup.idl
   M /trunk/epan/dissectors/pidl/initshutdown.idl
   M /trunk/epan/dissectors/pidl/srvsvc.idl
   M /trunk/epan/dissectors/pidl/winreg.cnf
   M /trunk/epan/dissectors/pidl/winreg.idl
   M /trunk/epan/dissectors/pidl/wkssvc.cnf

Set SVN properties
------------------------------------------------------------------------
r32808 | jake | 2010-05-14 09:48:17 -0700 (Fri, 14 May 2010) | 2 lines
Changed paths:
   M /trunk/plugins/docsis/Makefile.am
   M /trunk/plugins/ethercat/Makefile.am
   M /trunk/plugins/gryphon/Makefile.am
   M /trunk/plugins/interlink/Makefile.am
   M /trunk/plugins/irda/Makefile.am
   M /trunk/plugins/unistim/Makefile.am

Synchronize Makefiles even more.

------------------------------------------------------------------------
r32807 | morriss | 2010-05-14 09:27:03 -0700 (Fri, 14 May 2010) | 1 line
Changed paths:
   M /trunk/Makefile.am
   M /trunk/codecs/Makefile.am
   M /trunk/docbook/Makefile.am
   M /trunk/epan/Makefile.am
   M /trunk/epan/dissectors/Makefile.am
   M /trunk/epan/wslua/Makefile.am
   M /trunk/epan/wspython/Makefile.am
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   M /trunk/plugins/asn1/Makefile.am
   M /trunk/plugins/docsis/Makefile.am
   M /trunk/plugins/ethercat/Makefile.am
   M /trunk/plugins/giop/Makefile.am
   M /trunk/plugins/gryphon/Makefile.am
   M /trunk/plugins/interlink/Makefile.am
   M /trunk/plugins/irda/Makefile.am
   M /trunk/plugins/m2m/Makefile.am
   M /trunk/plugins/mate/Makefile.am
   M /trunk/plugins/opcua/Makefile.am
   M /trunk/plugins/profinet/Makefile.am
   M /trunk/plugins/sercosiii/Makefile.am
   M /trunk/plugins/stats_tree/Makefile.am
   M /trunk/plugins/tpg/Makefile.am
   M /trunk/plugins/unistim/Makefile.am
   M /trunk/plugins/wimax/Makefile.am
   M /trunk/plugins/wimaxasncp/Makefile.am
   M /trunk/tools/lemon/Makefile.am

Add Cmake stuff to the source distribution so more people can try it out.
------------------------------------------------------------------------
r32806 | etxrab | 2010-05-14 00:57:32 -0700 (Fri, 14 May 2010) | 14 lines
Changed paths:
   M /trunk/diameter/dictionary.xml

From Tamas Regos:
diameter dictionary.xml update

AVP 1003:
- typo: Flow-Informatio <-> Flow-Information
- added: Monitoring-Key and AF-Signalling-Protocol
- whitespace corrections

AVP 1006:
- added code: 24-28 and 100
- whitespace correction

AVP 1001, 1007, 1013-1020: whitespace corrections
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4765
------------------------------------------------------------------------
r32805 | guy | 2010-05-14 00:48:50 -0700 (Fri, 14 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Fix compilation when we don't have pcap_create().

------------------------------------------------------------------------
r32804 | guy | 2010-05-13 22:15:40 -0700 (Thu, 13 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/capture_dlg.c

Support monitor mode from the GUI.

------------------------------------------------------------------------
r32803 | guy | 2010-05-13 19:47:13 -0700 (Thu, 13 May 2010) | 5 lines
Changed paths:
   M /trunk/capture-pcap-util-int.h
   M /trunk/capture.h
   M /trunk/capture_errs.h
   M /trunk/capture_ifinfo.h
   M /trunk/ringbuffer.h

If something is only supposed to be included if we have libpcap, don't
put #ifdef HAVE_LIBPCAP in it.

Add multiple-inclusion protection to capture_errs.h.

------------------------------------------------------------------------
r32802 | guy | 2010-05-13 18:39:02 -0700 (Thu, 13 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/main_statusbar.c
   M /trunk/gtk/main_welcome.c

Don't include capture-related headers if we don't support capturing
network traffic.

------------------------------------------------------------------------
r32801 | guy | 2010-05-13 17:49:28 -0700 (Thu, 13 May 2010) | 5 lines
Changed paths:
   M /trunk/capture-pcap-util.c
   M /trunk/capture_ifinfo.c
   M /trunk/capture_ifinfo.h
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/dumpcap.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_capture.c
   M /trunk/tshark.c

Um, no, the problem with the Leopard x86 build is that we first do a
build without libpcap, to make sure that works, and then do a build with
libpcap, to put into a binary release.  It's the former that's failing;
I'll back out the previous change and then work on that.

------------------------------------------------------------------------
r32800 | guy | 2010-05-13 17:16:59 -0700 (Thu, 13 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tn3270.c

We already have a link to the IBM version of the 3270 manual; just refer
to that.

------------------------------------------------------------------------
r32799 | guy | 2010-05-13 17:10:15 -0700 (Thu, 13 May 2010) | 4 lines
Changed paths:
   M /trunk/capture-pcap-util.c
   M /trunk/capture_ifinfo.c
   M /trunk/capture_ifinfo.h
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/dumpcap.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_capture.c
   M /trunk/tshark.c

See whether the Leopard x86 buildbot is upset because of the name
if_capabilities_t - it doesn't fail on Snow Leopard, even if I undefine
HAVE_PCAP_CREATE, and doesn't fail on the Leopard PPC buildbot, either.

------------------------------------------------------------------------
r32798 | guy | 2010-05-13 16:56:31 -0700 (Thu, 13 May 2010) | 3 lines
Changed paths:
   M /trunk/COPYING
   M /trunk/epan/dissectors/packet-tn3270.c

Handle the Set Buffer Address command differently; this gets rid of the
macro with the "give credit" license, so back that out of COPYING.

------------------------------------------------------------------------
r32797 | wmeier | 2010-05-13 15:16:28 -0700 (Thu, 13 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ptp.c

(Trivial) A little more whitespace cleanup.

------------------------------------------------------------------------
r32796 | wmeier | 2010-05-13 14:47:38 -0700 (Thu, 13 May 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ptp.c

From  Torrey Atcitty:  [Dissector Enhancement] Added new functionality to existing 1588v2 dissector to also support IEEE802.1AS.

------------------------------------------------------------------------
r32795 | morriss | 2010-05-13 13:39:56 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/epan/address.h

Fix up some indentation
------------------------------------------------------------------------
r32794 | morriss | 2010-05-13 13:31:53 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Reindent a bit
------------------------------------------------------------------------
r32793 | morriss | 2010-05-13 11:59:35 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/doc/README.request_response_tracking

Use find_or_create_conversation() in the example
------------------------------------------------------------------------
r32792 | morriss | 2010-05-13 11:57:41 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/doc/README.developer

Document find_or_create_conversation()
------------------------------------------------------------------------
r32791 | morriss | 2010-05-13 11:55:31 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/asn1/spnego/spnego.cnf
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-spnego.c

Use find_or_create_conversation() in some ASN.1 dissectors
------------------------------------------------------------------------
r32790 | morriss | 2010-05-13 11:28:34 -0700 (Thu, 13 May 2010) | 10 lines
Changed paths:
   M /trunk/epan/conversation.c
   M /trunk/epan/conversation.h
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-afs.c
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/dissectors/packet-applemidi.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-beep.c
   M /trunk/epan/dissectors/packet-classicstun.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-diameter.c
   M /trunk/epan/dissectors/packet-dnp.c
   M /trunk/epan/dissectors/packet-dns.c
   M /trunk/epan/dissectors/packet-drda.c
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-enip.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fix.c
   M /trunk/epan/dissectors/packet-giop.c
   M /trunk/epan/dissectors/packet-gssapi.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-ifcp.c
   M /trunk/epan/dissectors/packet-ipmi.c
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-iwarp-mpa.c
   M /trunk/epan/dissectors/packet-jxta.c
   M /trunk/epan/dissectors/packet-kingfisher.c
   M /trunk/epan/dissectors/packet-mp2t.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-msproxy.c
   M /trunk/epan/dissectors/packet-mysql.c
   M /trunk/epan/dissectors/packet-nbd.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-ntlmssp.c
   M /trunk/epan/dissectors/packet-pana.c
   M /trunk/epan/dissectors/packet-pgsql.c
   M /trunk/epan/dissectors/packet-pop.c
   M /trunk/epan/dissectors/packet-rlogin.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-rsync.c
   M /trunk/epan/dissectors/packet-rtmpt.c
   M /trunk/epan/dissectors/packet-rtsp.c
   M /trunk/epan/dissectors/packet-sbus.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb2.c
   M /trunk/epan/dissectors/packet-smtp.c
   M /trunk/epan/dissectors/packet-socks.c
   M /trunk/epan/dissectors/packet-ssh.c
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/epan/dissectors/packet-starteam.c
   M /trunk/epan/dissectors/packet-stun.c
   M /trunk/epan/dissectors/packet-synphasor.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-tftp.c
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-tuxedo.c
   M /trunk/epan/dissectors/packet-ucp.c
   M /trunk/epan/dissectors/packet-udp.c
   M /trunk/epan/dissectors/packet-vnc.c
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/packet-x224.c
   M /trunk/epan/dissectors/packet-ziop.c
   M /trunk/epan/libwireshark.def

As suggested in http://www.wireshark.org/lists/wireshark-dev/200809/msg00075.html
(as referenced in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2907 ) and
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3411 :

Write a new convenience routine for finding a conversation and, if it is not
found, create it.  The frame number and addresses are taken from pinfo (as is
the common case).

Use this function in a bunch of dissectors.

------------------------------------------------------------------------
r32789 | guy | 2010-05-13 10:37:39 -0700 (Thu, 13 May 2010) | 7 lines
Changed paths:
   M /trunk/capture-pcap-util.c
   M /trunk/capture_ifinfo.c
   M /trunk/capture_ifinfo.h
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/capture_sync.c
   M /trunk/capture_sync.h
   M /trunk/dumpcap.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/main.c
   M /trunk/gtk/prefs_capture.c
   M /trunk/tshark.c

Fetch an indication of whether the interface supports capturing in
monitor mode at the same time that we fetch its list of link-layer
types.  Support fetching that list in monitor mode, as the list may be
different in regular and monitor mode.  If the interface supports
monitor mode, when printing the list of link-layer types, indicate
whether they're fetched in monitor mode or not, as tcpdump 4.1.x does.

------------------------------------------------------------------------
r32788 | jake | 2010-05-13 10:22:53 -0700 (Thu, 13 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

From Hadar Shohami:
Add support to option 17 sub option 2171 for Packet Cable 2.0 according to
CL-SP-CANN-DHCP-Reg-I03-090811.doc

------------------------------------------------------------------------
r32787 | morriss | 2010-05-13 09:28:32 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Robert Hogan.  Also update my entry.
------------------------------------------------------------------------
r32786 | morriss | 2010-05-13 08:22:55 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tn3270.c

Remove some unused hf_ entries
------------------------------------------------------------------------
r32785 | morriss | 2010-05-13 08:19:40 -0700 (Thu, 13 May 2010) | 7 lines
Changed paths:
   M /trunk/COPYING
   M /trunk/epan/dissectors/packet-telnet.c
   M /trunk/epan/dissectors/packet-tn3270.c
   M /trunk/epan/dissectors/packet-tn3270.h

From Robert Hogan via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4257 :

Correctly decode and display the buffer address in SBA orders.


Note: This includes a macro with a new license which is added to COPYING.

------------------------------------------------------------------------
r32784 | etxrab | 2010-05-13 06:29:31 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/rrc/Class-definitions.asn
   M /trunk/asn1/rrc/Constant-definitions.asn
   M /trunk/asn1/rrc/InformationElements.asn
   M /trunk/asn1/rrc/Internode-definitions.asn
   M /trunk/asn1/rrc/PDU-definitions.asn
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-rrc.c

Update to  V9.2.1 (2010-04)
------------------------------------------------------------------------
r32783 | morriss | 2010-05-13 06:29:13 -0700 (Thu, 13 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/diam_dict.l

From Tamas Regos via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4760 :

Harmless typo bug in diam_dict.l

applictation_start <-> application_start

------------------------------------------------------------------------
r32782 | kukosa | 2010-05-13 06:16:26 -0700 (Thu, 13 May 2010) | 2 lines
Changed paths:
   M /trunk/tools/asn2wrs.py

Support of AUTOMATIC tagging environment 
(necessary for generating e.g. H.248 from original ASN.1 source)
------------------------------------------------------------------------
r32781 | kukosa | 2010-05-13 03:00:37 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/lte-rrc/EUTRA-InterNodeDefinitions.asn
   M /trunk/tools/asn2wrs.py

ASN.1 compiler accepts version brackets in SEQUENCE and CHOICE extensions
------------------------------------------------------------------------
r32780 | etxrab | 2010-05-13 01:03:04 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/rrlp/RRLP-Components.asn
   M /trunk/asn1/rrlp/RRLP-Messages.asn

Update to V9.2.0 (2010-03)
------------------------------------------------------------------------
r32779 | etxrab | 2010-05-13 00:41:35 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/rua/RUA-CommonDataTypes.asn
   M /trunk/asn1/rua/RUA-Constants.asn
   M /trunk/asn1/rua/RUA-Containers.asn
   M /trunk/asn1/rua/RUA-IEs.asn
   M /trunk/asn1/rua/RUA-PDU-Contents.asn
   M /trunk/asn1/rua/RUA-PDU-Descriptions.asn
   M /trunk/epan/dissectors/packet-rua.c

Update to V9.1.0 (2010-03)
------------------------------------------------------------------------
r32778 | etxrab | 2010-05-13 00:40:31 -0700 (Thu, 13 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/hnbap/HNBAP-CommonDataTypes.asn
   M /trunk/asn1/hnbap/HNBAP-Constants.asn
   M /trunk/asn1/hnbap/HNBAP-Containers.asn
   M /trunk/asn1/hnbap/HNBAP-IEs.asn
   M /trunk/asn1/hnbap/HNBAP-PDU-Contents.asn
   M /trunk/asn1/hnbap/HNBAP-PDU-Descriptions.asn
   M /trunk/asn1/hnbap/hnbap.cnf
   M /trunk/epan/dissectors/packet-hnbap.c

Update to V9.1.0 (2010-03)
------------------------------------------------------------------------
r32777 | guy | 2010-05-12 17:20:40 -0700 (Wed, 12 May 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-asap.c
   M /trunk/epan/dissectors/packet-dua.c
   M /trunk/epan/dissectors/packet-enrp.c
   M /trunk/epan/dissectors/packet-iua.c
   M /trunk/epan/dissectors/packet-m2pa.c
   M /trunk/epan/dissectors/packet-m2ua.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sua.c
   M /trunk/epan/proto.h
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c
   M /trunk/plugins/giop/packet-parlay.c
   M /trunk/plugins/giop/packet-tango.c
   M /trunk/tools/wireshark_gen.py

Create a new REP_NA value for fields where there are no representations
from which to choose; use that for protocol fields in some protocols
(modify the CORBA generator to use it, and manually update the generated
CORBA dissectors accordingly).

------------------------------------------------------------------------
r32776 | guy | 2010-05-12 16:45:16 -0700 (Wed, 12 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-asap.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-dua.c
   M /trunk/epan/dissectors/packet-enrp.c
   M /trunk/epan/dissectors/packet-iua.c
   M /trunk/epan/dissectors/packet-m2pa.c
   M /trunk/epan/dissectors/packet-m2ua.c
   M /trunk/epan/dissectors/packet-m3ua.c
   M /trunk/epan/dissectors/packet-mq.c
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sua.c

Instead of using private #defines for the last argument to
proto_tree_add_item(), use the new REP_BIG_ENDIAN and REP_LITTLE_ENDIAN
values.

Use those #defines in variables that represent the byte order, as well.

------------------------------------------------------------------------
r32775 | guy | 2010-05-12 15:35:56 -0700 (Wed, 12 May 2010) | 5 lines
Changed paths:
   M /trunk/epan/proto.h

Add REP_{BIG,LITTLE}_ENDIAN #defines, for possible future use in
proto_tree_add_item() and field definitions, and for current use if
somebody finds it more self-documenting (some dissectors already have
their own #defines for that purpose).

------------------------------------------------------------------------
r32774 | guy | 2010-05-12 12:44:23 -0700 (Wed, 12 May 2010) | 4 lines
Changed paths:
   M /trunk/gtk/capture_file_dlg.c

Don't set the sensitivity of the Open button based on whether we can
open the currently-selected file; that button is also used to select the
file or directory typed in the location bar.  This should fix bug 1791.

------------------------------------------------------------------------
r32773 | wmeier | 2010-05-12 10:34:11 -0700 (Wed, 12 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/ftypes/ftypes.c

(Trivial) Use consistent indentation.

------------------------------------------------------------------------
r32772 | morriss | 2010-05-12 06:24:42 -0700 (Wed, 12 May 2010) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

From Dirk via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4758 :

The HTTP dissector uses strtoll() to convert the Content-Length string into a
64bit variable. But that string can contain a number larger (or less) than
64bit, which lets the strtoll() return INT_MAX (or INT_MIN). strtoll() then
indicates this with errno==ERANGE.

The attachted patch checks if errno is set this way and then treats that HTTP
Content-Length as unspecified, since we don't know the real size.

I haven't checked other occurences of strtoll() in the HTTP dissector if they
could benefit from the errno check, or if other dissectors could use it.

------------------------------------------------------------------------
r32771 | etxrab | 2010-05-12 03:31:41 -0700 (Wed, 12 May 2010) | 16 lines
Changed paths:
   M /trunk/epan/wslua/wslua.h
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/epan/wslua/wslua_tree.c

From Tamas Regos:
WSLUA improvement.

The existing ProtoField.bool looks like the following:
ProtoField.bool(abbr, [name], [desc])

But checking any protocol dissector with bool protofield, it can be seen that
in C code we have more options than thru the WSLUA interface.

E.g.: {&hf_gtp_qos_sig_ind,{"Signalling Indication", "gtp.sig_ind", FT_BOOLEAN,
8, TFS(&gtp_sig_ind), GTP_EXT_QOS_SIG_IND_MASK, NULL, HFILL}},

So I've extended ProtoField.bool to have more options like this:
ProtoField.bool(abbr, [name], [bitfield], [true_false_string], [mask], [desc])

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4700
------------------------------------------------------------------------
r32770 | etxrab | 2010-05-12 01:08:01 -0700 (Wed, 12 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/wslua/wslua.h
   M /trunk/epan/wslua/wslua_proto.c
   M /trunk/epan/wslua/wslua_tree.c

From Tamas Regos:
Whitspace changes
------------------------------------------------------------------------
r32769 | etxrab | 2010-05-11 22:51:54 -0700 (Tue, 11 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/lte-rrc/EUTRA-InterNodeDefinitions.asn
   M /trunk/asn1/lte-rrc/EUTRA-RRC-Definitions.asn
   M /trunk/asn1/lte-rrc/EUTRA-UE-Variables.asn
   M /trunk/asn1/lte-rrc/lte-rrc.cnf
   M /trunk/epan/dissectors/packet-lte-rrc.c

Update to V9.2.0 (2010-03)
------------------------------------------------------------------------
r32768 | gerald | 2010-05-11 21:03:07 -0700 (Tue, 11 May 2010) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ppp.c

From Chris Maynard via bug 4722:

When I submitted the USB and PPP changes, I had not previously tested with a
full insertion of a particular USB device.  Now that I have, I've found that
what used to be reported as an unknown interface class is now reported as a
vendor specific interface class.  Thus, in order for PPP/USB dissection to
work, the ppp dissector must register for that class as well.  The attached
trivial patch does just that.

------------------------------------------------------------------------
r32767 | dimeg | 2010-05-11 14:50:54 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Initialize the GValues without triggering any warnings

------------------------------------------------------------------------
r32766 | jake | 2010-05-11 14:49:30 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/doc/dfilter2pod.pl
   M /trunk/docbook/dfilter2xml.pl

Update display filter scripts with new field types.

------------------------------------------------------------------------
r32765 | jake | 2010-05-11 14:46:17 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-bytes.c
   M /trunk/epan/ftypes/ftype-guid.c

Straighten out field type names.

------------------------------------------------------------------------
r32764 | dimeg | 2010-05-11 14:40:33 -0700 (Tue, 11 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q708.c

Grinding through the Operational Bulletins:
SANC and ISPC lists updated up to OB No 949

------------------------------------------------------------------------
r32763 | gerald | 2010-05-11 14:09:21 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/capture-wpcap.c

Make sure pcap_open_live points to something.

------------------------------------------------------------------------
r32762 | jake | 2010-05-11 13:57:15 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Make the changes compile on Linux also.

------------------------------------------------------------------------
r32761 | guy | 2010-05-11 13:19:35 -0700 (Tue, 11 May 2010) | 4 lines
Changed paths:
   M /trunk/dumpcap.c

If we have pcap_open(), and we're *not* opening an rpcap URL, open the
device, don't just execute whatever comes after the open code as an else
clause.

------------------------------------------------------------------------
r32760 | wmeier | 2010-05-11 13:14:37 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

From Yaniv Kaul:  Fix errors found by clang static code analyzer and add some consts.

------------------------------------------------------------------------
r32759 | etxrab | 2010-05-11 12:52:40 -0700 (Tue, 11 May 2010) | 4 lines
Changed paths:
   M /trunk/gtk/main_filter_toolbar.c

Start to replace deprecated gtk_combo_new() with
gtk_combo_box_entry_new_text().

(I'll try to get back to this tomorrow)
------------------------------------------------------------------------
r32758 | wmeier | 2010-05-11 12:03:33 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-dis-enums.c
   M /trunk/epan/dissectors/packet-dis-enums.h
   M /trunk/epan/dissectors/packet-dis-fields.c
   M /trunk/epan/dissectors/packet-dis-fields.h
   M /trunk/epan/dissectors/packet-dis-pdus.c
   M /trunk/epan/dissectors/packet-dis-pdus.h
   M /trunk/epan/dissectors/packet-dis.c

From Paul J. Metzger:  Add support for decoding DIS Electromagnetic Emission packets.

------------------------------------------------------------------------
r32757 | jake | 2010-05-11 12:01:56 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c

Allow for heuristic dissection of Unicode XML.

------------------------------------------------------------------------
r32756 | jake | 2010-05-11 11:04:03 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-igmp.c

Show version as generated field.

------------------------------------------------------------------------
r32755 | wmeier | 2010-05-11 09:54:55 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bgp.c
   M /trunk/epan/dissectors/packet-bittorrent.c
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c

Use consistent indentation; Whitesapce & formatting cleanup.

------------------------------------------------------------------------
r32754 | wmeier | 2010-05-11 08:34:57 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

Use consistent indentation; Whitespace & formatting cleanup.

------------------------------------------------------------------------
r32753 | wmeier | 2010-05-11 08:12:13 -0700 (Tue, 11 May 2010) | 2 lines
Changed paths:
   M /trunk/asn1/kerberos/packet-kerberos-template.c

Reflect changes made in SVN #32752

------------------------------------------------------------------------
r32752 | wmeier | 2010-05-11 07:34:16 -0700 (Tue, 11 May 2010) | 10 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

Fix handling of pa-data-type KRB5_PA_PAC_REQUEST (& KRB5_PA_S4U2SELF).

-Define pa-data-type KRB5_PA_PAC_REQUEST properly so that it is recognized.
  Fixes bug #4752 (https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4752)
-Also revert definition of  KRB5_PA_S4U2SELF (to be a positive number).
(All of the above reverts part of SVN #31400).

-Display pa-data-type as FT_INT32.
-Display the value for pa-data-type KRB5_PA_PAC_REQUEST as Boolean (not Int).

------------------------------------------------------------------------
r32751 | morriss | 2010-05-11 06:42:13 -0700 (Tue, 11 May 2010) | 4 lines
Changed paths:
   M /trunk/packaging/macosx/Resources/bin/wireshark

From Jay Moran via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4697 :

Fix generation of ~/.wireshark-etc/pangorc to fix font issue.

------------------------------------------------------------------------
r32750 | etxrab | 2010-05-11 01:36:16 -0700 (Tue, 11 May 2010) | 1 line
Changed paths:
   M /trunk/gtk/gui_utils.c

Replace deprecated gtk_input_add_full()
------------------------------------------------------------------------
r32749 | etxrab | 2010-05-10 23:53:03 -0700 (Mon, 10 May 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Fixwes to 3GPP AVP:s from Tamás Regõs.
------------------------------------------------------------------------
r32748 | morriss | 2010-05-10 20:53:31 -0700 (Mon, 10 May 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-HI2Operations.c
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-cdt.c
   M /trunk/epan/dissectors/packet-charging_ase.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h282.c
   M /trunk/epan/dissectors/packet-h283.c
   M /trunk/epan/dissectors/packet-h323.c
   M /trunk/epan/dissectors/packet-h450-ros.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h460.c
   M /trunk/epan/dissectors/packet-h501.c
   M /trunk/epan/dissectors/packet-hnbap.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-p7.c
   M /trunk/epan/dissectors/packet-pcap.c
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkixac.c
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-rnsap.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrlp.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-rua.c
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-s4406.c
   M /trunk/epan/dissectors/packet-sabp.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-x2ap.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509sat.c
   M /trunk/tools/asn2wrs.py

Add a little more code to avoid not-very-useful blurbs:
  - Change spaces in the name to underscores before comparing it to the blurb.
  - Check if the type simply as T_ prepended to the name.
  - Don't put in a blurb of "NULL".

and regenerate the dissectors.

------------------------------------------------------------------------
r32747 | morriss | 2010-05-10 19:58:27 -0700 (Mon, 10 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-t38.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-wlancertextn.c
   M /trunk/epan/dissectors/packet-x2ap.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509sat.c

Regenerate a few more of the ASN.1 dissectors
------------------------------------------------------------------------
r32746 | morriss | 2010-05-10 19:51:39 -0700 (Mon, 10 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-q932.c
   M /trunk/epan/dissectors/packet-qsig.c
   M /trunk/epan/dissectors/packet-rnsap.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrlp.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-rua.c
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-s4406.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-spnego.c

Regenerate a few more of the ASN.1 dissectors
------------------------------------------------------------------------
r32745 | morriss | 2010-05-10 19:37:46 -0700 (Mon, 10 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-p7.c
   M /trunk/epan/dissectors/packet-pcap.c
   M /trunk/epan/dissectors/packet-pkcs1.c
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkixac.c
   M /trunk/epan/dissectors/packet-pkixproxy.c
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-pres.c

Regenerate a few more of the ASN.1 dissectors
------------------------------------------------------------------------
r32744 | morriss | 2010-05-10 19:33:30 -0700 (Mon, 10 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-HI2Operations.c
   M /trunk/epan/dissectors/packet-hnbap.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-ns_cert_exts.c

Regenerate a few more of the ASN.1 dissectors
------------------------------------------------------------------------
r32743 | morriss | 2010-05-10 19:25:22 -0700 (Mon, 10 May 2010) | 1 line
Changed paths:
   M /trunk/gtk/main.c

Follow on to rev 32593: apparently delaying the start of resolv_update_cb() isn't always enough.  Delaying it further is would require adding the function call to several cases of an already complicated if/then/else + #ifdef/#else, so instead just put in a NULL check before calling gdk_window_invalidate_rect().
------------------------------------------------------------------------
r32742 | morriss | 2010-05-10 19:13:26 -0700 (Mon, 10 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-ansi_tcap.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-cdt.c
   M /trunk/epan/dissectors/packet-charging_ase.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h282.c
   M /trunk/epan/dissectors/packet-h283.c
   M /trunk/epan/dissectors/packet-h323.c
   M /trunk/epan/dissectors/packet-h450-ros.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h460.c
   M /trunk/epan/dissectors/packet-h501.c

Regenerate a few of the ASN.1 dissectors
------------------------------------------------------------------------
r32741 | gerald | 2010-05-10 15:10:59 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Add new packet list open bugs to the "known bugs" list.

------------------------------------------------------------------------
r32740 | gerald | 2010-05-10 14:58:44 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Updates for 1.4.

------------------------------------------------------------------------
r32739 | jake | 2010-05-10 14:31:12 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-egd.c

Fix for bug 4720:
Assume all fields, except ProducerID, being LE, i.s.o. BE (network order).
------------------------------------------------------------------------
r32738 | dimeg | 2010-05-10 14:04:08 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-q708.c

Update the ISPC lists up to ITU Operational Bulletin 940

------------------------------------------------------------------------
r32737 | wmeier | 2010-05-10 09:51:09 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/tshark.c

Fix a gcc -Wshadow warning.

------------------------------------------------------------------------
r32736 | wmeier | 2010-05-10 09:39:53 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Fix a gcc -Wshadow warning.

------------------------------------------------------------------------
r32735 | wmeier | 2010-05-10 08:54:57 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acap.c
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-actrace.c
   M /trunk/epan/dissectors/packet-afs.c
   M /trunk/epan/dissectors/packet-agentx.c
   M /trunk/epan/dissectors/packet-aim-admin.c
   M /trunk/epan/dissectors/packet-aim-adverts.c
   M /trunk/epan/dissectors/packet-aim-chat.c
   M /trunk/epan/dissectors/packet-aim-chatnav.c
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim-invitation.c
   M /trunk/epan/dissectors/packet-aim-popup.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aim-sst.c
   M /trunk/epan/dissectors/packet-aim-userlookup.c
   M /trunk/epan/dissectors/packet-aim.c
   M /trunk/epan/dissectors/packet-airopeek.c
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-ansi_637.c
   M /trunk/epan/dissectors/packet-arcnet.c
   M /trunk/epan/dissectors/packet-artnet.c
   M /trunk/epan/dissectors/packet-aruba-erm.c
   M /trunk/epan/dissectors/packet-atalk.c
   M /trunk/epan/dissectors/packet-atm.c
   M /trunk/epan/dissectors/packet-ayiya.c
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bfd.c
   M /trunk/epan/dissectors/packet-bootp.c
   M /trunk/epan/dissectors/packet-bpdu.c
   M /trunk/epan/dissectors/packet-brdwlk.c
   M /trunk/epan/dissectors/packet-bssap.c
   M /trunk/epan/dissectors/packet-dcerpc-bossvr.c
   M /trunk/epan/dissectors/packet-dcerpc-cds_clerkserver.c
   M /trunk/epan/dissectors/packet-dcerpc-cprpc_server.c
   M /trunk/epan/dissectors/packet-dcerpc-dtsprovider.c
   M /trunk/epan/dissectors/packet-dcerpc-dtsstime_req.c
   M /trunk/epan/dissectors/packet-dcerpc-epm.c
   M /trunk/epan/dissectors/packet-dcerpc-mgmt.c
   M /trunk/epan/dissectors/packet-dcerpc-rep_proc.c
   M /trunk/epan/dissectors/packet-dcerpc-roverride.c
   M /trunk/epan/dissectors/packet-dcerpc-rpriv.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_attr.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_pgo.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_repadm.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_replist.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_unix.c
   M /trunk/epan/dissectors/packet-dcerpc-rsec_login.c
   M /trunk/epan/dissectors/packet-dcerpc-spoolss.c
   M /trunk/epan/dissectors/packet-dcerpc-tkn4int.c
   M /trunk/epan/dissectors/packet-dcerpc-trksvr.c
   M /trunk/epan/dissectors/packet-dcom-dispatch.c
   M /trunk/epan/dissectors/packet-dcom-remact.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gsm_sms.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-gtpv2.c
   M /trunk/epan/dissectors/packet-isns.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-rsvp.c
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/epan/dissectors/packet-sqloracle.c
   M /trunk/epan/dissectors/packet-tds.c
   M /trunk/epan/dissectors/packet-usb.c

Indentation & whitespace cleanup (including: "4 space tabs" ==> spaces)

------------------------------------------------------------------------
r32734 | martinm | 2010-05-10 05:56:01 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.c

Fix non-libz build.

------------------------------------------------------------------------
r32733 | stig | 2010-05-10 03:48:45 -0700 (Mon, 10 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/io_stat.c

Bring back "1 min" and "10 min" in IO Graph Tick interval.

------------------------------------------------------------------------
r32732 | kukosa | 2010-05-09 23:54:16 -0700 (Sun, 09 May 2010) | 1 line
Changed paths:
   M /trunk/tools/Makefile.am

Add missing textify.sh to source distribution
------------------------------------------------------------------------
r32731 | jake | 2010-05-09 23:32:31 -0700 (Sun, 09 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/proto.c

Allow for proto_tree_add_item() with FT_ABSOLUTE_TIME and FT_RELATIVE_TIME.

------------------------------------------------------------------------
r32728 | gerald | 2010-05-09 08:03:37 -0700 (Sun, 09 May 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-05-09]
------------------------------------------------------------------------
r32727 | sfisher | 2010-05-08 23:33:03 -0700 (Sat, 08 May 2010) | 6 lines
Changed paths:
   M /trunk/acinclude.m4


As of release 1.5, MIT Kerberos moved krb5.h to krb5/krb5.h.  Check both
places.  Fix prompted by report on -dev from Jeff Blaine using MIT Kerberos
1.8.


------------------------------------------------------------------------
r32726 | jake | 2010-05-08 22:40:29 -0700 (Sat, 08 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/decode_as_dlg.c

Clean comments and indentation.

------------------------------------------------------------------------
r32725 | wmeier | 2010-05-08 09:33:59 -0700 (Sat, 08 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-2dparityfec.c

(Trivial) Fix some indentation.

------------------------------------------------------------------------
r32724 | wmeier | 2010-05-08 09:12:29 -0700 (Sat, 08 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/ftypes/ftypes.h

(Trivial) Fix a typo & some indentation

------------------------------------------------------------------------
r32723 | sake | 2010-05-08 00:55:12 -0700 (Sat, 08 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/packet.c
   M /trunk/gtk/decode_as_dlg.c

Enable "Decode As..." for ethertype 0x0000 (fix for bug 4721)


------------------------------------------------------------------------
r32722 | guy | 2010-05-07 18:37:36 -0700 (Fri, 07 May 2010) | 3 lines
Changed paths:
   M /trunk/dumpcap.c

Include inet_v6defs.h after include the Windows socket headers, so it
knows whether AF_INET6 is needed.

------------------------------------------------------------------------
r32721 | guy | 2010-05-07 18:18:12 -0700 (Fri, 07 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_opts.c

Prune some includes.

------------------------------------------------------------------------
r32720 | guy | 2010-05-07 18:15:56 -0700 (Fri, 07 May 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Include inet_v6defs.h if needed to declare inet_ntop().

------------------------------------------------------------------------
r32719 | guy | 2010-05-07 17:43:23 -0700 (Fri, 07 May 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.def

Add wtap_cleareof().

------------------------------------------------------------------------
r32718 | guy | 2010-05-07 17:39:07 -0700 (Fri, 07 May 2010) | 5 lines
Changed paths:
   M /trunk/doc/dumpcap.pod
   M /trunk/doc/tshark.pod
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

The default capture buffer size is, in fact, *nominally* 1MB; however,
libpcap/WinPcap and the capture mechanism atop which they run might
either silently limit the buffer size to a smaller value or raise it to
a higher value - that's the part that's platform-dependent.

------------------------------------------------------------------------
r32717 | guy | 2010-05-07 17:17:06 -0700 (Fri, 07 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/main.c

Don't define err_str twice if building on Win32 with AirPcap support.

------------------------------------------------------------------------
r32716 | gerald | 2010-05-07 14:15:24 -0700 (Fri, 07 May 2010) | 3 lines
Changed paths:
   M /trunk/file.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

Zlib has an officially-sanctioned way of clearing EOF when we're tailing
a file.  Use it.

------------------------------------------------------------------------
r32715 | gerald | 2010-05-07 12:45:47 -0700 (Fri, 07 May 2010) | 5 lines
Changed paths:
   M /trunk/wiretap/wtap.c

EOF in zlib 1.2.5 seems to be sticky. When we're tailing a file and we
reach EOF, zlib's file handle seems to stay at EOF even when more data
is appended to the file. Add a check for 1.2.5 which calls gzseek in
order to unset EOF. Fixes bugs 4708 and 4748.

------------------------------------------------------------------------
r32714 | guy | 2010-05-07 12:24:32 -0700 (Fri, 07 May 2010) | 4 lines
Changed paths:
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

As with the list of data link types, so with the list of interfaces; move
the code to print the machine-readable format into dumpcap, and have the
code in capture_opts.c just print the human-readable format.

------------------------------------------------------------------------
r32713 | etxrab | 2010-05-07 07:25:16 -0700 (Fri, 07 May 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Update 3GPP AVP codes.
------------------------------------------------------------------------
r32712 | etxrab | 2010-05-07 04:08:56 -0700 (Fri, 07 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Register a dissector table for dissecting Ericsson AVP:s.
------------------------------------------------------------------------
r32711 | guy | 2010-05-07 01:40:02 -0700 (Fri, 07 May 2010) | 8 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/capture_opts.c
   A /trunk/console_io.h
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Add routines vfprintf_stderr() and fprintf_stderr() to print to the
standard error and, in Wireshark on Windows, create a console if
necessary.  Have the cmdarg_err routines use them.

Use *fprintf_stderr() to print the output of -L, rather than using
cmdarg_err_cont(), so that we don't get extra newlines in the output (it
should look similar to the output of tcpdump).

------------------------------------------------------------------------
r32710 | guy | 2010-05-07 01:06:25 -0700 (Fri, 07 May 2010) | 5 lines
Changed paths:
   M /trunk/capture-pcap-util.c
   M /trunk/capture-pcap-util.h
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

For TShark and Wireshark, get the list of link-layer types for an
interface by running dumpcap, so that if you need privileges to open an
interface, and dumpcap has those privileges, neither TShark nor
Wireshark need them.

------------------------------------------------------------------------
r32709 | stig | 2010-05-06 23:35:17 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/dftest.c
   M /trunk/rawshark.c

Set default seconds type in rawshark and dftest.

------------------------------------------------------------------------
r32708 | guy | 2010-05-06 22:59:32 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/test/suite-clopts.sh

-I is now a valid TShark option (at least if you have libpcap 1.x).

------------------------------------------------------------------------
r32707 | guy | 2010-05-06 19:00:46 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/doc/dumpcap.pod
   M /trunk/doc/tshark.pod

-B is no longer Windows-only.

------------------------------------------------------------------------
r32706 | guy | 2010-05-06 18:55:13 -0700 (Thu, 06 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

Add monitor mode support to Wireshark *on the command line*; support
through the GUI requires more work.

------------------------------------------------------------------------
r32705 | guy | 2010-05-06 18:50:22 -0700 (Thu, 06 May 2010) | 3 lines
Changed paths:
   M /trunk/dumpcap.c

Oops, -B disappeared from the list of dumpcap options in the change to
support multiple, err, optional options.

------------------------------------------------------------------------
r32704 | guy | 2010-05-06 18:46:38 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_sync.c
   M /trunk/doc/tshark.pod
   M /trunk/tshark.c

Add monitor mode support to TShark.

------------------------------------------------------------------------
r32703 | guy | 2010-05-06 18:25:53 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_opts.c

Handle -I in the options processing.

------------------------------------------------------------------------
r32702 | guy | 2010-05-06 18:22:33 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/capture_opts.h
   M /trunk/doc/dumpcap.pod
   M /trunk/dumpcap.c

Beginnings of monitor mode support with libpcap 1.x.

------------------------------------------------------------------------
r32701 | guy | 2010-05-06 17:28:42 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Instead, say that the default is platform-dependent.

------------------------------------------------------------------------
r32700 | guy | 2010-05-06 17:16:52 -0700 (Thu, 06 May 2010) | 3 lines
Changed paths:
   M /trunk/dumpcap.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Now that we support -B on various UN*X platforms as well as Windows, we
can no longer state what the default is (it's platform-dependent).

------------------------------------------------------------------------
r32699 | gerald | 2010-05-06 17:13:33 -0700 (Thu, 06 May 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jouni Malinen via bug 4713:

The 0x80 bit in the Action Category field indicates that the
transmitter is reporting an unrecognized category (or somehow
incorrect frame). Rest of the frame body is identical to the original
Action frame, so we should handle dissecting of these just like with
the category without the 0x80 bit.

------------------------------------------------------------------------
r32698 | gerald | 2010-05-06 16:58:18 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/config.nmake

Our default target platform is still win32.

------------------------------------------------------------------------
r32697 | gerald | 2010-05-06 16:51:37 -0700 (Thu, 06 May 2010) | 3 lines
Changed paths:
   M /trunk/tshark.c

Set the timestamp seconds type to TS_SECONDS_DEFAULT at startup so we
don't abort.

------------------------------------------------------------------------
r32696 | gerald | 2010-05-06 16:34:56 -0700 (Thu, 06 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

From Hadar Shoham via bug 4750:

1. add docsis3.0 support in bootp option 60
2. change to text option 123 (Cable lab)
3. change to text option 43 sub option 8 (OUI)

------------------------------------------------------------------------
r32695 | guy | 2010-05-06 16:33:41 -0700 (Thu, 06 May 2010) | 6 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/capture_sync.c
   M /trunk/dumpcap.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Just check for pcap_create(); it first appeared in libpcap 1.0.0, and
pcap_set_buffer_size() did as well, so there aren't any libpcap releases
with pcap_create() but not pcap_set_buffer_size().

Only do one check for pcap_create.

------------------------------------------------------------------------
r32694 | gerald | 2010-05-06 16:29:55 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/dumpcap.c

Fix compilation.

------------------------------------------------------------------------
r32693 | wmeier | 2010-05-06 14:16:31 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-afp.c

Use consistent indentation & whitespace.

------------------------------------------------------------------------
r32692 | jake | 2010-05-06 12:16:45 -0700 (Thu, 06 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-skinny.c

From Mathieu Parent:
* Added LineInstance and CallId to keypadButton-, stimulus-, offHook-, onHook-,
  startTone-, stopTone-, setRingerMessage
* Added RingMode to setRingerMessage
* Added displayName to LineStatMessage

------------------------------------------------------------------------
r32691 | etxrab | 2010-05-06 12:15:25 -0700 (Thu, 06 May 2010) | 1 line
Changed paths:
   M /trunk/epan/libwireshark.def

tvbparse_len_left does not seem to exist in tvbparse.c
------------------------------------------------------------------------
r32690 | jake | 2010-05-06 11:41:23 -0700 (Thu, 06 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.c

Follow up for revision 32670.
Straighten out is_acn() function.

------------------------------------------------------------------------
r32689 | jake | 2010-05-06 11:37:47 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def
   M /trunk/epan/tvbparse.h

Cleanup and export the TVB parser.

------------------------------------------------------------------------
r32688 | etxrab | 2010-05-06 11:34:30 -0700 (Thu, 06 May 2010) | 8 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/capture_opts.c
   M /trunk/capture_opts.h
   M /trunk/capture_sync.c
   M /trunk/cmakeconfig.h.in
   M /trunk/config.nmake
   M /trunk/dumpcap.c
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Checking in Stigs changes from
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=475
BUT not activating the check for 
pcap_create()
pcap_set_buffer_size()
This should make it possible to build with support for setting the buffersize if not capturing 802.11 traffic.

The code for handling the 'B' option should be OK in any case.
------------------------------------------------------------------------
r32687 | etxrab | 2010-05-06 08:39:08 -0700 (Thu, 06 May 2010) | 7 lines
Changed paths:
   M /trunk/acinclude.m4

Check for pcap_create
Using pcap create and pcap_activate should make it possible
to set the capture buffer size on Linux systems as well as Windows.
Help to implement it would be apreciated :-)

Ref:
http://seclists.org/tcpdump/2009/q3/151
------------------------------------------------------------------------
r32686 | etxrab | 2010-05-06 05:54:43 -0700 (Thu, 06 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/sctpppids.h

Add PPID 28  IRCP
------------------------------------------------------------------------
r32685 | stig | 2010-05-06 05:31:24 -0700 (Thu, 06 May 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Moved command line option for seconds type to -u.
Added this option to tshark.

------------------------------------------------------------------------
r32684 | stig | 2010-05-06 04:25:15 -0700 (Thu, 06 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/column-utils.c

Simplified hour_min_sec calculations.

------------------------------------------------------------------------
r32683 | stig | 2010-05-06 03:32:59 -0700 (Thu, 06 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/epan/libwireshark.def
   M /trunk/epan/timestamp.c
   M /trunk/epan/timestamp.h
   M /trunk/gtk/main.c
   M /trunk/gtk/menus.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h

Added an option to display seconds as hours, minutes and seconds
in the packet list, on this format: "1h 2m 3.456s".

------------------------------------------------------------------------
r32680 | etxrab | 2010-05-05 12:22:28 -0700 (Wed, 05 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/sabp/packet-sabp-template.c
   M /trunk/epan/dissectors/packet-sabp.c

Calculate correct PDU lenght if the per_length_determinant is one byte long.
------------------------------------------------------------------------
r32677 | etxrab | 2010-05-05 10:22:40 -0700 (Wed, 05 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

- Remove check_col()
- only read method string once.
------------------------------------------------------------------------
r32673 | morriss | 2010-05-05 07:29:55 -0700 (Wed, 05 May 2010) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/tools/asn2wrs.py

Try to avoid the user confusion reported in
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3477 by not using blurbs
that look like abbreviations (filter strings).

While we're at it try to avoid giving blurbs that are identical (or nearly so)
to the field name.

Regenerate a couple of dissectors like this to prove out the idea.

------------------------------------------------------------------------
r32672 | kukosa | 2010-05-05 06:14:41 -0700 (Wed, 05 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/h225/H323-MESSAGES.asn
   M /trunk/asn1/h225/h225.cnf
   M /trunk/epan/dissectors/packet-h225.c

H.225.0 updated to version 7 (2009-12)
------------------------------------------------------------------------
r32671 | kukosa | 2010-05-05 03:29:23 -0700 (Wed, 05 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/h245/MULTIMEDIA-SYSTEM-CONTROL.asn

File updated from ASN.1 database where the bug in ASN.1 definition has been fixed on request
------------------------------------------------------------------------
r32670 | etxrab | 2010-05-04 22:52:37 -0700 (Tue, 04 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-acn.h

From Jim Schaettle:
Add Ratified DMX to ACN Dissector.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4745
------------------------------------------------------------------------
r32669 | etxrab | 2010-05-04 22:41:07 -0700 (Tue, 04 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Andrew Feren:
The current implementation of options templates continues reading past the end
of the option template.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4744
------------------------------------------------------------------------
r32668 | sfisher | 2010-05-04 19:33:34 -0700 (Tue, 04 May 2010) | 6 lines
Changed paths:
   M /trunk/gtk/packet_list_store.c


Update the comment about being based on the GTK Tree View Tutorial,
including putting /tutorial/ at the end of the URL because the 
main web-site is something unrelated to the tutorial.


------------------------------------------------------------------------
r32667 | gerald | 2010-05-04 17:28:24 -0700 (Tue, 04 May 2010) | 2 lines
Changed paths:
   M /trunk/config.nmake
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/docbook/release-notes.xml
   M /trunk/make-version.pl

1.3.5 -> 1.3.6.

------------------------------------------------------------------------
r32666 | gerald | 2010-05-04 16:03:42 -0700 (Tue, 04 May 2010) | 2 lines
Changed paths:
   M /trunk/make-version.pl

Build 1.3.5.

------------------------------------------------------------------------
r32664 | gerald | 2010-05-04 14:52:41 -0700 (Tue, 04 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Un-C++-ify a comment.

------------------------------------------------------------------------
r32660 | kukosa | 2010-05-04 12:01:25 -0700 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/asn1/h245/MULTIMEDIA-SYSTEM-CONTROL.asn
   M /trunk/epan/dissectors/packet-h245.c

 H.245 updated to v15 (2009-12)
------------------------------------------------------------------------
r32659 | etxrab | 2010-05-04 08:36:54 -0700 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Remove unused variables.
------------------------------------------------------------------------
r32658 | etxrab | 2010-05-04 08:12:44 -0700 (Tue, 04 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Refactor the code to parse SIP contact parameters.
------------------------------------------------------------------------
r32657 | etxrab | 2010-05-03 22:34:14 -0700 (Mon, 03 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Andrew Feren:
Solve Problems decoding variable length strings in IPFIX.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4742
------------------------------------------------------------------------
r32656 | jake | 2010-05-03 22:31:29 -0700 (Mon, 03 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jouni Malinen:
Dissect the optional IEs following the fixed fields in Deauthentication
and Disassociation frames.
------------------------------------------------------------------------
r32654 | wmeier | 2010-05-03 16:05:27 -0700 (Mon, 03 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ucp.c

Rework code to handle multiple messages in a packet.
Fixes Bug #4709.
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4709

------------------------------------------------------------------------
r32653 | wmeier | 2010-05-03 13:38:06 -0700 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/doc/capinfos.pod

Update capinfos man page.

------------------------------------------------------------------------
r32652 | wmeier | 2010-05-03 13:25:33 -0700 (Mon, 03 May 2010) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml

Update the capinfos documentation.

------------------------------------------------------------------------
r32651 | morriss | 2010-05-03 12:42:09 -0700 (Mon, 03 May 2010) | 1 line
Changed paths:
   M /trunk/capinfos.c

Remove extra % in printf format string.
------------------------------------------------------------------------
r32650 | morriss | 2010-05-03 12:33:23 -0700 (Mon, 03 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4734 :

Don't crash on a malformed SMB packet.  According to svn blame, this code
has been here since rev 21713 though maybe something else changed to make the
crash apparent.

------------------------------------------------------------------------
r32649 | wmeier | 2010-05-03 12:08:11 -0700 (Mon, 03 May 2010) | 5 lines
Changed paths:
   M /trunk/capinfos.c

Add "inferred" snapshot length (if any) to the output.
A snapshot length is inferred if there are records
in a capture file with "capture length" less than 
"packet length".

------------------------------------------------------------------------
r32648 | etxrab | 2010-05-03 11:31:00 -0700 (Mon, 03 May 2010) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h

This patch is submitted on behalf of Mellanox Technologies:
Printing to the source and destination columns by the Infiniband dissector is
not working properly. This patch changes the printing code to perform the
correct operations, so that the source and destination information properly
appears in the columns.


https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4739
------------------------------------------------------------------------
r32647 | etxrab | 2010-05-03 11:14:38 -0700 (Mon, 03 May 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h

This patch is submitted on behalf of Mellanox Technologies:
This patch adds code for correct dissection of two performance management
datagrams to the Infiniband dissector. The added MADs are PortCounters and
PortCounters Extended.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4741
------------------------------------------------------------------------
r32646 | etxrab | 2010-05-03 11:06:21 -0700 (Mon, 03 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c

This patch is submitted on behalf of Mellanox Technologies:
This patch adds value strings that display the meaning of the possible values for the infiniband.mad.method field.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4740
------------------------------------------------------------------------
r32645 | etxrab | 2010-05-03 10:58:22 -0700 (Mon, 03 May 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h

This patch is submitted on behalf of Mellanox Technologies:
This patch fixes a bug in Infiniband dissection where the offset was
incorrectly incremented in some cases leading to attempt to read past the end
of the tvb and a MALFORMED-PACKET error being issued.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4738
------------------------------------------------------------------------
r32644 | etxrab | 2010-05-03 10:51:01 -0700 (Mon, 03 May 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h

This patch is submitted on behalf of Mellanox Technologies:
This patch fixes the code to correctly identify MAD
packets by their source and destination queue pairs.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4737
------------------------------------------------------------------------
r32643 | kukosa | 2010-05-03 01:07:53 -0700 (Mon, 03 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-q931.c

ignore unreassembled fragments if the first segment of the next message comes 
------------------------------------------------------------------------
r32641 | kukosa | 2010-05-03 00:16:25 -0700 (Mon, 03 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-iua.c

add SAPI "Q.931 packet mode communication" which is obsolete but used in some traces
------------------------------------------------------------------------
r32640 | etxrab | 2010-05-02 22:03:51 -0700 (Sun, 02 May 2010) | 1 line
Changed paths:
   M /trunk/gtk/manual_addr_resolv.c

Try to fix the solaris build bot.
------------------------------------------------------------------------
r32639 | sfisher | 2010-05-02 16:39:58 -0700 (Sun, 02 May 2010) | 6 lines
Changed paths:
   M /trunk/doc/idl2wrs.pod


Change two instances of "an Wireshark plugin" to "a Wireshark plugin".
The use of "an" must have been leftover from the Ethereal days ("an
Ethereal plugin").


------------------------------------------------------------------------
r32638 | etxrab | 2010-05-02 14:42:53 -0700 (Sun, 02 May 2010) | 1 line
Changed paths:
   M /trunk/gtk/Makefile.nmake
   M /trunk/tools/checkAPIs.pl

Run deprecated-gtk-todoon all files in the gtk dir.
------------------------------------------------------------------------
r32637 | stig | 2010-05-02 13:21:39 -0700 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/addr_resolv.c

Rewrite: strcpy -> g_strlcpy.

------------------------------------------------------------------------
r32636 | stig | 2010-05-02 12:50:44 -0700 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/manual_addr_resolv.c

Rewrite: gtk_combo_new -> gtk_combo_box_entry_new_text.

------------------------------------------------------------------------
r32635 | etxrab | 2010-05-02 10:02:11 -0700 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

Fix:
packet-ip.c:1311: warning: 'field_tree' may be used uninitialized in this function
------------------------------------------------------------------------
r32634 | etxrab | 2010-05-02 08:37:23 -0700 (Sun, 02 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/main_proto_draw.c

From Jakub Zawadzki:
Fix copy&paste error + add support for proto_tree_add_bits API
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4413
------------------------------------------------------------------------
r32633 | etxrab | 2010-05-02 08:36:44 -0700 (Sun, 02 May 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ip.c

From Jakub Zawadzki:
patch for ip.flags (using proto_tree_add_bits_item).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4413
------------------------------------------------------------------------
r32630 | gerald | 2010-05-02 08:03:30 -0700 (Sun, 02 May 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-05-02]
------------------------------------------------------------------------
r32629 | stig | 2010-05-02 06:50:52 -0700 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/asn1/pres/packet-pres-template.c
   M /trunk/epan/dissectors/packet-pres.c

Don't type prune the data_ptr pointer for UAT.

------------------------------------------------------------------------
r32628 | stig | 2010-05-02 06:50:19 -0700 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/epan/dissectors/packet-snmp.c

Don't type prune the data_ptr pointer for UAT.

------------------------------------------------------------------------
r32627 | jake | 2010-05-02 05:50:54 -0700 (Sun, 02 May 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

From Hitoshi Irino:
The function "dissect_v9_pdu" of "epan/dissectors/packet-netflow.c" decodes
NetFlow v9 packets and IPFIX packets with same logic. But, the "scope field" is
different between NetFlow v9 and IPFIX. NetFlow v9 has only 5 kind of scopes.
On the other hand, many Information Elements can be used as scope fields in 
IPFIX packets.

------------------------------------------------------------------------
r32626 | jake | 2010-05-02 05:32:52 -0700 (Sun, 02 May 2010) | 3 lines
Changed paths:
   M /trunk/asn1/ess/packet-ess-template.c
   M /trunk/epan/dissectors/packet-ess.c

Fix for bug 4723:
Don't type prune the data_ptr pointer for UAT.

------------------------------------------------------------------------
r32625 | stig | 2010-05-02 03:03:08 -0700 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-db-lsp.c

Added some more dissecting.

------------------------------------------------------------------------
r32624 | stig | 2010-05-02 03:01:54 -0700 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/manual_addr_resolv.c

Disable ok button when no name entered.

------------------------------------------------------------------------
r32623 | stig | 2010-05-02 02:59:02 -0700 (Sun, 02 May 2010) | 2 lines
Changed paths:
   M /trunk/gtk/uat_gui.c

Added tooltips for UAT column headers.

------------------------------------------------------------------------
r32622 | etxrab | 2010-05-01 07:58:03 -0700 (Sat, 01 May 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter_3gpp.c
   M /trunk/epan/dissectors/packet-gtp.c

Dissect 3GPP AVP 5 3GPP-GPRS Negotiated QoS profile.
------------------------------------------------------------------------
r32621 | gerald | 2010-04-30 15:33:51 -0700 (Fri, 30 Apr 2010) | 4 lines
Changed paths:
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/uat_gui.c

Replace GtkClist in uat_gui.c with GtkTreeView+GtkListStore. Pop up the
edit window when an item is double-clicked. Add a couple of convenience
routines to gui_utils.c.

------------------------------------------------------------------------
r32620 | morriss | 2010-04-30 15:00:05 -0700 (Fri, 30 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Revert rev 32519 for now: it is making the dissector bug a little too obvious.  It may make sense to put the check back in once the bug (tracked via 4698) is fixed.
------------------------------------------------------------------------
r32619 | guy | 2010-04-30 14:55:42 -0700 (Fri, 30 Apr 2010) | 5 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-integer.c

Pick up other check from the almost-identical routine in
epan/dfilter/scanner.l.

(The common code should be in a utility routine.)

------------------------------------------------------------------------
r32618 | guy | 2010-04-30 14:51:47 -0700 (Fri, 30 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-integer.c

Fix comment.

------------------------------------------------------------------------
r32617 | morriss | 2010-04-30 14:40:57 -0700 (Fri, 30 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dfilter/scanner.l

Fix up indentation a bit
------------------------------------------------------------------------
r32616 | morriss | 2010-04-30 14:40:39 -0700 (Fri, 30 Apr 2010) | 10 lines
Changed paths:
   M /trunk/epan/ftypes/ftype-integer.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1696 :

The change put in with rev 11382 meant that, on 64-bit systems, we could not
parse negative numbers into integers (since -1 taken as an unsigned 64-bit
number is (significantly) larger than G_MAX_UINT32).

To fix this, split the val_from_unparsed() routine for integers into two
routines: one for signed and one for unsigned; each routine can then do the
appropriate "is this bigger than what fits in a *32?" test.

------------------------------------------------------------------------
r32615 | gerald | 2010-04-30 13:49:41 -0700 (Fri, 30 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/column-utils.c

Add a catch-all if statement for column formats that are filled in by
dissectors. Fixes bug 4732.

------------------------------------------------------------------------
r32614 | wmeier | 2010-04-30 13:15:27 -0700 (Fri, 30 Apr 2010) | 3 lines
Changed paths:
   M /trunk/tools/win-setup.sh

From Chris Maynard: Fix Bug #1292: "Win32: confusing setup target warning if cl.exe is not in path"
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1292

------------------------------------------------------------------------
r32613 | wmeier | 2010-04-30 11:19:47 -0700 (Fri, 30 Apr 2010) | 2 lines
Changed paths:
   M /trunk/gtk/rtp_stream_dlg.c

Fix a gcc -Wshadow warning.

------------------------------------------------------------------------
r32612 | wmeier | 2010-04-30 10:47:23 -0700 (Fri, 30 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/ranap/packet-ranap-template.c
   M /trunk/epan/dissectors/packet-ranap.c

Fix a gcc -Wshadow warning.

------------------------------------------------------------------------
r32611 | martinm | 2010-04-30 10:15:59 -0700 (Fri, 30 Apr 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-mac-lte.c
   M /trunk/epan/dissectors/packet-rlc-lte.c

Trivial: Update AUTHORS entry, remove out-of-date comments, minor formatting

------------------------------------------------------------------------
r32610 | guy | 2010-04-30 01:26:12 -0700 (Fri, 30 Apr 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-radiotap.c

Clean up some calls to use the same offset as the call to put the parent
into the protocol tree.

Put the cases for various Radiotap data items into numerical order by
the bit number.

------------------------------------------------------------------------
r32609 | gerald | 2010-04-29 16:53:57 -0700 (Thu, 29 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/column-utils.c
   M /trunk/gtk/packet_list_store.c

Several dissectors fill in custom custom data in the source and
destination address columns. Don't clobber it in the new packet list.

------------------------------------------------------------------------
r32608 | gerald | 2010-04-29 15:36:40 -0700 (Thu, 29 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

Terminate a string so that strchr doesn't wander off. Hopefully fixes bugs
4725 and 4728.

------------------------------------------------------------------------
r32607 | gerald | 2010-04-29 15:35:00 -0700 (Thu, 29 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.c

Remove an unused variable.

------------------------------------------------------------------------
r32606 | etxrab | 2010-04-29 13:45:53 -0700 (Thu, 29 Apr 2010) | 3 lines
Changed paths:
   M /trunk/asn1/ranap/packet-ranap-template.c
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/asn1/rrc/rrc.cnf
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-bssgp.h
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrc.h

From Mike Morrin:
Dissection of BSSMAP IEs: Old BSS to New BSS Info and New BSS to Old BSS Info
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4712
------------------------------------------------------------------------
r32605 | etxrab | 2010-04-29 13:41:35 -0700 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Forgot a //
------------------------------------------------------------------------
r32604 | etxrab | 2010-04-29 13:02:14 -0700 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Simplify dissect_sip_authorization_item().
------------------------------------------------------------------------
r32603 | morriss | 2010-04-29 12:30:54 -0700 (Thu, 29 Apr 2010) | 6 lines
Changed paths:
   M /trunk/gtk/main.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4308 :

Make a function that checks if the user is running as root or if npf.sys isn't
loaded (on Windows) and call it *after* showing the main window so that the
popup (if any) shows up above the main window.

------------------------------------------------------------------------
r32602 | etxrab | 2010-04-29 12:11:48 -0700 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Do the header matching on lower case.
------------------------------------------------------------------------
r32601 | morriss | 2010-04-29 11:17:29 -0700 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/addr_resolv.c

Make the indentation consistent.
------------------------------------------------------------------------
r32600 | etxrab | 2010-04-29 09:08:14 -0700 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

autentification info gives malformed packet if no space before "="
------------------------------------------------------------------------
r32599 | morriss | 2010-04-29 08:23:10 -0700 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/asn1/spnego/packet-spnego-template.c
   M /trunk/epan/dissectors/packet-isakmp.c
   M /trunk/epan/dissectors/packet-spnego.c

Make a variable a guint8* instead of a char* since it a) holds TVB data and b) matches what tvb_new_child_real_data() wants for its 2nd argument.  This cleans up a warning from the Sun compiler.
------------------------------------------------------------------------
r32598 | morriss | 2010-04-29 07:58:22 -0700 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

Make a variable a guint8* instead of a char* since it a) holds TVB data and b) matches what tvb_new_child_real_data() wants for its 2nd argument.  This cleans up a warning from the Sun compiler.
------------------------------------------------------------------------
r32597 | morriss | 2010-04-29 07:38:26 -0700 (Thu, 29 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

Use strchr() instead of index()--Windows doesn't appear to have the latter.
------------------------------------------------------------------------
r32596 | morriss | 2010-04-29 06:12:54 -0700 (Thu, 29 Apr 2010) | 12 lines
Changed paths:
   M /trunk/gtk/about_dlg.c

From Michael Speck via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4726 :

If "Help -> About Wireshark" is selected from Wireshark's main menu an error
message pops up:

Could not open file "<DevelopmentPath>\Wireshark_Source\wireshark-gtk2\COPYING":
No such file or directory


The attached patch handles this situation by looking for COPYING.txt instead of
COPYING on windows systems.

------------------------------------------------------------------------
r32595 | sahlberg | 2010-04-29 01:41:23 -0700 (Thu, 29 Apr 2010) | 26 lines
Changed paths:
   M /trunk/epan/dissectors/packet-iscsi.c

It is becomming more common that iscsi vendors use iscsi-redirectors and redirect
initiators to a different host/port and thus often redirect to non-3260.

The heuristics to detect iscsi is quite weak since there is very little
in the average iscsi header that can be used to semi-reliably identify
something as iscsi and not random data/something else.
As such, the heuristics also use/rely on the port being 3260 in order
to reduce the otherwise massive numbver of false positives that would arise.


Add decoding of the text key/value pairs and trigger on TargetAddress.
This field would describe a address/port where we can quite reliably 
assume that this traffic is indeed iscsi and not something else.


When seeing the iscsi redirect/TargetAddress, use this as a signalling hint
and register a conversation dissector for TCP to that address/port so that 
any future packet to/from this port is sent to the iscsi dissector.


If the signalling/redirect is not in the capture, wireshark will not detect
the traffic as iscsi and the user will have to use DecodeAs.  and manually
\set it to iscsi.



------------------------------------------------------------------------
r32594 | sfisher | 2010-04-28 23:29:51 -0700 (Wed, 28 Apr 2010) | 4 lines
Changed paths:
   M /trunk/capinfos.c


Add snaplen to capinfos output.  Idea from Chris Maynard on -dev.


------------------------------------------------------------------------
r32593 | morriss | 2010-04-28 17:09:01 -0700 (Wed, 28 Apr 2010) | 7 lines
Changed paths:
   M /trunk/gtk/main.c

Delay starting the resolv_update_cb until the main window has been displayed
This avoids this error:

(lt-wireshark:16779): Gdk-CRITICAL **: gdk_window_invalidate_rect: assertion `window != NULL' failed

before the main window has been drawn if you've got a personal hosts file.

------------------------------------------------------------------------
r32592 | etxrab | 2010-04-28 14:20:57 -0700 (Wed, 28 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Use proto_add_item() and clean up the code a bit.
------------------------------------------------------------------------
r32591 | wmeier | 2010-04-28 09:38:21 -0700 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/conditions.c

Altho no tabs, use tab-width=8 anyway.

------------------------------------------------------------------------
r32590 | wmeier | 2010-04-28 09:37:25 -0700 (Wed, 28 Apr 2010) | 3 lines
Changed paths:
   M /trunk/file.c

Use consistent indentation;
Altho no tabs use tab-width=8 anyway.

------------------------------------------------------------------------
r32589 | jake | 2010-04-28 09:29:01 -0700 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/gtk/rtp_stream_dlg.c

Replace GtkCList by GtkTreeView.

------------------------------------------------------------------------
r32588 | wmeier | 2010-04-28 09:23:53 -0700 (Wed, 28 Apr 2010) | 3 lines
Changed paths:
   M /trunk/capture_wpcap_packet.c
   M /trunk/rawshark.c

 Let's not use tabs with tab-width=4; Convert tabs to spaces (with indent=4).
 Also: use consistent indentation & remove any trailing blanks.

------------------------------------------------------------------------
r32587 | wmeier | 2010-04-28 09:09:25 -0700 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-db-lsp.c
   M /trunk/epan/dissectors/packet-h223.c
   M /trunk/epan/dissectors/packet-iax2.c
   M /trunk/epan/dissectors/packet-memcache.c
   M /trunk/epan/dissectors/packet-sbus.c

Remove trailing blanks; Also: Altho tabs expanded, use tab-width=8 anyway.

------------------------------------------------------------------------
r32586 | wmeier | 2010-04-28 09:03:47 -0700 (Wed, 28 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-banana.c
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-v52.c

Let's not use tabs with tab-width=4; Converts tabs to spaces (with indent=4).
Also: use consistent indentation.

------------------------------------------------------------------------
r32585 | jake | 2010-04-28 01:19:39 -0700 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

From jmmikkel:
Set the sequence number for the next PDU if the current frame contains both the finish of the previous and the complete next one.
------------------------------------------------------------------------
r32584 | etxrab | 2010-04-28 01:15:20 -0700 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/tvbuff.c

From Jakub Zawadzki:
 - use Glibc:s  highly optimized memchr()
------------------------------------------------------------------------
r32583 | etxrab | 2010-04-28 00:58:59 -0700 (Wed, 28 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/tvbuff.c

From Jakub Zawadzki:
 - optimize guint8_pbrk().
------------------------------------------------------------------------
r32582 | etxrab | 2010-04-27 21:54:25 -0700 (Tue, 27 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-evrc.c

From Michael Lum:
EVRC packet bundling not handled correctly.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4718
------------------------------------------------------------------------
r32581 | wmeier | 2010-04-27 15:46:39 -0700 (Tue, 27 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h

Fix a gcc -Wshadow warning; Fix a comment;
Use consistent indentation.

------------------------------------------------------------------------
r32580 | morriss | 2010-04-27 11:08:03 -0700 (Tue, 27 Apr 2010) | 1 line
Changed paths:
   M /trunk/Makefile.am

Fix a typo in a comment
------------------------------------------------------------------------
r32579 | jake | 2010-04-27 09:29:37 -0700 (Tue, 27 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/tfs.c
   M /trunk/epan/tfs.h

Add some more strings.
------------------------------------------------------------------------
r32578 | jake | 2010-04-27 09:18:06 -0700 (Tue, 27 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/value_string.h

Correct two comments.

------------------------------------------------------------------------
r32577 | morriss | 2010-04-27 06:50:43 -0700 (Tue, 27 Apr 2010) | 1 line
Changed paths:
   M /trunk/plugins/opcua/README
   M /trunk/plugins/opcua/opcua_complextypeparser.h
   M /trunk/plugins/opcua/opcua_enumparser.h
   M /trunk/plugins/opcua/opcua_hfindeces.h
   M /trunk/plugins/opcua/opcua_identifiers.h
   M /trunk/plugins/opcua/opcua_serviceids.h
   M /trunk/plugins/opcua/opcua_serviceparser.h

Add some information about how/why this dissector is (partially) machine-generated and what that means to Wireshark maintainers.
------------------------------------------------------------------------
r32576 | etxrab | 2010-04-27 05:38:49 -0700 (Tue, 27 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h

From Jakub Zawadzki:
 - use function pointers instead of switch.
 - initalize ->match_type during first use of match_str() func.
------------------------------------------------------------------------
r32575 | etxrab | 2010-04-27 03:35:12 -0700 (Tue, 27 Apr 2010) | 1 line
Changed paths:
   M /trunk/wiretap/pcap-common.c

Whitespace changes.
------------------------------------------------------------------------
r32574 | etxrab | 2010-04-27 03:32:34 -0700 (Tue, 27 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dfilter/semcheck.c
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h

From Jakub Zawadzki:
Itroduce value_string_ext for faster value matching in value_strings.
------------------------------------------------------------------------
r32573 | stig | 2010-04-27 00:41:34 -0700 (Tue, 27 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

Export add_ip_name_from_string from epan.

------------------------------------------------------------------------
r32572 | guy | 2010-04-27 00:41:28 -0700 (Tue, 27 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee802154.c

Squelch some compiler complaints.

------------------------------------------------------------------------
r32571 | stig | 2010-04-26 23:51:16 -0700 (Mon, 26 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/addr_resolv.h
   M /trunk/gtk/CMakeLists.txt
   M /trunk/gtk/Makefile.common
   M /trunk/gtk/help_dlg.c
   M /trunk/gtk/help_dlg.h
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   A /trunk/gtk/manual_addr_resolv.c
   A /trunk/gtk/manual_addr_resolv.h
   M /trunk/gtk/menus.c

Added Manual IP address resolve functions.

This can later be extended with ethernet and probably other addresses.

------------------------------------------------------------------------
r32570 | wmeier | 2010-04-26 17:06:35 -0700 (Mon, 26 Apr 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-trill.c

From David Bond: TRILL (TRansparent Interconnection of Lots of Links) dissector

------------------------------------------------------------------------
r32569 | wmeier | 2010-04-26 15:19:34 -0700 (Mon, 26 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Move proto_reg_handoff... to the end of the file.
Whitespace cleanup: remove trailing spaces from a few lines.

------------------------------------------------------------------------
r32568 | wmeier | 2010-04-26 15:12:48 -0700 (Mon, 26 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcp-failover.c

Move proto_reg_handoff... to the end of the file.

------------------------------------------------------------------------
r32567 | wmeier | 2010-04-26 14:50:09 -0700 (Mon, 26 Apr 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ucp.c

Various:
 - Fix bugs which caused incorrect packet-bytes highlighting for certain fields;
 - Display all "extended services" fields;
 - Minor code cleanup in several places;
 - Whitespace: Tabs ==> spaces.
(More changes yet to come to handle multiple PDUs in a single packet).

------------------------------------------------------------------------
r32566 | morriss | 2010-04-26 13:48:13 -0700 (Mon, 26 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/proto.c

Reindent a bunch
------------------------------------------------------------------------
r32565 | wmeier | 2010-04-26 08:30:00 -0700 (Mon, 26 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ucp.c

Remove some boilerplate text; Shorten a few long lines.

------------------------------------------------------------------------
r32564 | stig | 2010-04-26 05:19:04 -0700 (Mon, 26 Apr 2010) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_customize.xml

Document ESS Category Attributes UAT.

------------------------------------------------------------------------
r32563 | guy | 2010-04-25 19:26:22 -0700 (Sun, 25 Apr 2010) | 3 lines
Changed paths:
   M /trunk/wiretap/nettl.c

Clean up properly if we get an error after allocating the private data
structure.

------------------------------------------------------------------------
r32562 | morriss | 2010-04-25 17:31:06 -0700 (Sun, 25 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/proto.c

The comment here suggests fields should have abbreviations but previously we only checked if a string (even an empty string) was given.  Try putting out a warning if a field has an empty string for an abbreviation.
------------------------------------------------------------------------
r32561 | morriss | 2010-04-25 17:15:30 -0700 (Sun, 25 Apr 2010) | 6 lines
Changed paths:
   M /trunk/plugins/opcua/opcua_enumparser.c
   M /trunk/plugins/opcua/opcua_hfindeces.c
   M /trunk/plugins/opcua/opcua_simpletypes.c

Make the OpcUa plugin's fields filterable (by giving them abbreviations).
(Thank you, sed, for doing the 90% of the work for me.)

Note that two of these files says "do not modify" implying that they are
machine generated but AFAIK we don't have the means to rebuild them.

------------------------------------------------------------------------
r32560 | wmeier | 2010-04-25 14:46:18 -0700 (Sun, 25 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-maccontrol.c

Add dissection of Class Based Flow Control Pause frames.

------------------------------------------------------------------------
r32559 | morriss | 2010-04-25 10:38:46 -0700 (Sun, 25 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ntp.c
   M /trunk/epan/dissectors/packet-pvfs2.c
   M /trunk/epan/dissectors/packet-pw-cesopsn.c
   M /trunk/epan/dissectors/packet-pw-satop.c

Empty strings are not very useful abbreviations.  Even if it seems unlikely someone would want to filter on a specific field, we should give the user the option.
------------------------------------------------------------------------
r32558 | wmeier | 2010-04-25 10:34:32 -0700 (Sun, 25 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eth.c

Slightly reword the preference text about CCSDS packets.

------------------------------------------------------------------------
r32557 | wmeier | 2010-04-25 09:37:08 -0700 (Sun, 25 Apr 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ccsds.c

Reapply SVN #27273 which was lost when SSVN #27768 was aspplied.
"http://stationpayloads.jsc.nasa.gov/J-reference/documents/ssp57002B.pdf
is a dead link; supply another link, to a document that describes *some*
of this."

------------------------------------------------------------------------
r32554 | gerald | 2010-04-25 08:03:30 -0700 (Sun, 25 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-04-25]
------------------------------------------------------------------------
r32553 | sfisher | 2010-04-25 01:23:12 -0700 (Sun, 25 Apr 2010) | 5 lines
Changed paths:
   M /trunk/doc/README.developer


Change copyright date in sample dissector code to 201x from 200x for the
new decade.


------------------------------------------------------------------------
r32552 | morriss | 2010-04-24 12:07:21 -0700 (Sat, 24 Apr 2010) | 12 lines
Changed paths:
   M /trunk/epan/dissectors/packet-aruba-erm.c
   M /trunk/epan/dissectors/packet-dcerpc-lsa.c
   M /trunk/epan/proto.c
   M /trunk/epan/time_fmt.h

Make the absolute_time_display_e enum start at 1000 to avoid overlapping with
the base_display_e enum.

Fix a couple of dissectors that were still using FT_ABSOLUTE_TIME with
BASE_NONE.  (The time format chosen is based only on an attempt to not change
the behavior.  I don't know that it's right.)  One of these is built by Pidl.
I'll send a patch upstream too.

When checking hfinfos, display the absolute_time_display_e values too.
Display "bit count: X" instead of "unknown" when the display value doesn't
match one of the enumerated values.

------------------------------------------------------------------------
r32551 | morriss | 2010-04-24 07:53:30 -0700 (Sat, 24 Apr 2010) | 1 line
Changed paths:
   M /trunk/doc/README.developer

64-bit integers take the same FIELDDISPLAY as shorter integers
------------------------------------------------------------------------
r32550 | morriss | 2010-04-24 07:13:37 -0700 (Sat, 24 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Dissectors aren't allowed to call g_assert()
------------------------------------------------------------------------
r32549 | morriss | 2010-04-23 20:08:08 -0700 (Fri, 23 Apr 2010) | 11 lines
Changed paths:
   M /trunk/epan/proto.c

When checking the header_field_infos, use g_error() to give the developer a
(hopefully useful) explanation of what's wrong with his/her hfinfo field
rather than just asserting out.

So now instead of just getting a message saying aborted(core dumped), you can
get, for example:

22:31:54          Err  Field 'Message in frame' (sccp.assoc.msg) is an FT_FRAMENUM and is BASE_DEC instead of BASE_NONE

*and* an abort(core dumped) (for those who want it).

------------------------------------------------------------------------
r32548 | morriss | 2010-04-23 19:04:14 -0700 (Fri, 23 Apr 2010) | 1 line
Changed paths:
   M /trunk/version_info.c

Tell, in the version info, if we were compiled 32- or 64-bit.
------------------------------------------------------------------------
r32547 | jake | 2010-04-23 14:58:05 -0700 (Fri, 23 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

From Alexis La Goutte:
Enhancements ISAKMP Vendor ID.
------------------------------------------------------------------------
r32546 | dimeg | 2010-04-23 14:24:32 -0700 (Fri, 23 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-m3ua.c

Interpret international point codes according to Q.708; white space edits

------------------------------------------------------------------------
r32545 | gerald | 2010-04-23 14:21:11 -0700 (Fri, 23 Apr 2010) | 7 lines
Changed paths:
   M /trunk/docbook/user-guide.xml
   A /trunk/docbook/wsug_graphics/ws-stats-compare.png
   M /trunk/docbook/wsug_src/WSUG_chapter_statistics.xml
   M /trunk/gtk/compare_stat.c

From Vincenzo Condoleo via bug 3724:

Update the compare stats documentation.

From me: Add a screen shot and editorial updates. Change some lables to
better match the IP and TCP dissectors.

------------------------------------------------------------------------
r32544 | gerald | 2010-04-23 10:22:51 -0700 (Fri, 23 Apr 2010) | 3 lines
Changed paths:
   M /trunk/dumpcap.c

Revert r31529. Timing out while waiting for the pcap file header causes
more problems than it solves.

------------------------------------------------------------------------
r32543 | stig | 2010-04-23 05:43:14 -0700 (Fri, 23 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/ess/ess.cnf
   M /trunk/asn1/ess/packet-ess-template.c
   M /trunk/epan/dissectors/packet-ess.c

Added a decoding table for ESS Security Category Attributes.

------------------------------------------------------------------------
r32542 | stig | 2010-04-22 23:13:34 -0700 (Thu, 22 Apr 2010) | 5 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-db-lsp.c

Added initial support for Dropbox LAN sync Protocol.

This is mostly to recognize the packets and a start to reverse engineer 
the currently undocumented protocol.  It's very far from complete/correct!

------------------------------------------------------------------------
r32541 | gerald | 2010-04-22 15:18:56 -0700 (Thu, 22 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mdshdr.c

From Artem Tamazof via bug 3653: 

MDS dissector works improperly in some corner cases.

------------------------------------------------------------------------
r32540 | wmeier | 2010-04-22 12:35:47 -0700 (Thu, 22 Apr 2010) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/epan/Makefile.nmake

Manifests are not needed when building with VC10.
So: don't run mt program ("manifest-tool") when building Wireshark & etc with VC10.
See: http://msdn.microsoft.com/en-us/library/dd293574.aspx

------------------------------------------------------------------------
r32539 | martinm | 2010-04-22 10:46:12 -0700 (Thu, 22 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

Set TA control element expert info based on improved understanding of spec.

------------------------------------------------------------------------
r32538 | martinm | 2010-04-22 06:54:30 -0700 (Thu, 22 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-mac-lte.c

- Lower severity on expert items about Timing Advance if <= 31
- Detect original frame for DL HARQ retx also 9 SFs ago (have even seen 10...)
- Getting ready to log 'grant subframe' for UL frames (only interesting for TDD)

------------------------------------------------------------------------
r32537 | guy | 2010-04-21 21:50:55 -0700 (Wed, 21 Apr 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.h

A bit more information.

------------------------------------------------------------------------
r32536 | guy | 2010-04-21 21:38:48 -0700 (Wed, 21 Apr 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/wtap.h

More updates to reflect all the hairy details of Linux USB capture.

------------------------------------------------------------------------
r32535 | guy | 2010-04-21 17:10:17 -0700 (Wed, 21 Apr 2010) | 3 lines
Changed paths:
   M /trunk/wiretap/wtap.h

Update a comment to reflect recent changes and to reflect behavior of
later Linux kernels.

------------------------------------------------------------------------
r32534 | guy | 2010-04-21 13:51:22 -0700 (Wed, 21 Apr 2010) | 10 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-usb.c
   M /trunk/epan/dissectors/packet-usb.h
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/pcap-common.c
   M /trunk/wiretap/pcap-common.h
   M /trunk/wiretap/pcapng.c
   M /trunk/wiretap/wtap-int.h
   M /trunk/wiretap/wtap.h

From Chris Maynard:

	Support PPP-over-USB.

	Don't remove the USB pseudo-header from the packet data for
	Linux USB packets, just byte-swap it if necessary and have the
	USB dissector fetch the pseudo-header from the raw packet data.

	Update USB language ID values.

------------------------------------------------------------------------
r32533 | stig | 2010-04-21 03:15:01 -0700 (Wed, 21 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-memcache.c

Removed second include <epan/packet.h>.

------------------------------------------------------------------------
r32532 | stig | 2010-04-21 03:14:04 -0700 (Wed, 21 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509af/x509af.cnf
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509af.h

Export Certificate PDU so this can be dissected from non-asn dissectors.

------------------------------------------------------------------------
r32531 | martinm | 2010-04-21 03:12:03 -0700 (Wed, 21 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

Put offset++ back in again.

------------------------------------------------------------------------
r32530 | stig | 2010-04-21 03:05:19 -0700 (Wed, 21 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ber.c

Do not give a warning for not implemented OID if value is a "NULL tag".

------------------------------------------------------------------------
r32529 | etxrab | 2010-04-20 22:23:29 -0700 (Tue, 20 Apr 2010) | 2 lines
Changed paths:
   M /trunk/config.nmake

Add settings for "Microsoft Visual Studio 2010" note that
Wireshark does not build with Visual studio 10 yet.
------------------------------------------------------------------------
r32528 | morriss | 2010-04-20 17:53:24 -0700 (Tue, 20 Apr 2010) | 10 lines
Changed paths:
   M /trunk/tools/fuzz-test.sh
   M /trunk/tools/test-fuzzed-cap.sh

Export MALLOC_CHECK_=3 when fuzz testing in case we're on a glibc-based system:
this value will cause glibc to do some memory allocation checking for us and
abort if it finds a problem.

(If we're not on a glibc-based system this will have no effect but should also
do no harm.)

(I think the buildbot already runs with this set but it's better for all of us
to have it set, too.)

------------------------------------------------------------------------
r32527 | morriss | 2010-04-20 17:49:29 -0700 (Tue, 20 Apr 2010) | 1 line
Changed paths:
   M /trunk/AUTHORS

Update Peter Harris' entry
------------------------------------------------------------------------
r32526 | morriss | 2010-04-20 17:47:55 -0700 (Tue, 20 Apr 2010) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/x11-declarations.h
   M /trunk/epan/dissectors/x11-fields
   M /trunk/epan/dissectors/x11-register-info.h

From Peter Harris via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4701 :

The ChangeProperty request always calls LISTofBYTE, which always tries to
dissect at least one byte, even when the request is empty. This causes
Wireshark to put a big, red, scary "Malformed Packet" entry in the dissection.

Also, ChangeProperty only dissects (data_length) bytes. data_length is "number
of units", and units may be 16 or 32-bit entities. In this case, the dissected
data will be truncated.

First reported in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4481#c10

The attached patch fixes these two bugs.

------------------------------------------------------------------------
r32525 | etxrab | 2010-04-20 10:32:12 -0700 (Tue, 20 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/epan/proto.h
   M /trunk/gtk/main_proto_draw.c

From Jakub Zawadzki:
Add support for multi byte entries.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4413
------------------------------------------------------------------------
r32524 | martinm | 2010-04-20 08:41:03 -0700 (Tue, 20 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rlc-lte.c

From Pascal Quantin:
Don't report as an error if see non-zero padding bits.

------------------------------------------------------------------------
r32523 | stig | 2010-04-20 03:51:58 -0700 (Tue, 20 Apr 2010) | 2 lines
Changed paths:
   M /trunk/services

Update the services file from IANA's port-numbers.

------------------------------------------------------------------------
r32522 | etxrab | 2010-04-20 00:47:33 -0700 (Tue, 20 Apr 2010) | 4 lines
Changed paths:
   M /trunk/gtk/main_proto_draw.c

From Jakub Zawadzki:
Improve bitview display

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4413
------------------------------------------------------------------------
r32521 | stig | 2010-04-19 23:24:30 -0700 (Mon, 19 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/wslua/wslua_util.c

From Tamas Regos via bug 4699:
Added get_version() Lua function to get Wireshark version.

------------------------------------------------------------------------
r32520 | morriss | 2010-04-19 17:18:51 -0700 (Mon, 19 Apr 2010) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-x11.c
   M /trunk/epan/dissectors/x11-declarations.h
   M /trunk/epan/dissectors/x11-enum.h
   M /trunk/epan/dissectors/x11-extension-errors.h
   M /trunk/epan/dissectors/x11-extension-implementation.h
   M /trunk/epan/dissectors/x11-glx-render-enum.h
   M /trunk/epan/dissectors/x11-register-info.h
   M /trunk/tools/process-x11-xcb.pl

From Peter Harris via https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4481 :

The XKEYBOARD extension is a pain in the... so XCB had to grow new ways to
describe the protocol.

This patch adds support to the Wireshark dissector, so it can successfully
process the XCB description of the XKEYBOARD extension.

Without this patch, "make x11-dissector" chokes on the current xcbproto from
git.

Also update the script to deal with the new mesa directory structure.

------------------------------------------------------------------------
r32519 | guy | 2010-04-19 16:38:55 -0700 (Mon, 19 Apr 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

If that should truly "never happen", use DISSECTOR_ASSERT_NOT_REACHED()
so it's more clearly marked as a dissector bug.

(It apparently *does* happen - see bug 4698.)

------------------------------------------------------------------------
r32518 | etxrab | 2010-04-19 13:12:26 -0700 (Mon, 19 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

More updates towards V9.2.0 (2010-04).
------------------------------------------------------------------------
r32517 | jake | 2010-04-19 11:48:12 -0700 (Mon, 19 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/wslua/wslua_proto.c

Fix for bug 4695:
Modify ProtoField_tostring() to ProtoField__tostring() 
and clean up description.

------------------------------------------------------------------------
r32516 | wmeier | 2010-04-19 07:38:20 -0700 (Mon, 19 Apr 2010) | 3 lines
Changed paths:
   M /trunk/doc/README.plugins
   M /trunk/plugins/Makefile.nmake

Simplify Makefile.nmake so that adding a new plugin to Makefile.nmake
requires only adding the plugin (directory) name to a list of plugins.

------------------------------------------------------------------------
r32515 | etxrab | 2010-04-19 07:06:12 -0700 (Mon, 19 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nas_eps.c

From KATAOKA Toshihiro:
NAS EPC dissector correction.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4696
------------------------------------------------------------------------
r32514 | stig | 2010-04-19 03:34:52 -0700 (Mon, 19 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/prefs.c

Use correct name for gprs-ns.

------------------------------------------------------------------------
r32513 | stig | 2010-04-19 03:23:41 -0700 (Mon, 19 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/prefs.c

Revision 32295 renamed "nsip" to "gprs_ns".

------------------------------------------------------------------------
r32512 | stig | 2010-04-19 02:04:49 -0700 (Mon, 19 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-imf.c

Improved dumping when incorrect line ending.

------------------------------------------------------------------------
r32511 | stig | 2010-04-18 23:39:45 -0700 (Sun, 18 Apr 2010) | 2 lines
Changed paths:
   M /trunk/version_info.c

Disable usage of zlibVersion() on win32.

------------------------------------------------------------------------
r32510 | etxrab | 2010-04-18 23:02:56 -0700 (Sun, 18 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

From Tamas Regos:
Another bug in packet-gtp.c (mask of Signalling Indication)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4694
------------------------------------------------------------------------
r32509 | etxrab | 2010-04-18 22:58:01 -0700 (Sun, 18 Apr 2010) | 1 line
Changed paths:
   M /trunk/asn1/gsm_map/MAP-ApplicationContexts.asn
   M /trunk/asn1/gsm_map/MAP-BS-Code.asn
   M /trunk/asn1/gsm_map/MAP-CH-DataTypes.asn
   M /trunk/asn1/gsm_map/MAP-CallHandlingOperations.asn
   M /trunk/asn1/gsm_map/MAP-CommonDataTypes.asn
   M /trunk/asn1/gsm_map/MAP-DialogueInformation.asn
   M /trunk/asn1/gsm_map/MAP-Errors.asn
   M /trunk/asn1/gsm_map/MAP-ExtensionDataTypes.asn
   M /trunk/asn1/gsm_map/MAP-GR-DataTypes.asn
   M /trunk/asn1/gsm_map/MAP-Group-Call-Operations.asn
   M /trunk/asn1/gsm_map/MAP-LCS-DataTypes.asn
   M /trunk/asn1/gsm_map/MAP-LocationServiceOperations.asn
   M /trunk/asn1/gsm_map/MAP-MS-DataTypes.asn
   M /trunk/asn1/gsm_map/MAP-MobileServiceOperations.asn
   M /trunk/asn1/gsm_map/MAP-OperationAndMaintenanceOperations.asn
   M /trunk/asn1/gsm_map/MAP-Protocol.asn
   M /trunk/asn1/gsm_map/MAP-SM-DataTypes.asn
   M /trunk/asn1/gsm_map/MAP-SS-Code.asn
   M /trunk/asn1/gsm_map/MAP-SS-DataTypes.asn
   M /trunk/asn1/gsm_map/MAP-ShortMessageServiceOperations.asn
   M /trunk/asn1/gsm_map/MAP-SupplementaryServiceOperations.asn
   M /trunk/asn1/gsm_map/MAP-TS-Code.asn
   M /trunk/asn1/gsm_map/SS-DataTypes.asn
   M /trunk/asn1/gsm_map/SS-Errors.asn
   M /trunk/asn1/gsm_map/SS-Operations.asn
   M /trunk/asn1/gsm_map/SS-Protocol.asn
   M /trunk/epan/dissectors/packet-gsm_map.c

Update to V9.1.0 (2010-03).
------------------------------------------------------------------------
r32508 | dimeg | 2010-04-18 12:34:57 -0700 (Sun, 18 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c

Update MCC/MNC list; remove double appearance of the same value
in the MCC list.

------------------------------------------------------------------------
r32505 | gerald | 2010-04-18 08:03:27 -0700 (Sun, 18 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-04-18]
------------------------------------------------------------------------
r32504 | wmeier | 2010-04-18 07:08:12 -0700 (Sun, 18 Apr 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

(Trivial) Escape a '?' in an error message.

------------------------------------------------------------------------
r32503 | wmeier | 2010-04-18 07:06:59 -0700 (Sun, 18 Apr 2010) | 4 lines
Changed paths:
   M /trunk/asn1/Makefile.nmake

kerberos is currently not actually being used.
Use '_FORCE_' (rather than '::').
Whitespace changes. 

------------------------------------------------------------------------
r32502 | stig | 2010-04-17 03:22:38 -0700 (Sat, 17 Apr 2010) | 3 lines
Changed paths:
   M /trunk/version_info.c

From Richard Brodie via bug 4606:
Display runtime version for libz, as well as build version.

------------------------------------------------------------------------
r32501 | stig | 2010-04-17 03:09:52 -0700 (Sat, 17 Apr 2010) | 3 lines
Changed paths:
   M /trunk/wiretap/packetlogger.c
   M /trunk/wiretap/vms.c

From Jakub Zawadzki:
Fix compile without zlib.

------------------------------------------------------------------------
r32500 | morriss | 2010-04-16 15:48:33 -0700 (Fri, 16 Apr 2010) | 9 lines
Changed paths:
   M /trunk/gtk/main_packet_list.c
   M /trunk/gtk/main_packet_list.h
   M /trunk/gtk/prefs_dlg.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3387 (crash
when changing the font and deleting a column at the same time while using
the old packet list):

Don't calculate the default column widths until after both the font and column
preferences have been applied.

This isn't a problem in the new packet list.

------------------------------------------------------------------------
r32499 | wmeier | 2010-04-16 12:27:56 -0700 (Fri, 16 Apr 2010) | 3 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ptp.c

From Marcus Renz: Fix for "PTP dissector displays big correction field values wrong"
See: https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4635

------------------------------------------------------------------------
r32498 | jake | 2010-04-16 12:21:31 -0700 (Fri, 16 Apr 2010) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-tcp.c

From Alexis La Goutte:
Add support of TCP Packet Mood (TCP Option 25)
More information is available in RFC 5841

------------------------------------------------------------------------
r32497 | wmeier | 2010-04-16 10:28:03 -0700 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

(Trivial changes)

------------------------------------------------------------------------
r32496 | wmeier | 2010-04-16 10:26:47 -0700 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_dissection.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_sources.xml

(Trivial changes)

------------------------------------------------------------------------
r32495 | wmeier | 2010-04-16 09:37:31 -0700 (Fri, 16 Apr 2010) | 5 lines
Changed paths:
   M /trunk/doc/README.developer

Updates:
1. Include stdio.h, stdlib.h and string.h only if needed;
2. Add dissector source filename to epan/CMakeLists.txt as well as 
   epan/Makefile.common.

------------------------------------------------------------------------
r32494 | wmeier | 2010-04-16 09:12:29 -0700 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-vxi11.c

From Jens Kilian: VXI-11 (a.k.a. Network Instrument Protocol) dissector

------------------------------------------------------------------------
r32493 | wmeier | 2010-04-16 08:17:18 -0700 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/x721/Makefile.common

Fix a typo

------------------------------------------------------------------------
r32492 | morriss | 2010-04-16 08:05:42 -0700 (Fri, 16 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/emem.h

Fix a few comment typos
------------------------------------------------------------------------
r32491 | wmeier | 2010-04-16 07:50:39 -0700 (Fri, 16 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/Makefile.nmake

Simplify the Makefile ....

------------------------------------------------------------------------
r32490 | morriss | 2010-04-16 07:48:30 -0700 (Fri, 16 Apr 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom.c

Fix the fuzz failure found in
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4685 :

Don't store pointers to g_malloc()'d memory (in this case GLists) in
se_alloc()'d memory: the se_alloc()'d memory is freed before the reinit
functions are called so it's no longer safe to use.

------------------------------------------------------------------------
r32489 | morriss | 2010-04-16 07:05:08 -0700 (Fri, 16 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-m3ua.c

Add an MTP3 equivalent for the SLS
------------------------------------------------------------------------
r32488 | jmayer | 2010-04-16 01:34:48 -0700 (Fri, 16 Apr 2010) | 5 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt
   D /trunk/epan/dissectors/packet-gprs-ns.c

A previous patch added another implementaion of grps-ns and
removed the old implementation from Makefile.common.
This caused a duplicate registration and subsequent assertion
failure for cmake users. Fix this.

------------------------------------------------------------------------
r32487 | morriss | 2010-04-15 17:56:11 -0700 (Thu, 15 Apr 2010) | 1 line
Changed paths:
   M /trunk/tools/fuzz-test.sh
   M /trunk/tools/test-fuzzed-cap.sh

Turn on memory scrubbing when fuzz testing.
------------------------------------------------------------------------
r32486 | morriss | 2010-04-15 17:54:00 -0700 (Thu, 15 Apr 2010) | 5 lines
Changed paths:
   M /trunk/tshark.c

Fix https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2742 :

If the user specifies -V or -x, turn on print_packet_info (-S) so they actually
get some output in case we're also writing to a file.

------------------------------------------------------------------------
r32485 | wmeier | 2010-04-15 17:21:45 -0700 (Thu, 15 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-pkixac.c
   M /trunk/epan/dissectors/packet-pkixac.h

Remove svn:executable property

------------------------------------------------------------------------
r32484 | wmeier | 2010-04-15 15:44:02 -0700 (Thu, 15 Apr 2010) | 10 lines
Changed paths:
   M /trunk/asn1/Makefile.inc.nmake
   M /trunk/asn1/Makefile.nmake

Enhance Windows ASN1 Makefiles:
1. Implement a 'compare_files' target which can be used when generating
   an individual ASN1 dissector. This generates the dissector and 
   then compares the generated .[hc] files with apn\dissectors (rather than
   copying the files to epan\dissectors).
2. Rework asn1\Makefile.nmake to provide additional targets for
   use when building all the ASN1 dissectors.
   - compare_files
   - generate_dissectors [generate but don't copy]

------------------------------------------------------------------------
r32483 | wmeier | 2010-04-15 15:20:59 -0700 (Thu, 15 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/pkixac/packet-pkixac-template.c
   M /trunk/epan/dissectors/packet-pkixac.c

#include <stdio.h> & <string.h> not needed.

------------------------------------------------------------------------
r32482 | morriss | 2010-04-15 14:27:27 -0700 (Thu, 15 Apr 2010) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-m3ua.c

As requested in https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2748 :

Mark the "MTP3 equivalents" fields as generated.  They do come directly from
the packet but the fields themselves are kind-of artificial so it makes some
sense to mark them as "special" somehow.

------------------------------------------------------------------------
r32481 | jake | 2010-04-15 14:12:34 -0700 (Thu, 15 Apr 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntp.c

From Dave Higton:
When decoding NTP where the Reference Clock ID is "MSF/0", Wireshark textifies
this as "Rugby (UK) Radio 60 kHz".  The MSF transmitter was moved several years
ago from Rugby to Anthorn.

Also updates from RFC 4330.

------------------------------------------------------------------------
r32480 | guy | 2010-04-15 13:54:27 -0700 (Thu, 15 Apr 2010) | 7 lines
Changed paths:
   M /trunk/doc/README.developer

Rename FIELDBASE to FIELDDISPLAY, as it's a "how to display this"
indication, not necessarily a base (the base is "how to display" some
numeric fields, but it's not how to display some other fields).

Note that FIELDDISPLAY is the number of bits in the field containing an
FT_BOOLEAN bitfield.

------------------------------------------------------------------------
r32479 | etxrab | 2010-04-15 13:47:20 -0700 (Thu, 15 Apr 2010) | 1 line
Changed paths:
   M /trunk/diameter/TGPPSh.xml
   M /trunk/diameter/dictionary.xml

Diameter command codes update.
------------------------------------------------------------------------
r32478 | morriss | 2010-04-15 13:22:23 -0700 (Thu, 15 Apr 2010) | 4 lines
Changed paths:
   M /trunk/docbook/wsdg_src/WSDG_chapter_quick_setup.xml
   M /trunk/docbook/wsdg_src/WSDG_chapter_tools.xml

As per https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4680 :

Update the link to point to MSVC 2008EE now that 2010 is out.

------------------------------------------------------------------------
r32477 | morriss | 2010-04-15 13:09:46 -0700 (Thu, 15 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtp.c

Fix fuzz failure in bug 4671: don't assume the conversation data exists (check for a NULL pointer).  Also correct a typo (assignment to wrong variable).
------------------------------------------------------------------------
r32476 | wmeier | 2010-04-15 12:40:11 -0700 (Thu, 15 Apr 2010) | 5 lines
Changed paths:
   M /trunk/epan/proto.h

Revise comment on use of 'display' field in hf[] entry to show
that for FT_BOOLEAN the display field contains the bit-field width
only when hf[] entry bitmask is non-zero.


------------------------------------------------------------------------
r32475 | wmeier | 2010-04-15 12:33:33 -0700 (Thu, 15 Apr 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.developer

Fix a typo

------------------------------------------------------------------------
r32474 | etxrab | 2010-04-15 10:58:54 -0700 (Thu, 15 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtp.c

From Tamas Regos:
Harmless typo and whitespace bugs in packet-gtp.c
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4677
(didn't apply cleanly so partly applied by hand).
------------------------------------------------------------------------
r32473 | etxrab | 2010-04-15 10:49:15 -0700 (Thu, 15 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtps2.c
   M /trunk/epan/dissectors/packet-rtps2.h

From Clark Tucker:
RTPS2 dissector update.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4672
------------------------------------------------------------------------
r32472 | stig | 2010-04-15 06:59:15 -0700 (Thu, 15 Apr 2010) | 2 lines
Changed paths:
   M /trunk/wiretap/netscaler.c

Make it build without zlib on OSX.

------------------------------------------------------------------------
r32471 | wmeier | 2010-04-14 19:32:59 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/inet_ntop.c
   M /trunk/inet_pton.c

Let's try that again: Reword comment.

------------------------------------------------------------------------
r32470 | wmeier | 2010-04-14 19:21:24 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/inet_ntop.c
   M /trunk/inet_pton.c

Reword comment slightly.

------------------------------------------------------------------------
r32469 | guy | 2010-04-14 15:33:23 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_customize.xml

Copyedit.

------------------------------------------------------------------------
r32468 | wmeier | 2010-04-14 14:56:00 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/config.h.win32
   M /trunk/inet_ntop.c
   M /trunk/inet_pton.c

Some changes req'd to build Wireshark with VS 2010 (VC10). [More changes still needed].

------------------------------------------------------------------------
r32467 | morriss | 2010-04-14 14:38:08 -0700 (Wed, 14 Apr 2010) | 1 line
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-sdp.c

Fix the build
------------------------------------------------------------------------
r32466 | etxrab | 2010-04-14 13:48:37 -0700 (Wed, 14 Apr 2010) | 1 line
Changed paths:
   M /trunk/asn1/h245/packet-h245-template.c
   M /trunk/epan/dissectors/packet-ansi_a.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-rtp.c
   M /trunk/epan/dissectors/packet-rtp.h
   M /trunk/epan/dissectors/packet-sdp.c
   M /trunk/tap-rtp-common.c

Use the sample rate from SDP info in RTP stream analysis.
------------------------------------------------------------------------
r32465 | morriss | 2010-04-14 11:39:00 -0700 (Wed, 14 Apr 2010) | 6 lines
Changed paths:
   M /trunk/plugins/mate/mate.h
   M /trunk/plugins/mate/mate_grammar.lemon
   M /trunk/plugins/mate/mate_setup.c

Be sure we initialize the p_id in hf's.  This fixes
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3010 .

Also finish the implementation of ShowTimes for GOGs so that the variable gets
initialized (preventing another uninitialized variable warning from Valgrind).

------------------------------------------------------------------------
r32464 | morriss | 2010-04-14 07:20:16 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/plugins/mate/mate_setup.c

Fix up MATE's hf display values so MATE will actually run.

------------------------------------------------------------------------
r32463 | kukosa | 2010-04-14 05:07:29 -0700 (Wed, 14 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

SIP headers are case-insensitive, fix case sensitivity introduced probably by mistake
------------------------------------------------------------------------
r32462 | stig | 2010-04-14 03:04:13 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Added packet-pkixac.h

------------------------------------------------------------------------
r32461 | stig | 2010-04-14 01:51:28 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common

Moved pkixac to clean dissectors.

------------------------------------------------------------------------
r32460 | stig | 2010-04-14 01:42:24 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/Makefile.nmake
   A /trunk/asn1/pkixac
   A /trunk/asn1/pkixac/Makefile.am
   A /trunk/asn1/pkixac/Makefile.common
   A /trunk/asn1/pkixac/Makefile.nmake
   A /trunk/asn1/pkixac/PKIXAttributeCertificate.asn
   A /trunk/asn1/pkixac/packet-pkixac-template.c
   A /trunk/asn1/pkixac/packet-pkixac-template.h
   A /trunk/asn1/pkixac/pkixac.cnf
   M /trunk/configure.in
   M /trunk/epan/CMakeLists.txt
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-pkixac.c
   A /trunk/epan/dissectors/packet-pkixac.h

Added PKIXAttributeCertificate (RFC3281).

------------------------------------------------------------------------
r32459 | stig | 2010-04-14 00:57:01 -0700 (Wed, 14 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/cms/packet-cms-template.c
   M /trunk/epan/dissectors/packet-cms.c

Register SignedData as a BER syntax dissector.

------------------------------------------------------------------------
r32458 | guy | 2010-04-13 17:46:29 -0700 (Tue, 13 Apr 2010) | 3 lines
Changed paths:
   M /trunk/doc/rawshark.pod
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod.template

In the section on WIRESHARK_ABORT_ON_DISSECTOR_BUG, give the name of the
program the man page describes, and give a bit more detail.

------------------------------------------------------------------------
r32457 | morriss | 2010-04-13 15:08:56 -0700 (Tue, 13 Apr 2010) | 1 line
Changed paths:
   M /trunk/doc/rawshark.pod
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod.template

Add an entry to the environment variable section about WIRESHARK_ABORT_ON_DISSECTOR_BUG
------------------------------------------------------------------------
r32456 | sake | 2010-04-13 12:37:44 -0700 (Tue, 13 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ssl.c

Fix for bug 4535: The SSL dissector can not correctly resemple SSL records when the record header is spit between packets


------------------------------------------------------------------------
r32455 | etxrab | 2010-04-13 12:27:14 -0700 (Tue, 13 Apr 2010) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sdp.c

Extract encoding name and sample rate
i.e "AMR/8000"
This string can then be put in the hastable, extracted by
packet-rtp.c and split into "AMR" and "8000"
sample rate can then be a part of rtp_info and get rid of the
clock rate maping.
(I have some problem splitting the string, help apreciated) :-)
------------------------------------------------------------------------
r32454 | morriss | 2010-04-13 10:56:59 -0700 (Tue, 13 Apr 2010) | 3 lines
Changed paths:
   M /trunk/gtk/main_proto_draw.c

Include (horizontal) tabs in the Copy (Printable Text Only) output.  This
fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2921 .

------------------------------------------------------------------------
r32453 | jake | 2010-04-13 10:38:53 -0700 (Tue, 13 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Ivan Sy:
Patch allows display of CD (Checking Disable) bit for DNS request and response. Section 3.2.2 of RFC 4035 revised section 6.1 of RFC 2535 
for the CD Bit.
------------------------------------------------------------------------
r32452 | morriss | 2010-04-12 14:35:19 -0700 (Mon, 12 Apr 2010) | 7 lines
Changed paths:
   M /trunk/doc/rawshark.pod
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod.template

Point out that hostname and MAC address resolution in capture filters will not
use any of the Wireshark "personal" files.

This helps to address the complaint in:

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2904

------------------------------------------------------------------------
r32451 | etxrab | 2010-04-12 12:35:51 -0700 (Mon, 12 Apr 2010) | 1 line
Changed paths:
   M /trunk/asn1/s1ap/S1AP-CommonDataTypes.asn
   M /trunk/asn1/s1ap/S1AP-Constants.asn
   M /trunk/asn1/s1ap/S1AP-Containers.asn
   M /trunk/asn1/s1ap/S1AP-IEs.asn
   M /trunk/asn1/s1ap/S1AP-PDU-Contents.asn
   M /trunk/asn1/s1ap/S1AP-PDU-Descriptions.asn
   M /trunk/asn1/s1ap/packet-s1ap-template.c
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-s1ap.c

Update to V9.2.0 (2010-03).
------------------------------------------------------------------------
r32450 | etxrab | 2010-04-12 12:13:36 -0700 (Mon, 12 Apr 2010) | 1 line
Changed paths:
   M /trunk/asn1/x2ap/X2AP-CommonDataTypes.asn
   M /trunk/asn1/x2ap/X2AP-Constants.asn
   M /trunk/asn1/x2ap/X2AP-Containers.asn
   M /trunk/asn1/x2ap/X2AP-IEs.asn
   M /trunk/asn1/x2ap/X2AP-PDU-Contents.asn
   M /trunk/asn1/x2ap/X2AP-PDU-Descriptions.asn
   M /trunk/asn1/x2ap/packet-x2ap-template.c
   M /trunk/asn1/x2ap/x2ap.cnf
   M /trunk/epan/dissectors/packet-x2ap.c

Update to V9.2.0 (2010-03).
------------------------------------------------------------------------
r32449 | morriss | 2010-04-12 09:26:27 -0700 (Mon, 12 Apr 2010) | 5 lines
Changed paths:
   M /trunk/packaging/macosx/Resources/bin/wireshark
   M /trunk/packaging/macosx/Resources/script

Attempt (blindly--I don't have a Mac) to fix
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2844 :

Quote all references to $HOME in case that variable has a space in it.

------------------------------------------------------------------------
r32448 | jake | 2010-04-12 09:06:52 -0700 (Mon, 12 Apr 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.tapping
   M /trunk/docbook/wsdg_src/WSDG_chapter_dissection.xml

Add remark about including packet.h before tap.h

------------------------------------------------------------------------
r32447 | etxrab | 2010-04-12 00:23:49 -0700 (Mon, 12 Apr 2010) | 3 lines
Changed paths:
   M /trunk/diameter/dictionary.xml

From KATAOKA Toshihiro:
3GPP Gx "Online" AVP is not decoded because of missing vendor-id. 
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4662
------------------------------------------------------------------------
r32444 | gerald | 2010-04-11 08:03:28 -0700 (Sun, 11 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/enterprise-numbers
   M /trunk/manuf

[Automatic manuf and enterprise-numbers update for 2010-04-11]
------------------------------------------------------------------------
r32443 | sake | 2010-04-10 12:19:13 -0700 (Sat, 10 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/proto.c

Partly revert the changes made to epan/proto.c in SVN-29490
because they break 'tshark -r <file> -q -z io,phs' (no statistics 
are shown, unless you omit the -q and use -V).

------------------------------------------------------------------------
r32442 | gerald | 2010-04-09 18:45:36 -0700 (Fri, 09 Apr 2010) | 2 lines
Changed paths:
   M /trunk/tools/Makefile.am

Fix the build.

------------------------------------------------------------------------
r32441 | gerald | 2010-04-09 16:51:22 -0700 (Fri, 09 Apr 2010) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/packaging/portableapps/win32/makefile.nmake
   M /trunk/packaging/u3/win32/makefile.nmake

Fix the U3 and PortableApps builds.

------------------------------------------------------------------------
r32440 | gerald | 2010-04-09 14:42:51 -0700 (Fri, 09 Apr 2010) | 7 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/Makefile.am
   M /trunk/Makefile.nmake
   D /trunk/README.win32
   A /trunk/README.windows (from /trunk/README.win32:32439)
   M /trunk/asn1/Makefile.inc.nmake
   M /trunk/config.nmake
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   A /trunk/tools/textify.sh
   D /trunk/tools/unix2dos.pl

Rename README.win32 to README.windows and add a 64-bit download link.

Add tools/textify.sh, which makes a Notepad-clickable copy of a text
file. Use it for COPYING, NEWS, README, README.windows, and help/*.txt.

Remove tools/unix2dos.pl and use Cygwin's u2d instead.

------------------------------------------------------------------------
r32439 | etxrab | 2010-04-09 10:10:43 -0700 (Fri, 09 Apr 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add AVP:s
------------------------------------------------------------------------
r32438 | etxrab | 2010-04-09 07:47:27 -0700 (Fri, 09 Apr 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Update AVP.s
------------------------------------------------------------------------
r32437 | etxrab | 2010-04-08 22:58:48 -0700 (Thu, 08 Apr 2010) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

More hf renaming.
------------------------------------------------------------------------
r32436 | etxrab | 2010-04-08 22:46:30 -0700 (Thu, 08 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jouni Malinen:
Add a dissection ofr FT Action frames (part of IEEE 802.11r)
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4658
From me name header fields a bit more consistent.
------------------------------------------------------------------------
r32435 | morriss | 2010-04-08 19:09:10 -0700 (Thu, 08 Apr 2010) | 6 lines
Changed paths:
   M /trunk/doc/dumpcap.pod
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark-filter.pod.template
   M /trunk/doc/wireshark.pod.template

As requested in:
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2132

Point to the Wiki's page on capture filter syntax in case neither libpcap's
nor tcpdump's man pages are available (e.g., on Windows).

------------------------------------------------------------------------
r32434 | guy | 2010-04-08 19:00:07 -0700 (Thu, 08 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Squelch compiler warnings.  (We know that header.content_length is less
than a value that fits into an int, so we know its value will fit into
an int.)

------------------------------------------------------------------------
r32433 | morriss | 2010-04-08 18:42:12 -0700 (Thu, 08 Apr 2010) | 5 lines
Changed paths:
   M /trunk/configure.in
   M /trunk/epan/dissectors/packet-http.c

Use a 64-bit number to store the content length.  This fixes:
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1958

Of course this doesn't mean we can reassemble that much data.

------------------------------------------------------------------------
r32432 | dimeg | 2010-04-08 12:40:57 -0700 (Thu, 08 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_bsslap.c

Fix for Bug 4651:
Dissector call used uninitialized packet_info pointer

------------------------------------------------------------------------
r32431 | morriss | 2010-04-08 12:18:05 -0700 (Thu, 08 Apr 2010) | 1 line
Changed paths:
   M /trunk/doc/Makefile.am

Revert 31864 and 31866: don't use suffix rules.  Pattern rules would work but I don't know if they're portable enough.
------------------------------------------------------------------------
r32430 | etxrab | 2010-04-08 12:06:27 -0700 (Thu, 08 Apr 2010) | 1 line
Changed paths:
   M /trunk/packaging/nsis/GetWindowsVersion.nsh

Revert incorrect change.
------------------------------------------------------------------------
r32429 | etxrab | 2010-04-08 09:17:57 -0700 (Thu, 08 Apr 2010) | 1 line
Changed paths:
   M /trunk/diameter/dictionary.xml

Add the 3GPP SWx application ID.
------------------------------------------------------------------------
r32428 | etxrab | 2010-04-08 08:51:44 -0700 (Thu, 08 Apr 2010) | 1 line
Changed paths:
   M /trunk/gtk/compare_stat.c
   M /trunk/plugins/profinet/packet-pn-dcp.c
   M /trunk/plugins/profinet/packet-pn-mrp.c
   M /trunk/plugins/profinet/packet-pn-mrrt.c

Get rid of check_col().
------------------------------------------------------------------------
r32427 | etxrab | 2010-04-08 08:27:22 -0700 (Thu, 08 Apr 2010) | 1 line
Changed paths:
   M /trunk/AUTHORS

Add Chuck Kristofek to AUTHORS
------------------------------------------------------------------------
r32426 | etxrab | 2010-04-08 08:21:07 -0700 (Thu, 08 Apr 2010) | 1 line
Changed paths:
   M /trunk/plugins/wimax/mac_hd_generic_decoder.c
   M /trunk/plugins/wimax/mac_hd_type1_decoder.c
   M /trunk/plugins/wimax/mac_hd_type2_decoder.c
   M /trunk/plugins/wimax/mac_mgmt_msg_decoder.c
   M /trunk/plugins/wimax/msg_dcd.c
   M /trunk/plugins/wimax/msg_dlmap.c
   M /trunk/plugins/wimax/msg_dreg.c
   M /trunk/plugins/wimax/msg_dsd.c
   M /trunk/plugins/wimax/msg_reg_req.c
   M /trunk/plugins/wimax/msg_reg_rsp.c
   M /trunk/plugins/wimax/msg_rep.c
   M /trunk/plugins/wimax/msg_res_cmd.c
   M /trunk/plugins/wimax/msg_rng_req.c
   M /trunk/plugins/wimax/msg_rng_rsp.c
   M /trunk/plugins/wimax/msg_sbc.c
   M /trunk/plugins/wimax/msg_ucd.c
   M /trunk/plugins/wimax/wimax_cdma_code_decoder.c
   M /trunk/plugins/wimax/wimax_compact_ulmap_ie_decoder.c
   M /trunk/plugins/wimax/wimax_fch_decoder.c
   M /trunk/plugins/wimax/wimax_ffb_decoder.c
   M /trunk/plugins/wimax/wimax_hack_decoder.c
   M /trunk/plugins/wimax/wimax_harq_map_decoder.c
   M /trunk/plugins/wimax/wimax_pdu_decoder.c
   M /trunk/plugins/wimax/wimax_phy_attributes_decoder.c
   M /trunk/plugins/wimax/wimax_utils.c

Get rid of check_col().
------------------------------------------------------------------------
r32425 | etxrab | 2010-04-08 01:41:56 -0700 (Thu, 08 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-erf.c
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-infiniband.h
   M /trunk/wiretap/erf.c
   M /trunk/wiretap/erf.h

From Stephen Donnelly:
InfiniBand Link Packet (flow control) dissector.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4656
------------------------------------------------------------------------
r32424 | etxrab | 2010-04-07 23:36:38 -0700 (Wed, 07 Apr 2010) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

From Jouni Malinen:
Add a dissector for FTIE (part of IEEE 802.11r).
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=4654
------------------------------------------------------------------------
r32423 | wmeier | 2010-04-07 22:17:27 -0700 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/dap/Makefile.common
   M /trunk/asn1/disp/Makefile.common

My try at fixing Bug 4653; (Also reverts SVN #32420)

------------------------------------------------------------------------
r32422 | guy | 2010-04-07 19:26:56 -0700 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/emem.c

In C, foo() isn't a function with no arguments, foo(void) is.

------------------------------------------------------------------------
r32421 | gerald | 2010-04-07 17:02:29 -0700 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/Makefile.am
   M /trunk/configure.in
   M /trunk/doc/README.packaging

Add --enable-setcap-install and --with-dumpcap-group.

------------------------------------------------------------------------
r32420 | etxrab | 2010-04-07 13:11:09 -0700 (Wed, 07 Apr 2010) | 1 line
Changed paths:
   M /trunk/asn1/disp/Makefile.common

A stab at [Bug 4653] New: dap ASN1 generated dissector differs from epan/dissectors version.
------------------------------------------------------------------------
r32419 | wmeier | 2010-04-07 11:24:18 -0700 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/plugins/giop/packet-coseventcomm.c
   M /trunk/plugins/giop/packet-cosnaming.c
   M /trunk/plugins/giop/packet-parlay.c
   M /trunk/plugins/giop/packet-tango.c
   M /trunk/plugins/opcua/opcua_simpletypes.c
   M /trunk/plugins/opcua/opcua_transport_layer.c
   M /trunk/plugins/profinet/packet-pn-mrp.c
   M /trunk/plugins/profinet/packet-pn-mrrt.c
   M /trunk/plugins/profinet/packet-pn-ptcp.c
   M /trunk/plugins/profinet/packet-pn-rt.c

Remove some uneeded #includes

------------------------------------------------------------------------
r32418 | gerald | 2010-04-07 10:13:28 -0700 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/doc/README.packaging

Add a setuid example.

------------------------------------------------------------------------
r32417 | wmeier | 2010-04-07 09:54:29 -0700 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/asn1/HI2Operations/packet-HI2Operations-template.c
   M /trunk/asn1/acp133/packet-acp133-template.c
   M /trunk/asn1/ansi_map/packet-ansi_map-template.c
   M /trunk/asn1/charging_ase/packet-charging_ase-template.c
   M /trunk/asn1/cmip/packet-cmip-template.c
   M /trunk/asn1/cmp/packet-cmp-template.c
   M /trunk/asn1/crmf/packet-crmf-template.c
   M /trunk/asn1/dap/packet-dap-template.c
   M /trunk/asn1/disp/packet-disp-template.c
   M /trunk/asn1/dop/packet-dop-template.c
   M /trunk/asn1/dsp/packet-dsp-template.c
   M /trunk/asn1/ess/packet-ess-template.c
   M /trunk/asn1/ftam/packet-ftam-template.c
   M /trunk/asn1/gnm/packet-gnm-template.c
   M /trunk/asn1/goose/packet-goose-template.c
   M /trunk/asn1/h235/packet-h235-template.c
   M /trunk/asn1/h282/packet-h282-template.c
   M /trunk/asn1/h283/packet-h283-template.c
   M /trunk/asn1/h323/packet-h323-template.c
   M /trunk/asn1/h450/packet-h450-template.c
   M /trunk/asn1/h450-ros/packet-h450-ros-template.c
   M /trunk/asn1/h501/packet-h501-template.c
   M /trunk/asn1/inap/packet-inap-template.c
   M /trunk/asn1/logotypecertextn/packet-logotypecertextn-template.c
   M /trunk/asn1/lte-rrc/packet-lte-rrc-template.c
   M /trunk/asn1/mms/packet-mms-template.c
   M /trunk/asn1/mpeg-audio/packet-mpeg-audio-template.c
   M /trunk/asn1/mpeg-pes/packet-mpeg-pes-template.c
   M /trunk/asn1/nbap/packet-nbap-template.c
   M /trunk/asn1/ns_cert_exts/packet-ns_cert_exts-template.c
   M /trunk/asn1/ocsp/packet-ocsp-template.c
   M /trunk/asn1/p7/packet-p7-template.c
   M /trunk/asn1/pcap/packet-pcap-template.c
   M /trunk/asn1/pkcs1/packet-pkcs1-template.c
   M /trunk/asn1/pkcs12/packet-pkcs12-template.c
   M /trunk/asn1/pkinit/packet-pkinit-template.c
   M /trunk/asn1/pkix1explicit/packet-pkix1explicit-template.c
   M /trunk/asn1/pkix1implicit/packet-pkix1implicit-template.c
   M /trunk/asn1/pkixproxy/packet-pkixproxy-template.c
   M /trunk/asn1/pkixqualified/packet-pkixqualified-template.c
   M /trunk/asn1/pkixtsp/packet-pkixtsp-template.c
   M /trunk/asn1/q932-ros/packet-q932-ros-template.c
   M /trunk/asn1/ranap/packet-ranap-template.c
   M /trunk/asn1/rnsap/packet-rnsap-template.c
   M /trunk/asn1/ros/packet-ros-template.c
   M /trunk/asn1/rrc/packet-rrc-template.c
   M /trunk/asn1/rrlp/packet-rrlp-template.c
   M /trunk/asn1/rtse/packet-rtse-template.c
   M /trunk/asn1/s1ap/packet-s1ap-template.c
   M /trunk/asn1/s4406/packet-s4406-template.c
   M /trunk/asn1/sabp/packet-sabp-template.c
   M /trunk/asn1/smrse/packet-smrse-template.c
   M /trunk/asn1/snmp/packet-snmp-template.c
   M /trunk/asn1/t125/packet-t125-template.c
   M /trunk/asn1/ulp/packet-ulp-template.c
   M /trunk/asn1/wlancertextn/packet-wlancertextn-template.c
   M /trunk/asn1/x2ap/packet-x2ap-template.c
   M /trunk/asn1/x411/packet-x411-template.c
   M /trunk/asn1/x420/packet-x420-template.c
   M /trunk/asn1/x509af/packet-x509af-template.c
   M /trunk/asn1/x509ce/packet-x509ce-template.c
   M /trunk/asn1/x509if/packet-x509if-template.c
   M /trunk/asn1/x509sat/packet-x509sat-template.c
   M /trunk/epan/dissectors/packet-HI2Operations.c
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-ansi_map.c
   M /trunk/epan/dissectors/packet-charging_ase.c
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-goose.c
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h282.c
   M /trunk/epan/dissectors/packet-h283.c
   M /trunk/epan/dissectors/packet-h323.c
   M /trunk/epan/dissectors/packet-h450-ros.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h501.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-lte-rrc.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-mpeg-audio.c
   M /trunk/epan/dissectors/packet-mpeg-pes.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-ns_cert_exts.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-p7.c
   M /trunk/epan/dissectors/packet-pcap.c
   M /trunk/epan/dissectors/packet-pkcs1.c
   M /trunk/epan/dissectors/packet-pkcs12.c
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkixproxy.c
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-q932-ros.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-rnsap.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-rrc.c
   M /trunk/epan/dissectors/packet-rrlp.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-s1ap.c
   M /trunk/epan/dissectors/packet-s4406.c
   M /trunk/epan/dissectors/packet-sabp.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-t125.c
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-wlancertextn.c
   M /trunk/epan/dissectors/packet-x2ap.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509sat.c

#include <string.h> and/or #include <stdio.h> not needed.

------------------------------------------------------------------------
r32416 | jmayer | 2010-04-07 02:54:46 -0700 (Wed, 07 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/CMakeLists.txt

Add packet-q708.c

------------------------------------------------------------------------
r32415 | guy | 2010-04-06 17:45:18 -0700 (Tue, 06 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Squelch a compiler warning.

------------------------------------------------------------------------
r32414 | guy | 2010-04-06 17:41:44 -0700 (Tue, 06 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-assa_r3.c

Squelch a compiler warning.

------------------------------------------------------------------------
r32413 | guy | 2010-04-06 17:39:35 -0700 (Tue, 06 Apr 2010) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_683.c

Squelch a compiler warning.

Just make dtmf_digits and bcd_digits arrays; no need for the extra level
of indirection.

------------------------------------------------------------------------
r32412 | guy | 2010-04-06 17:34:20 -0700 (Tue, 06 Apr 2010) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-6lowpan.c

Squelch some compiler warnings (including warnings about the last member
of a structure being an empty array; that is *not* supported by all the
compilers that can be used to build Wireshark).

------------------------------------------------------------------------
r32411 | wmeier | 2010-04-06 15:09:47 -0700 (Tue, 06 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acn.c
   M /trunk/epan/dissectors/packet-ajp13.c
   M /trunk/epan/dissectors/packet-alcap.c
   M /trunk/epan/dissectors/packet-ansi_801.c
   M /trunk/epan/dissectors/packet-cigi.c
   M /trunk/epan/dissectors/packet-cip.c
   M /trunk/epan/dissectors/packet-cmpp.c
   M /trunk/epan/dissectors/packet-cpha.c
   M /trunk/epan/dissectors/packet-dec-dnart.c
   M /trunk/epan/dissectors/packet-dhcpv6.c
   M /trunk/epan/dissectors/packet-enc.c
   M /trunk/epan/dissectors/packet-esis.c
   M /trunk/epan/dissectors/packet-etherip.c
   M /trunk/epan/dissectors/packet-exec.c
   M /trunk/epan/dissectors/packet-fcct.c
   M /trunk/epan/dissectors/packet-fcdns.c
   M /trunk/epan/dissectors/packet-fcfcs.c
   M /trunk/epan/dissectors/packet-fcfzs.c
   M /trunk/epan/dissectors/packet-fclctl.c
   M /trunk/epan/dissectors/packet-fcoe.c
   M /trunk/epan/dissectors/packet-fcswils.c
   M /trunk/epan/dissectors/packet-gsm_a_bssmap.c
   M /trunk/epan/dissectors/packet-gsm_a_common.c
   M /trunk/epan/dissectors/packet-gsm_a_dtap.c
   M /trunk/epan/dissectors/packet-gsm_bssmap_le.c
   M /trunk/epan/dissectors/packet-gtp.c
   M /trunk/epan/dissectors/packet-gtpv2.c
   M /trunk/epan/dissectors/packet-iapp.c
   M /trunk/epan/dissectors/packet-icep.c
   M /trunk/epan/dissectors/packet-icq.c
   M /trunk/epan/dissectors/packet-infiniband.c
   M /trunk/epan/dissectors/packet-ipsec-udp.c
   M /trunk/epan/dissectors/packet-ipv6.c
   M /trunk/epan/dissectors/packet-ipx.c
   M /trunk/epan/dissectors/packet-isis-clv.c
   M /trunk/epan/dissectors/packet-isup.c
   M /trunk/epan/dissectors/packet-ldp.c
   M /trunk/epan/dissectors/packet-lldp.c
   M /trunk/epan/dissectors/packet-lwapp.c
   M /trunk/epan/dissectors/packet-manolito.c
   M /trunk/epan/dissectors/packet-nbipx.c
   M /trunk/epan/dissectors/packet-nt-tpcp.c
   M /trunk/epan/dissectors/packet-pflog.c
   M /trunk/epan/dissectors/packet-pgm.c
   M /trunk/epan/dissectors/packet-pim.c
   M /trunk/epan/dissectors/packet-ppp.c
   M /trunk/epan/dissectors/packet-q2931.c
   M /trunk/epan/dissectors/packet-q933.c
   M /trunk/epan/dissectors/packet-ripng.c
   M /trunk/epan/dissectors/packet-scsi-smc.c
   M /trunk/epan/dissectors/packet-sigcomp.c
   M /trunk/epan/dissectors/packet-skinny.c
   M /trunk/epan/dissectors/packet-smb-common.c
   M /trunk/epan/dissectors/packet-sqloracle.c
   M /trunk/epan/dissectors/packet-teredo.c
   M /trunk/epan/dissectors/packet-tpkt.c
   M /trunk/epan/dissectors/packet-wccp.c
   M /trunk/epan/dissectors/packet-wow.c
   M /trunk/epan/dissectors/packet-wsp.c
   M /trunk/epan/dissectors/packet-zbee-zdp-discovery.c
   M /trunk/epan/dissectors/packet-zbee-zdp.c

#include <string.h> not needed.

------------------------------------------------------------------------
r32410 | wmeier | 2010-04-06 14:14:01 -0700 (Tue, 06 Apr 2010) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-acap.c
   M /trunk/epan/dissectors/packet-afp.c
   M /trunk/epan/dissectors/packet-aim-admin.c
   M /trunk/epan/dissectors/packet-aim-adverts.c
   M /trunk/epan/dissectors/packet-aim-bos.c
   M /trunk/epan/dissectors/packet-aim-buddylist.c
   M /trunk/epan/dissectors/packet-aim-chat.c
   M /trunk/epan/dissectors/packet-aim-chatnav.c
   M /trunk/epan/dissectors/packet-aim-directory.c
   M /trunk/epan/dissectors/packet-aim-email.c
   M /trunk/epan/dissectors/packet-aim-generic.c
   M /trunk/epan/dissectors/packet-aim-icq.c
   M /trunk/epan/dissectors/packet-aim-invitation.c
   M /trunk/epan/dissectors/packet-aim-location.c
   M /trunk/epan/dissectors/packet-aim-oft.c
   M /trunk/epan/dissectors/packet-aim-popup.c
   M /trunk/epan/dissectors/packet-aim-signon.c
   M /trunk/epan/dissectors/packet-aim-ssi.c
   M /trunk/epan/dissectors/packet-aim-sst.c
   M /trunk/epan/dissectors/packet-aim-stats.c
   M /trunk/epan/dissectors/packet-aim-translate.c
   M /trunk/epan/dissectors/packet-aim-userlookup.c
   M /trunk/epan/dissectors/packet-airopeek.c
   M /trunk/epan/dissectors/packet-aodv.c
   M /trunk/epan/dissectors/packet-aoe.c
   M /trunk/epan/dissectors/packet-arcnet.c
   M /trunk/epan/dissectors/packet-aruba-adp.c
   M /trunk/epan/dissectors/packet-ascend.c
   M /trunk/epan/dissectors/packet-auto_rp.c
   M /trunk/epan/dissectors/packet-ayiya.c
   M /trunk/epan/dissectors/packet-bacnet.c
   M /trunk/epan/dissectors/packet-banana.c
   M /trunk/epan/dissectors/packet-bfd.c
   M /trunk/epan/dissectors/packet-bootparams.c
   M /trunk/epan/dissectors/packet-bpdu.c
   M /trunk/epan/dissectors/packet-brdwlk.c
   M /trunk/epan/dissectors/packet-bssap.c
   M /trunk/epan/dissectors/packet-bssgp.c
   M /trunk/epan/dissectors/packet-capwap.c
   M /trunk/epan/dissectors/packet-cast.c
   M /trunk/epan/dissectors/packet-ccsds.c
   M /trunk/epan/dissectors/packet-cfm.c
   M /trunk/epan/dissectors/packet-cgmp.c
   M /trunk/epan/dissectors/packet-cisco-sm.c
   M /trunk/epan/dissectors/packet-cosine.c
   M /trunk/epan/dissectors/packet-cpfi.c
   M /trunk/epan/dissectors/packet-ctdb.c
   M /trunk/epan/dissectors/packet-cups.c
   M /trunk/epan/dissectors/packet-dcc.c
   M /trunk/epan/dissectors/packet-dccp.c
   M /trunk/epan/dissectors/packet-dcerpc-bossvr.c
   M /trunk/epan/dissectors/packet-dcerpc-cds_clerkserver.c
   M /trunk/epan/dissectors/packet-dcerpc-cds_solicit.c
   M /trunk/epan/dissectors/packet-dcerpc-conv.c
   M /trunk/epan/dissectors/packet-dcerpc-cprpc_server.c
   M /trunk/epan/dissectors/packet-dcerpc-dtsprovider.c
   M /trunk/epan/dissectors/packet-dcerpc-dtsstime_req.c
   M /trunk/epan/dissectors/packet-dcerpc-epm.c
   M /trunk/epan/dissectors/packet-dcerpc-fileexp.c
   M /trunk/epan/dissectors/packet-dcerpc-fldb.c
   M /trunk/epan/dissectors/packet-dcerpc-ftserver.c
   M /trunk/epan/dissectors/packet-dcerpc-icl_rpc.c
   M /trunk/epan/dissectors/packet-dcerpc-krb5rpc.c
   M /trunk/epan/dissectors/packet-dcerpc-llb.c
   M /trunk/epan/dissectors/packet-dcerpc-mgmt.c
   M /trunk/epan/dissectors/packet-dcerpc-ndr.c
   M /trunk/epan/dissectors/packet-dcerpc-rdaclif.c
   M /trunk/epan/dissectors/packet-dcerpc-rep_proc.c
   M /trunk/epan/dissectors/packet-dcerpc-roverride.c
   M /trunk/epan/dissectors/packet-dcerpc-rpriv.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_acct.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_attr.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_attr_schema.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_bind.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_misc.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_pgo.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_acct.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_acl.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_attr.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_pgo.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_prop_plcy.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_pwd_mgmt.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_repadm.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_replist.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_repmgr.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_unix.c
   M /trunk/epan/dissectors/packet-dcerpc-rsec_login.c
   M /trunk/epan/dissectors/packet-dcerpc-secidmap.c
   M /trunk/epan/dissectors/packet-dcerpc-tkn4int.c
   M /trunk/epan/dissectors/packet-dcerpc-ubikdisk.c
   M /trunk/epan/dissectors/packet-dcerpc-ubikvote.c
   M /trunk/epan/dissectors/packet-dcerpc-update.c
   M /trunk/epan/dissectors/packet-dcom-oxid.c
   M /trunk/epan/dissectors/packet-dcom-remact.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom-sysact.c
   M /trunk/epan/dissectors/packet-dec-bpdu.c
   M /trunk/epan/dissectors/packet-dhcp-failover.c
   M /trunk/epan/dissectors/packet-diameter_3gpp.c
   M /trunk/epan/dissectors/packet-dis-fields.c
   M /trunk/epan/dissectors/packet-dlm3.c
   M /trunk/epan/dissectors/packet-dlsw.c
   M /trunk/epan/dissectors/packet-dpnss-link.c
   M /trunk/epan/dissectors/packet-dpnss.c
   M /trunk/epan/dissectors/packet-drda.c
   M /trunk/epan/dissectors/packet-dtp.c
   M /trunk/epan/dissectors/packet-dvmrp.c
   M /trunk/epan/dissectors/packet-echo.c
   M /trunk/epan/dissectors/packet-ehs.c
   M /trunk/epan/dissectors/packet-enttec.c
   M /trunk/epan/dissectors/packet-evrc.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcels.c
   M /trunk/epan/dissectors/packet-fcip.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-fcsb3.c
   M /trunk/epan/dissectors/packet-fcsp.c
   M /trunk/epan/dissectors/packet-fefd.c
   M /trunk/epan/dissectors/packet-ff.c
   M /trunk/epan/dissectors/packet-fip.c
   M /trunk/epan/dissectors/packet-fmp_notify.c
   M /trunk/epan/dissectors/packet-fr.c
   M /trunk/epan/dissectors/packet-g723.c
   M /trunk/epan/dissectors/packet-gdsdb.c
   M /trunk/epan/dissectors/packet-gift.c
   M /trunk/epan/dissectors/packet-git.c
   M /trunk/epan/dissectors/packet-glbp.c
   M /trunk/epan/dissectors/packet-gmrp.c
   M /trunk/epan/dissectors/packet-gnutella.c
   M /trunk/epan/dissectors/packet-gprs-llc.c
   M /trunk/epan/dissectors/packet-gprs-ns.c
   M /trunk/epan/dissectors/packet-gsm_a_rp.c
   M /trunk/epan/dissectors/packet-gsm_bsslap.c
   M /trunk/epan/dissectors/packet-gsm_sms_ud.c
   M /trunk/epan/dissectors/packet-gvrp.c
   M /trunk/epan/dissectors/packet-h1.c
   M /trunk/epan/dissectors/packet-h221_nonstd.c
   M /trunk/epan/dissectors/packet-h261.c
   M /trunk/epan/dissectors/packet-h263.c
   M /trunk/epan/dissectors/packet-h263p.c
   M /trunk/epan/dissectors/packet-hyperscsi.c
   M /trunk/epan/dissectors/packet-icmp.c
   M /trunk/epan/dissectors/packet-icp.c
   M /trunk/epan/dissectors/packet-ifcp.c
   M /trunk/epan/dissectors/packet-igrp.c
   M /trunk/epan/dissectors/packet-imap.c
   M /trunk/epan/dissectors/packet-imf.c
   M /trunk/epan/dissectors/packet-ipfc.c
